import { compose, sort, ascend, prop, map, multiply, add, divide, subtract } from 'ramda';

var StatesTerritoriesAbbrev;

(function (StatesTerritoriesAbbrev) {
  StatesTerritoriesAbbrev["WI"] = "WI";
  StatesTerritoriesAbbrev["IL"] = "IL";
  StatesTerritoriesAbbrev["IN"] = "IN";
  StatesTerritoriesAbbrev["MI"] = "MI";
  StatesTerritoriesAbbrev["MN"] = "MN";
  StatesTerritoriesAbbrev["OH"] = "OH";
  StatesTerritoriesAbbrev["ME"] = "ME";
  StatesTerritoriesAbbrev["NH"] = "NH";
  StatesTerritoriesAbbrev["MA"] = "MA";
  StatesTerritoriesAbbrev["RI"] = "RI";
  StatesTerritoriesAbbrev["CT"] = "CT";
  StatesTerritoriesAbbrev["NY"] = "NY";
  StatesTerritoriesAbbrev["NJ"] = "NJ";
  StatesTerritoriesAbbrev["DE"] = "DE";
  StatesTerritoriesAbbrev["PA"] = "PA";
  StatesTerritoriesAbbrev["DC"] = "DC";
  StatesTerritoriesAbbrev["MD"] = "MD";
  StatesTerritoriesAbbrev["VA"] = "VA";
  StatesTerritoriesAbbrev["NC"] = "NC";
  StatesTerritoriesAbbrev["SC"] = "SC";
  StatesTerritoriesAbbrev["GA"] = "GA";
  StatesTerritoriesAbbrev["FL"] = "FL";
  StatesTerritoriesAbbrev["AL"] = "AL";
  StatesTerritoriesAbbrev["MS"] = "MS";
  StatesTerritoriesAbbrev["LA"] = "LA";
  StatesTerritoriesAbbrev["TX"] = "TX";
  StatesTerritoriesAbbrev["CA"] = "CA";
  StatesTerritoriesAbbrev["OR"] = "OR";
  StatesTerritoriesAbbrev["WA"] = "WA";
  StatesTerritoriesAbbrev["AK"] = "AK";
  StatesTerritoriesAbbrev["HI"] = "HI";
  StatesTerritoriesAbbrev["PR"] = "PR";
  StatesTerritoriesAbbrev["VI"] = "VI";
  StatesTerritoriesAbbrev["BC"] = "BC";
})(StatesTerritoriesAbbrev || (StatesTerritoriesAbbrev = {}));

var StatesTerritories;

(function (StatesTerritories) {
  StatesTerritories["WI"] = "Wisconsin";
  StatesTerritories["IL"] = "Illinois";
  StatesTerritories["IN"] = "Indiana";
  StatesTerritories["MI"] = "Michigan";
  StatesTerritories["MN"] = "Minnesota";
  StatesTerritories["OH"] = "Ohio";
  StatesTerritories["ME"] = "Maine";
  StatesTerritories["NH"] = "New Hampshire";
  StatesTerritories["MA"] = "Massachusetts";
  StatesTerritories["RI"] = "Rhode Island";
  StatesTerritories["CT"] = "Connecticut";
  StatesTerritories["NY"] = "New York";
  StatesTerritories["NJ"] = "New Jersey";
  StatesTerritories["DE"] = "Delware";
  StatesTerritories["PA"] = "Pennsylvania";
  StatesTerritories["DC"] = "Washington D.C.";
  StatesTerritories["MD"] = "Maryland";
  StatesTerritories["VA"] = "Virginia";
  StatesTerritories["NC"] = "North Carolina";
  StatesTerritories["SC"] = "South Carolina";
  StatesTerritories["GA"] = "Georgia";
  StatesTerritories["FL"] = "Florida";
  StatesTerritories["AL"] = "Alabama";
  StatesTerritories["MS"] = "Mississippi";
  StatesTerritories["LA"] = "Louisiana";
  StatesTerritories["TX"] = "Texas";
  StatesTerritories["CA"] = "California";
  StatesTerritories["OR"] = "Oregon";
  StatesTerritories["WA"] = "Washington";
  StatesTerritories["AK"] = "Alaska";
  StatesTerritories["HI"] = "Hawaii";
  StatesTerritories["PR"] = "Puerto Rico";
  StatesTerritories["VI"] = "US Virgin Islands";
  StatesTerritories["BC"] = "British Columbia";
  StatesTerritories["AS"] = "American Samoa";
  StatesTerritories["UM"] = "United States Minor Outlying Islands";
  StatesTerritories["GU"] = "Guam";
  StatesTerritories["TK"] = "Tokelau";
  StatesTerritories["BM"] = "Bermuda";
})(StatesTerritories || (StatesTerritories = {}));

var Countries;

(function (Countries) {
  Countries["US"] = "USA";
  Countries["MH"] = "Marshall Islands";
  Countries["CA"] = "Canada";
  Countries["CL"] = "Chile";
  Countries["NZ"] = "New Zealand";
  Countries["AG"] = "Antigua and Barbuda";
  Countries["BS"] = "Bahamas";
  Countries["BOTS"] = "British Overseas Territory";
})(Countries || (Countries = {}));

var TimeZones;

(function (TimeZones) {
  TimeZones["CHICAGO"] = "America/Chicago";
  TimeZones["DETROIT"] = "America/Detroit";
  TimeZones["NEW_YORK"] = "America/New_York";
  TimeZones["PUERTO_RICO"] = "America/Puerto_Rico";
  TimeZones["PORT_OF_SPAIN"] = "America/Port_of_Spain";
  TimeZones["GUAM"] = "Pacific/Guam";
  TimeZones["KWAJALEIN"] = "Pacific/Kwajalein";
  TimeZones["ANCHORAGE"] = "Alaska/Anchorage";
  TimeZones["BERMUDA"] = "Atlantic/Bermuda";
  TimeZones["WAKE"] = "Pacific/Wake";
  TimeZones["LOS_ANGELES"] = "America/Los_Angeles";
  TimeZones["HONOLULU"] = "Pacific/Honolulu";
  TimeZones["PAGO_PAGO"] = "Pacific/Pago_Pago";
  TimeZones["NIUE"] = "Pacific/Niue";
  TimeZones["ETC"] = "Etc/GMT+12";
  TimeZones["EASTER_ISLAND"] = "Pacific/EasterIsland";
  TimeZones["FAKAOFO"] = "Pacific/Fakaofo";
})(TimeZones || (TimeZones = {}));

var BuoyTypes;

(function (BuoyTypes) {
  BuoyTypes["TIDE"] = "tide";
  BuoyTypes["CURRENT"] = "current";
})(BuoyTypes || (BuoyTypes = {}));

var buoys = [{id:"9087057",name:"Milwaukee",secondaryName:"Lake Michigan",stateTerritory:StatesTerritories.WI,stateAbbrev:StatesTerritoriesAbbrev.WI,country:Countries.US,latitude:43.002,longitude:-87.8876,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"9087044",name:"Calumet Harbor",secondaryName:"Lake Michigan",stateTerritory:StatesTerritories.IL,stateAbbrev:StatesTerritoriesAbbrev.IL,country:Countries.US,latitude:41.729721,longitude:-87.53833,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"9087096",name:"Port Inland",secondaryName:"Lake Michigan",stateTerritory:StatesTerritories.MI,stateAbbrev:StatesTerritoriesAbbrev.MI,country:Countries.US,latitude:45.969889,longitude:-85.8715,type:BuoyTypes.TIDE,timeZone:TimeZones.DETROIT,isActive:true},{id:"9052030",name:"Oswego",secondaryName:"Lake Ontario",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:43.46417,longitude:-76.51183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"9087023",name:"Ludington",secondaryName:"Lake Michigan",stateTerritory:StatesTerritories.MI,stateAbbrev:StatesTerritoriesAbbrev.MI,country:Countries.US,latitude:43.947361,longitude:-86.441611,type:BuoyTypes.TIDE,timeZone:TimeZones.DETROIT,isActive:true},{id:"9087031",name:"Holland",secondaryName:"Lake Michigan",stateTerritory:StatesTerritories.MI,stateAbbrev:StatesTerritoriesAbbrev.MI,country:Countries.US,latitude:42.773333,longitude:-86.212778,type:BuoyTypes.TIDE,timeZone:TimeZones.DETROIT,isActive:true},{id:"9075099",name:"De Tour Village",secondaryName:"Lake Huron",stateTerritory:StatesTerritories.MI,stateAbbrev:StatesTerritoriesAbbrev.MI,country:Countries.US,latitude:45.9925,longitude:-83.8982,type:BuoyTypes.TIDE,timeZone:TimeZones.DETROIT,isActive:true},{id:"9052000",name:"Cape Vincent",secondaryName:"Lake Ontario",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:44.13028,longitude:-76.332,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"9063085",name:"Toledo",secondaryName:"Lake Erie",stateTerritory:StatesTerritories.OH,stateAbbrev:StatesTerritoriesAbbrev.OH,country:Countries.US,latitude:41.69356,longitude:-83.47228,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"9087079",name:"Green Bay",secondaryName:"Lake Michigan",stateTerritory:StatesTerritories.WI,stateAbbrev:StatesTerritoriesAbbrev.WI,country:Countries.US,latitude:44.541111,longitude:-88.007222,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"9087072",name:"Sturgeon Bay Canal",secondaryName:"Lake Michigan",stateTerritory:StatesTerritories.WI,stateAbbrev:StatesTerritoriesAbbrev.WI,country:Countries.US,latitude:44.795583,longitude:-87.314333,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"9075002",name:"Lakeport",secondaryName:"Lake Huron",stateTerritory:StatesTerritories.MI,stateAbbrev:StatesTerritoriesAbbrev.MI,country:Countries.US,latitude:43.141694,longitude:-82.493306,type:BuoyTypes.TIDE,timeZone:TimeZones.DETROIT,isActive:true},{id:"9075080",name:"Mackinaw City",secondaryName:"Lake Huron",stateTerritory:StatesTerritories.MI,stateAbbrev:StatesTerritoriesAbbrev.MI,country:Countries.US,latitude:45.8,longitude:-84.721107,type:BuoyTypes.TIDE,timeZone:TimeZones.DETROIT,isActive:true},{id:"9075035",name:"Essexville",secondaryName:"Lake Huron",stateTerritory:StatesTerritories.MI,stateAbbrev:StatesTerritoriesAbbrev.MI,country:Countries.US,latitude:43.6404,longitude:-83.8468,type:BuoyTypes.TIDE,timeZone:TimeZones.DETROIT,isActive:true},{id:"8662299",name:"Clambank Creek Dock",secondaryName:"Goat Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.3333,longitude:-79.1933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8665530",name:"Charleston",secondaryName:"Cooper River Entrance",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.780833,longitude:-79.923611,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"9752695",name:"Esperanza",secondaryName:"Vieques Island",stateTerritory:StatesTerritories.PR,stateAbbrev:StatesTerritoriesAbbrev.PR,country:Countries.US,latitude:18.093889,longitude:-65.471389,type:BuoyTypes.TIDE,timeZone:TimeZones.PUERTO_RICO,isActive:true},{id:"9752619",name:"Isabel Segunda",secondaryName:"Vieques",stateTerritory:StatesTerritories.PR,stateAbbrev:StatesTerritoriesAbbrev.PR,country:Countries.US,latitude:18.1525,longitude:-65.443889,type:BuoyTypes.TIDE,timeZone:TimeZones.PUERTO_RICO,isActive:true},{id:"9751381",name:"Lameshur Bay",secondaryName:"St. John",stateTerritory:StatesTerritories.VI,stateAbbrev:StatesTerritoriesAbbrev.VI,country:Countries.US,latitude:18.31825,longitude:-64.724222,type:BuoyTypes.TIDE,timeZone:TimeZones.PUERTO_RICO,isActive:true},{id:"9751639",name:"Charlotte Amalie",secondaryName:"St. Thomas",stateTerritory:StatesTerritories.VI,stateAbbrev:StatesTerritoriesAbbrev.VI,country:Countries.US,latitude:18.347222,longitude:-64.925833,type:BuoyTypes.TIDE,timeZone:TimeZones.PUERTO_RICO,isActive:true},{id:"9751364",name:"Christiansted Harbor",secondaryName:"St. Croix",stateTerritory:StatesTerritories.VI,stateAbbrev:StatesTerritoriesAbbrev.VI,country:Countries.US,latitude:17.747694,longitude:-64.69839,type:BuoyTypes.TIDE,timeZone:TimeZones.PUERTO_RICO,isActive:true},{id:"9761115",name:"Barbuda",secondaryName:null,stateTerritory:null,stateAbbrev:null,country:Countries.AG,latitude:17.590834,longitude:-61.820557,type:BuoyTypes.TIDE,timeZone:TimeZones.PORT_OF_SPAIN,isActive:true},{id:"9752235",name:"Culebra",secondaryName:null,stateTerritory:StatesTerritories.PR,stateAbbrev:StatesTerritoriesAbbrev.PR,country:Countries.US,latitude:18.300861,longitude:-65.302472,type:BuoyTypes.TIDE,timeZone:TimeZones.PUERTO_RICO,isActive:true},{id:"9759110",name:"Magueyes Island",secondaryName:null,stateTerritory:StatesTerritories.PR,stateAbbrev:StatesTerritoriesAbbrev.PR,country:Countries.US,latitude:17.9701,longitude:-67.046402,type:BuoyTypes.TIDE,timeZone:TimeZones.PUERTO_RICO,isActive:true},{id:"9754228",name:"Yabucoa Harbor",secondaryName:null,stateTerritory:StatesTerritories.PR,stateAbbrev:StatesTerritoriesAbbrev.PR,country:Countries.US,latitude:18.055083,longitude:-65.833,type:BuoyTypes.TIDE,timeZone:TimeZones.PUERTO_RICO,isActive:true},{id:"9755371",name:"San Juan",secondaryName:"La Puntilla",stateTerritory:StatesTerritories.PR,stateAbbrev:StatesTerritoriesAbbrev.PR,country:Countries.US,latitude:18.459167,longitude:-66.116389,type:BuoyTypes.TIDE,timeZone:TimeZones.PUERTO_RICO,isActive:true},{id:"9757809",name:"Arecibo",secondaryName:null,stateTerritory:StatesTerritories.PR,stateAbbrev:StatesTerritoriesAbbrev.PR,country:Countries.US,latitude:18.480528,longitude:-66.702361,type:BuoyTypes.TIDE,timeZone:TimeZones.PUERTO_RICO,isActive:true},{id:"9759394",name:"Mayaguez",secondaryName:null,stateTerritory:StatesTerritories.PR,stateAbbrev:StatesTerritoriesAbbrev.PR,country:Countries.US,latitude:18.219,longitude:-67.1625,type:BuoyTypes.TIDE,timeZone:TimeZones.PUERTO_RICO,isActive:true},{id:"9075014",name:"Harbor Beach",secondaryName:"Lake Huron",stateTerritory:StatesTerritories.MI,stateAbbrev:StatesTerritoriesAbbrev.MI,country:Countries.US,latitude:43.84639,longitude:-82.643059,type:BuoyTypes.TIDE,timeZone:TimeZones.DETROIT,isActive:true},{id:"9087088",name:"Menominee",secondaryName:"Lake Michigan",stateTerritory:StatesTerritories.MI,stateAbbrev:StatesTerritoriesAbbrev.MI,country:Countries.US,latitude:45.095889,longitude:-87.589944,type:BuoyTypes.TIDE,timeZone:TimeZones.DETROIT,isActive:true},{id:"9052058",name:"Rochester",secondaryName:"Lake Ontario",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:43.26903,longitude:-77.62575,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"9052076",name:"Olcott",secondaryName:"Lake Ontario",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:43.33839,longitude:-78.7273,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"9063028",name:"Sturgeon Point",secondaryName:"Lake Erie",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:42.691306,longitude:-79.0473,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"9075065",name:"Alpena",secondaryName:"Lake Huron",stateTerritory:StatesTerritories.MI,stateAbbrev:StatesTerritoriesAbbrev.MI,country:Countries.US,latitude:45.063,longitude:-83.4286,type:BuoyTypes.TIDE,timeZone:TimeZones.DETROIT,isActive:true},{id:"9087068",name:"Kewaunee",secondaryName:"Lake Michigan",stateTerritory:StatesTerritories.WI,stateAbbrev:StatesTerritoriesAbbrev.WI,country:Countries.US,latitude:44.463972,longitude:-87.501028,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8663539",name:"Pimlico",secondaryName:"West Branch Cooper River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.095,longitude:-79.9533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8764044",name:"Berwick",secondaryName:"Atchafalaya River",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.6675,longitude:-91.237611,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"9076070",name:"S.W. Pier",secondaryName:"St. Marys River",stateTerritory:StatesTerritories.MI,stateAbbrev:StatesTerritoriesAbbrev.MI,country:Countries.US,latitude:46.501111,longitude:-84.372611,type:BuoyTypes.TIDE,timeZone:TimeZones.DETROIT,isActive:true},{id:"9063009",name:"American Falls",secondaryName:"Niagara River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:43.08106,longitude:-79.061361,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8741533",name:"Pascagoula Noaa Lab",secondaryName:null,stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.36778,longitude:-88.56306,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"9063038",name:"Erie",secondaryName:"Lake Erie",stateTerritory:StatesTerritories.PA,stateAbbrev:StatesTerritoriesAbbrev.PA,country:Countries.US,latitude:42.153889,longitude:-80.0925,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"1631428",name:"Pago Bay",secondaryName:null,stateTerritory:StatesTerritories.GU,stateAbbrev:null,country:Countries.US,latitude:13.428333,longitude:144.796944,type:BuoyTypes.TIDE,timeZone:TimeZones.GUAM,isActive:true},{id:"1820000",name:"Kwajalein",secondaryName:null,stateTerritory:null,stateAbbrev:null,country:Countries.MH,latitude:8.7317,longitude:167.736115,type:BuoyTypes.TIDE,timeZone:TimeZones.KWAJALEIN,isActive:true},{id:"9063020",name:"Buffalo",secondaryName:"Lake Erie",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:42.877444,longitude:-78.890472,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8776139",name:"S. Bird Island",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:27.484361,longitude:-97.318111,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8720625",name:"Racy Point",secondaryName:"St. Johns River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.8017,longitude:-81.5483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720503",name:"Red Bay Point",secondaryName:"St. Johns River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.9817,longitude:-81.63417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"9044030",name:"Wyandotte",secondaryName:"Detroit River",stateTerritory:StatesTerritories.MI,stateAbbrev:StatesTerritoriesAbbrev.MI,country:Countries.US,latitude:42.202306,longitude:-83.1475,type:BuoyTypes.TIDE,timeZone:TimeZones.DETROIT,isActive:true},{id:"9753641",name:"Naguabo",secondaryName:null,stateTerritory:StatesTerritories.PR,stateAbbrev:StatesTerritoriesAbbrev.PR,country:Countries.US,latitude:18.18706,longitude:-65.71139,type:BuoyTypes.TIDE,timeZone:TimeZones.PUERTO_RICO,isActive:false},{id:"9759938",name:"Mona Island",secondaryName:null,stateTerritory:StatesTerritories.PR,stateAbbrev:StatesTerritoriesAbbrev.PR,country:Countries.US,latitude:18.089917,longitude:-67.9385,type:BuoyTypes.TIDE,timeZone:TimeZones.PUERTO_RICO,isActive:true},{id:"9712714",name:"North Cat Cay",secondaryName:null,stateTerritory:null,stateAbbrev:null,country:Countries.BS,latitude:25.5517,longitude:-79.2817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"9499176",name:"Barter Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:70.1286,longitude:-143.611028,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"8732828",name:"Weeks Bay",secondaryName:"Mobile Bay",stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.416889,longitude:-87.825389,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"2695540",name:"St. Georges Island",secondaryName:null,stateTerritory:StatesTerritories.BM,stateAbbrev:null,country:Countries.BOTS,latitude:32.373306,longitude:-64.703306,type:BuoyTypes.TIDE,timeZone:TimeZones.BERMUDA,isActive:true},{id:"9044036",name:"Fort Wayne",secondaryName:"Detroit River",stateTerritory:StatesTerritories.MI,stateAbbrev:StatesTerritoriesAbbrev.MI,country:Countries.US,latitude:42.2983,longitude:-83.0933,type:BuoyTypes.TIDE,timeZone:TimeZones.DETROIT,isActive:true},{id:"8762483",name:"I-10 Bonnet Carre Floodway",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:30.067861,longitude:-90.389972,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"9063063",name:"Cleveland",secondaryName:"Lake Erie",stateTerritory:StatesTerritories.OH,stateAbbrev:StatesTerritoriesAbbrev.OH,country:Countries.US,latitude:41.54086,longitude:-81.635472,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8764227",name:"Lawma",secondaryName:"Amerada Pass",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.449611,longitude:-91.338111,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"1630000",name:"Apra Harbor",secondaryName:null,stateTerritory:StatesTerritories.GU,stateAbbrev:null,country:Countries.US,latitude:13.44339,longitude:144.656361,type:BuoyTypes.TIDE,timeZone:TimeZones.GUAM,isActive:true},{id:"1890000",name:"Wake Island",secondaryName:null,stateTerritory:StatesTerritories.UM,stateAbbrev:null,country:Countries.US,latitude:19.290556,longitude:166.6175,type:BuoyTypes.TIDE,timeZone:TimeZones.WAKE,isActive:true},{id:"8779748",name:"South Padre Island Cg Station",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:26.072472,longitude:-97.166861,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"9450753",name:"Magnetic Point",secondaryName:"Union Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.788283,longitude:-132.190883,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452328",name:"False Bay",secondaryName:"Chatham Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.9667,longitude:-134.935,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9458293",name:"Chirikof Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.8083,longitude:-155.74,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"8760922",name:"Pilots Station East",secondaryName:"S.w. Pass",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:28.932222,longitude:-89.4075,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8662245",name:"Oyster Landing (N Inlet Estuary)",secondaryName:null,stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.3517,longitude:-79.1867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"9751401",name:"Lime Tree Bay",secondaryName:"St. Croix",stateTerritory:StatesTerritories.VI,stateAbbrev:StatesTerritoriesAbbrev.VI,country:Countries.US,latitude:17.6947,longitude:-64.753799,type:BuoyTypes.TIDE,timeZone:TimeZones.PUERTO_RICO,isActive:true},{id:"9450463",name:"Trocadero Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.3517,longitude:-132.93806,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451953",name:"Target Island",secondaryName:"Mitchell Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.5333,longitude:-134.417,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"8661070",name:"Springmaid Pier",secondaryName:null,stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.655,longitude:-78.918306,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8772447",name:"Freeport",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:28.943306,longitude:-95.3025,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8775283",name:"Moda",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:27.8275,longitude:-97.200833,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8779280",name:"Realitos Peninsula",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:26.2625,longitude:-97.285278,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8734635",name:"Mobile Point",secondaryName:"Fort Morgan",stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.2333,longitude:-88.02,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8737182",name:"Lower Hall Landing",secondaryName:"Tensaw River",stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.8183,longitude:-87.915,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8739051",name:"Bayou La Batre",secondaryName:"Mississippi Sound",stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.3717,longitude:-88.275,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"9450142",name:"Kelp Island Passage",secondaryName:"Duke Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.8767,longitude:-131.3,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450104",name:"Nakat Harbor",secondaryName:"Dixon Entrance",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.82,longitude:-130.7,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"8218362",name:"Haystack Island",secondaryName:"Dixon Entrance",stateTerritory:StatesTerritories.BC,latitude:54.7167,longitude:-130.6167,type:BuoyTypes.TIDE,stateAbbrev:StatesTerritoriesAbbrev.BC,country:Countries.CA,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"8218447",name:"Wales Island",secondaryName:"Pearse Canal",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.7667,longitude:-130.55,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"8218361",name:"Kumeon Bay",secondaryName:null,stateTerritory:StatesTerritories.BC,latitude:54.7167,longitude:-130.2167,type:BuoyTypes.TIDE,stateAbbrev:StatesTerritoriesAbbrev.BC,country:Countries.CA,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"8218617",name:"Mill Bay",secondaryName:"Nass River",stateTerritory:StatesTerritories.BC,latitude:55,longitude:-129.9,type:BuoyTypes.TIDE,stateAbbrev:StatesTerritoriesAbbrev.BC,country:Countries.CA,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"8219894",name:"Stewart",secondaryName:"Portland Canal",stateTerritory:StatesTerritories.BC,latitude:55.9167,longitude:-129.8,type:BuoyTypes.TIDE,stateAbbrev:StatesTerritoriesAbbrev.BC,country:Countries.CA,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9450729",name:"Davis River entrance",secondaryName:"Portland Canal",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.76,longitude:-130.177,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450172",name:"Morse Cove",secondaryName:"Duke Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.92,longitude:-131.255,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450254",name:"Kah Shakes Cove",secondaryName:"Revillagigedo Channel",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.0417,longitude:-130.98,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450305",name:"Boca de Quadra",secondaryName:"Revillagigedo Channel",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.1167,longitude:-130.798,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450483",name:"Mop Point",secondaryName:"Thorne Arm",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.3833,longitude:-131.235,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450533",name:"Coon Island",secondaryName:"George Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.4617,longitude:-131.505,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450492",name:"Ward Cove",secondaryName:"Revillagigedo Channel",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.3983,longitude:-131.727,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450382",name:"Alva Bay",secondaryName:"Revillagigedo Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.2283,longitude:-131.133,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450511",name:"Vallenar Point",secondaryName:"Behm Canal",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.4267,longitude:-131.847,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450879",name:"Fitzgibbon Cove",secondaryName:"Behm Canal",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.9833,longitude:-131.175,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450836",name:"Yes Cannery",secondaryName:"Yes Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.9133,longitude:-131.797,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450624",name:"Loring",secondaryName:"Naha Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.6017,longitude:-131.632,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450273",name:"Tamgas Harbor",secondaryName:"Annette Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.0667,longitude:-131.542,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450212",name:"Ingraham Bay",secondaryName:"Prince of Wales Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.98,longitude:-132.007,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450244",name:"Menefee Anch.",secondaryName:"Prince of Wales Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.0267,longitude:-132.013,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450271",name:"Niblack Anchorage",secondaryName:"Moira Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.0667,longitude:-132.12,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450339",name:"Nehenta Bay",secondaryName:"Gravina Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.1667,longitude:-131.797,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450373",name:"Lancaster Cove",secondaryName:"Cholmondeley Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.2133,longitude:-132.095,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450399",name:"Divide Head",secondaryName:"Cholmondeley Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.2517,longitude:-132.3,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450904",name:"Lake Bay",secondaryName:"Clarence Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.0233,longitude:-132.92,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450041",name:"Minnie Bay",secondaryName:"Cordova Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.7267,longitude:-132.302,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1487",name:"Tah Bay",secondaryName:"Cordova Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.8333,longitude:-132.3333,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450139",name:"Hunter Bay",secondaryName:"Cordova Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.8717,longitude:-132.322,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450176",name:"Kassa Inlet entrance",secondaryName:"Cordova Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.9267,longitude:-132.522,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450158",name:"Elbow Bay",secondaryName:"Cordova Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.9,longitude:-132.653,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450226",name:"Mabel Island",secondaryName:"Cordova Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55,longitude:-132.592,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450258",name:"Keete Island",secondaryName:"Nutkwa Inlets",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.0467,longitude:-132.577,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450281",name:"Keete Inlet",secondaryName:"Cordova Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.08,longitude:-132.49,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450282",name:"Mud Bay",secondaryName:"Hetta Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.0817,longitude:-132.632,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450369",name:"Copper Harbor",secondaryName:"Hetta Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.21,longitude:-132.625,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450421",name:"Sulzer",secondaryName:"Hetta Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.285,longitude:-132.622,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450125",name:"American Bay",secondaryName:"Kaigani Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.85,longitude:-132.83,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1513",name:"Kasook Inlet",secondaryName:"Sukkwan Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.0167,longitude:-132.7833,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450283",name:"View Cove",secondaryName:"Tlevak Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.0833,longitude:-133.017,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450341",name:"South Pass",secondaryName:"Sukkwan Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.1667,longitude:-132.87,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450351",name:"Saltery Point",secondaryName:"Tlevak Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.1817,longitude:-132.795,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450366",name:"North Pass",secondaryName:"West End",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.205,longitude:-132.94,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450387",name:"Natalia Point",secondaryName:"Tlevak Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.2333,longitude:-133.043,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450413",name:"Soda Bay",secondaryName:"Tlevak Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.275,longitude:-132.967,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450406",name:"Block Island",secondaryName:"Tlevak Narrows",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.2633,longitude:-133.115,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450055",name:"Security Cove",secondaryName:"Dall Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.7483,longitude:-132.855,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450272",name:"Sakie Bay",secondaryName:"Dall Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.0667,longitude:-133.2,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450312",name:"Sea Otter Harbor",secondaryName:"Dall Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.1267,longitude:-133.167,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450584",name:"Cruz Pass",secondaryName:"San Fernando Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.5417,longitude:-133.315,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450679",name:"Anguilla Island",secondaryName:"Gulf of Esquibel",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.6833,longitude:-133.587,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450768",name:"Port Alice",secondaryName:"Heceta Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.8117,longitude:-133.605,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450817",name:"Tuxekan",secondaryName:"Davidson Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.8833,longitude:-133.243,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450851",name:"El Capitan Island",secondaryName:"Davidson Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.9367,longitude:-133.325,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1579",name:"Cyrus Cove",secondaryName:"Sea Otter Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.9167,longitude:-133.4,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1583",name:"Marble Island",secondaryName:"Davidson Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56,longitude:-133.4667,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450859",name:"Edna Bay",secondaryName:"Davidson Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.95,longitude:-133.662,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450829",name:"Coronation Island",secondaryName:"Sumner Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.9033,longitude:-134.118,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450862",name:"Pole Anchorage",secondaryName:"Kosciusko Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.955,longitude:-133.81,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1593",name:"Port McArthur",secondaryName:"Kuiu Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.0667,longitude:-134.1167,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450988",name:"Kell Bay",secondaryName:"Affleck Canal",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.15,longitude:-134.133,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450943",name:"Point St. Albans",secondaryName:"Sumner Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.0817,longitude:-133.97,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450937",name:"El Capitan Passage",secondaryName:"S. of Devilfish Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.0733,longitude:-133.313,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451082",name:"Port Beauclerc",secondaryName:"Kuiu Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.2883,longitude:-133.962,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451095",name:"Port Protection",secondaryName:"Prince of Wales Island.",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.3083,longitude:-133.6,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451148",name:"Reid Bay",secondaryName:"Sumner Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.3883,longitude:-133.883,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451163",name:"Sumner Island",secondaryName:"Sumner Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.41,longitude:-133.793,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451238",name:"Greys Island",secondaryName:"Sumner Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.5217,longitude:-132.542,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451439",name:"Petersburg",secondaryName:"Wrangell Narrows",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.815,longitude:-132.957,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451301",name:"Dry Strait",secondaryName:"Frederick Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.615,longitude:-132.575,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1657",name:"Ideal Cove",secondaryName:"Mitkof Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.6667,longitude:-132.6333,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1659",name:"Brown Cove",secondaryName:"Frederick Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.8833,longitude:-132.8,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451561",name:"Thomas Bay",secondaryName:"Frederick Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.9967,longitude:-132.785,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1663",name:"Portage Bay",secondaryName:"Kupreanof Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57,longitude:-133.3167,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451718",name:"Cleveland Passage",secondaryName:"Whitney Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.2183,longitude:-133.512,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1669",name:"Eliza Harbor",secondaryName:"Liesnoi Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.1667,longitude:-134.2833,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1673",name:"Port Houghton",secondaryName:"Robert Islands",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.3,longitude:-133.4667,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451851",name:"Hobart Bay",secondaryName:"Stephens Passage",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.4067,longitude:-133.42,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451909",name:"Good Island",secondaryName:"Gambier Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.4867,longitude:-133.898,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451906",name:"Gambier Bay",secondaryName:"Stephens Passage",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.4833,longitude:-133.96,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451962",name:"Windham Bay",secondaryName:"Stephens Passage",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.5433,longitude:-133.498,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452128",name:"Rasp Ledge",secondaryName:"Seymour Canal",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.6783,longitude:-134.038,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1683",name:"Windfall Harbor",secondaryName:"Seymour Canal",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.8667,longitude:-134.2667,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452064",name:"Holkham Bay",secondaryName:"Wood Spit",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.7183,longitude:-133.578,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1687",name:"Port Snettisham",secondaryName:"Point Styleman",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.9667,longitude:-133.8833,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452133",name:"Greely Point",secondaryName:"Taku Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.2233,longitude:-134.06,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452124",name:"Taku Point",secondaryName:"Taku Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.4,longitude:-134.015,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1697",name:"Fritz Cove",secondaryName:"Douglas Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.3167,longitude:-134.6,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452263",name:"Auke Bay",secondaryName:"Stephens Passage",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.3817,longitude:-134.645,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452435",name:"Haines Inlet",secondaryName:"Lynn Canal",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.23,longitude:-135.433,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451151",name:"Port Walter",secondaryName:"Baranof Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.3917,longitude:-134.66,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451001",name:"Table Bay",secondaryName:"Kuiu Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.1667,longitude:-134.245,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451093",name:"Port Malmesbury",secondaryName:"Kuiu Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.305,longitude:-134.238,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1723",name:"Tebenkof Bay",secondaryName:"Kuiu Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.4167,longitude:-134.1333,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1731",name:"Whitewater Bay",secondaryName:"Admiralty Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.2333,longitude:-134.6,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451717",name:"Kasnyku Bay",secondaryName:"Chatham Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.2167,longitude:-134.868,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1735",name:"Point Thatcher",secondaryName:"Chatham Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.4167,longitude:-134.85,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451895",name:"Killisnoo",secondaryName:"Chatham Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.47,longitude:-134.565,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1739",name:"Favorite Bay",secondaryName:"Kootznahoo Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.4833,longitude:-134.55,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1741",name:"Mitchell Bay",secondaryName:"Kootznahoo Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.5333,longitude:-134.4,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452386",name:"Tenakee Springs",secondaryName:"Tenakee Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.78,longitude:-135.212,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1743",name:"Freshwater Bay",secondaryName:"Chichagof Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.85,longitude:-135.0167,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451468",name:"Symonds Bay",secondaryName:"Biorka Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.8567,longitude:-135.52,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451725",name:"Olga Point",secondaryName:"Olga Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.2283,longitude:-135.537,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451858",name:"Klokachef Island",secondaryName:"Salisbury Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.4167,longitude:-135.89,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451802",name:"Scraggy Point",secondaryName:"Salisbury Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.3367,longitude:-135.723,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451826",name:"Haley Anchorage",secondaryName:"Fish Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.3717,longitude:-135.618,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451859",name:"Bear Bay",secondaryName:"Salisbury Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.4183,longitude:-135.583,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451979",name:"Nismeni Cove",secondaryName:"Salisbury Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.5617,longitude:-135.412,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1783",name:"Point Elizabeth",secondaryName:"Salisbury Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.5167,longitude:-135.2833,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1785",name:"Lindenburg Head",secondaryName:"Salisbury Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.45,longitude:-135.0333,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1787",name:"Fairway Island",secondaryName:"Salisbury Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.45,longitude:-134.8833,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1789",name:"Falcon Arm",secondaryName:"Slocum Arm",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.55,longitude:-135.9333,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452579",name:"Elbow Passage",secondaryName:"Klag Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.6133,longitude:-136.087,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452583",name:"Kimshan Cove",secondaryName:"Ogden Passage",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.6867,longitude:-136.107,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452649",name:"Canoe Cove",secondaryName:"North Pass",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.8467,longitude:-136.422,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452633",name:"Miner Island",secondaryName:"Lisianski Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.01,longitude:-136.342,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452671",name:"Takanis Bay",secondaryName:"Yakobi Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.9283,longitude:-136.52,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452672",name:"Surge Bay",secondaryName:"Yakobi Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.0183,longitude:-136.528,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452629",name:"Inian Cove",secondaryName:"North Inian Pass",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.2633,longitude:-136.325,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452567",name:"Mud Bay",secondaryName:"Goose Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.2117,longitude:-136.035,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452447",name:"Excursion Inlet",secondaryName:"North End",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.4967,longitude:-135.488,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452534",name:"Bartlett Cove",secondaryName:"Glacier Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.4567,longitude:-135.883,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452586",name:"Willoughby Island",secondaryName:"Glacier Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.6083,longitude:-136.117,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452704",name:"Graves Harbor",secondaryName:"Gulf of Alaska",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.2767,longitude:-136.678,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452747",name:"Dixon Harbor",secondaryName:"Gulf of Alaska",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.3833,longitude:-136.867,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452928",name:"Lituya Bay",secondaryName:"Gulf of Alaska",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.6167,longitude:-137.65,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1867",name:"Pete Dahl Slough",secondaryName:"Copper River Delta",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.3833,longitude:-145.4,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9453431",name:"Tyndall Glacier",secondaryName:"Icy Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.0783,longitude:-141.275,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1863",name:"Wingham Island",secondaryName:"Controller Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.05,longitude:-144.4,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1869",name:"Eyak River entrance",secondaryName:"Gulf of Alaska",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.4667,longitude:-145.6667,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454224",name:"Middleton Island",secondaryName:"Gulf of Alaska",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.4617,longitude:-146.31,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454125",name:"Shag Rock",secondaryName:"Orca Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.465,longitude:-145.988,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1875",name:"Gravel Point",secondaryName:"Orca Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.4667,longitude:-145.9667,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1879",name:"Orca",secondaryName:"Orca Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.5833,longitude:-145.7167,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1881",name:"Windy Bay",secondaryName:"Hawkins Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.5667,longitude:-145.9667,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454157",name:"Comfort Cove",secondaryName:"Port Gravina",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.71,longitude:-146.085,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454319",name:"Johnstone Point",secondaryName:"Hinchinbrook Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.4817,longitude:-146.61,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1887",name:"Port Etches",secondaryName:"Hinchinbrook Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.3333,longitude:-146.55,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454574",name:"Patton Bay",secondaryName:"Montague Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.9067,longitude:-147.45,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1893",name:"Hanning Bay",secondaryName:"Montague Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.95,longitude:-147.6833,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454573",name:"Gibbon Anchorage",secondaryName:"Green Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.27,longitude:-147.438,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454764",name:"Sawmill Bay",secondaryName:"Evans Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.0517,longitude:-148.065,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1907",name:"Smith Island",secondaryName:"Prince William Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.5333,longitude:-147.3167,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454296",name:"Landlocked Bay",secondaryName:"Port Fidalgo",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.8533,longitude:-146.535,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1909",name:"Snug Corner Cove",secondaryName:"Port Fidalgo",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.7333,longitude:-146.65,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454309",name:"Jack Bay",secondaryName:"Valdez Arm",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:61.04,longitude:-146.615,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454507",name:"Jackson Cove",secondaryName:"Glacier Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.88,longitude:-147.223,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454563",name:"Naked Island",secondaryName:"McPherson Passage",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.6833,longitude:-147.388,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454887",name:"Kings Bay",secondaryName:"Port Nellie Juan",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.5417,longitude:-148.46,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454798",name:"Culross Bay",secondaryName:"Wells Passage",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.7417,longitude:-148.172,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454735",name:"Eshamy Bay",secondaryName:"Knight Island Passage",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.4483,longitude:-147.978,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454787",name:"Chenega Island",secondaryName:"Dangerous Passage",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.33,longitude:-148.143,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454805",name:"Hogg Bay",secondaryName:"Port Bainbridge",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.0767,longitude:-148.195,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455036",name:"Day Harbor",secondaryName:"Kenai Peninsula",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.01,longitude:-149.062,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455217",name:"Two Arm Bay",secondaryName:"Harris Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.6617,longitude:-150.108,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455249",name:"Chance Cove",secondaryName:"Kenai Peninsula",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.4883,longitude:-150.312,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455304",name:"Beauty Bay",secondaryName:"Nuka Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.5267,longitude:-150.628,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455308",name:"Nuka Passage",secondaryName:"Kenai Peninsula",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.4083,longitude:-150.667,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455347",name:"Takoma Cove",secondaryName:"Port Dick",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.2617,longitude:-150.982,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455399",name:"Picnic Harbor",secondaryName:"Rocky Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.255,longitude:-151.42,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455478",name:"Ushagat Island",secondaryName:"Barren Islands",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.9467,longitude:-152.268,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455506",name:"Tutka Bay",secondaryName:"Kachemak Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.4317,longitude:-151.357,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455514",name:"Sadie Cove",secondaryName:"Kachemak Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.49,longitude:-151.365,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455556",name:"Halibut Cove",secondaryName:"Kachemak Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.5967,longitude:-151.22,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1979",name:"Cape Ninilchik",secondaryName:"Cook Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.0167,longitude:-151.7167,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1983",name:"Kenai River entrance",secondaryName:"Cook Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.55,longitude:-151.2833,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455742",name:"Kenai City Pier",secondaryName:"Cook Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.545,longitude:-151.218,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC1989",name:"East Foreland",secondaryName:"Cook Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.7167,longitude:-151.4167,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455741",name:"Drift River Terminal",secondaryName:"Cook Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.555,longitude:-152.133,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9456204",name:"Tuxedni Channel",secondaryName:"Cook Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.1533,longitude:-152.635,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9456463",name:"Oil Bay",secondaryName:"Kamishak Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.64,longitude:-153.262,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2009",name:"Iliamna Bay",secondaryName:"Cook Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.6167,longitude:-153.5833,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9456822",name:"Nordyke Island",secondaryName:"Kamishak Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.1783,longitude:-154.087,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457259",name:"Andreon Bay",secondaryName:"Shuyak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.5183,longitude:-152.415,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457271",name:"Perenosa Bay",secondaryName:"Afognak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.3567,longitude:-152.448,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457201",name:"Seal Bay",secondaryName:"Kodiak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.3717,longitude:-152.238,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2021",name:"Marmot Island",secondaryName:"Marmot Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.2333,longitude:-151.8667,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2023",name:"Izhut Bay",secondaryName:"Afognak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.2167,longitude:-152.3167,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2025",name:"Kazakof Bay",secondaryName:"Marmot Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.1333,longitude:-152.5667,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457361",name:"Fox Bay",secondaryName:"Whale Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.9783,longitude:-152.755,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457401",name:"Kizhuyak Bay",secondaryName:"Kodiak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.82,longitude:-152.9,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2031",name:"Kizhuyak Point",secondaryName:"Kodiak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.9,longitude:-152.65,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457262",name:"Spruce Island (north side)",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.9383,longitude:-152.417,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457351",name:"Ugak Bay (Saltery Cove)",secondaryName:"Kodiak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.4817,longitude:-152.718,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457479",name:"Port Hobron",secondaryName:"Sitkalidak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.1633,longitude:-153.152,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2047",name:"Three Saints Bay",secondaryName:"Kodiak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.1167,longitude:-153.5167,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2051",name:"Sitkinak Lagoon",secondaryName:"Kodiak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.5,longitude:-154.1333,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457773",name:"Moser Bay (Trap Point)",secondaryName:"Kodiak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.0017,longitude:-154.148,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457798",name:"Olga Bay (A.P.A. Cannery)",secondaryName:"Kodiak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.1617,longitude:-154.228,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457671",name:"Mining Camp",secondaryName:"Uyak Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.46,longitude:-153.817,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457648",name:"Zachar Bay",secondaryName:"Uyak Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.5483,longitude:-153.735,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2067",name:"Village Islands",secondaryName:"Uganik Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.7833,longitude:-153.55,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2069",name:"Northeast Arm",secondaryName:"Uganik Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.7333,longitude:-153.3333,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2071",name:"Uganik Passage",secondaryName:"Uganik Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.8,longitude:-153.3,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2073",name:"Viekoda Bay",secondaryName:"Kodiak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.9,longitude:-153.1667,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2075",name:"Onion Bay",secondaryName:"Kupreanof Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.05,longitude:-153.2333,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2077",name:"Dry Spruce Island",secondaryName:"Kupreanof Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.95,longitude:-153.0333,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457481",name:"Dolphin Point",secondaryName:"Raspberry Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.11,longitude:-153.155,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457316",name:"Redfox Bay",secondaryName:"Shuyak Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.4533,longitude:-152.595,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2085",name:"Malina Bay",secondaryName:"Shelikof Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.1833,longitude:-152.95,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457321",name:"Big Bay",secondaryName:"Shuyak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.555,longitude:-152.613,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457293",name:"Carry Inlet",secondaryName:"Shuyak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.5867,longitude:-152.513,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9456835",name:"Kukak",secondaryName:"Kukak Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.3417,longitude:-154.117,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2095",name:"Katmai Bay",secondaryName:"Shelikof Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58,longitude:-154.9833,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2101",name:"Lees Cabins",secondaryName:"Wide Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.4333,longitude:-156.3,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2105",name:"Three Star Point",secondaryName:"Alaska Peninsula",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.9,longitude:-159.1667,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459085",name:"Chiachi Island (east side)",secondaryName:"Alaska Peninsula",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.8433,longitude:-159.105,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459145",name:"Kupreanof Harbor",secondaryName:"Paul Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.79,longitude:-159.35,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2111",name:"Fox Bay",secondaryName:"Kupreanof Peninsula",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.6333,longitude:-159.6167,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459281",name:"Dent Point",secondaryName:"Stepovak Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.7833,longitude:-159.88,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459311",name:"Sanborn Harbor",secondaryName:"Nagai Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.155,longitude:-159.995,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2119",name:"Mist Harbor",secondaryName:"Nagai Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.1333,longitude:-159.85,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459398",name:"Pirate Cove",secondaryName:"Popof Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.3617,longitude:-160.36,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459464",name:"Albatross Anchorage",secondaryName:"Balboa Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.59,longitude:-160.613,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459522",name:"Beaver Bay",secondaryName:"Shumagin Islands",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.4733,longitude:-160.84,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459643",name:"Seal Cape",secondaryName:"Coal Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.365,longitude:-161.325,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459696",name:"Ukolnoi Island",secondaryName:"Shumagin Islands",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.2583,longitude:-161.537,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9463195",name:"Settlement Point",secondaryName:"Pavlof Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.5,longitude:-161.4667,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459895",name:"Lenard Harbor",secondaryName:"Cold Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.1183,longitude:-162.378,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459939",name:"Peterson Bay",secondaryName:"Sanak Islands",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.3933,longitude:-162.637,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459968",name:"Sanak Harbor",secondaryName:"Sanak Islands",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.4817,longitude:-162.812,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462971",name:"Dora Harbor",secondaryName:"Unimak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.71,longitude:-163.267,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462944",name:"St. Catherine Cove",secondaryName:"Unimak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.01,longitude:-163.507,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462838",name:"Cape Mordvinof",secondaryName:"Unimak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.9283,longitude:-164.467,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462641",name:"English Bay",secondaryName:"Unalaska Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.925,longitude:-166.257,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462611",name:"Dutch Harbor",secondaryName:"Amaknak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.8917,longitude:-166.537,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462578",name:"Anderson Bay",secondaryName:"Unalaska Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.6783,longitude:-166.832,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462554",name:"Skan Bay",secondaryName:"Unalaska Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.61,longitude:-167.045,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2187",name:"Kashega Bay",secondaryName:"Unalaska Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.4667,longitude:-167.0833,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462501",name:"Chernofski Harbor",secondaryName:"Unalaska Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.395,longitude:-167.533,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462557",name:"Kuliliak Bay",secondaryName:"Unalaska Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.4617,longitude:-167.02,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2193",name:"Eagle Bay",secondaryName:"Unalaska Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.4833,longitude:-166.9333,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462573",name:"Raven Bay",secondaryName:"Unalaska Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.475,longitude:-166.873,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462582",name:"Usof Bay",secondaryName:"Unalaska Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.515,longitude:-166.79,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462637",name:"Udagak Strait",secondaryName:"Unalaska Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.7367,longitude:-166.295,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462606",name:"Kisselen Bay",secondaryName:"Beaver Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.7133,longitude:-166.572,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462465",name:"Otter Point",secondaryName:"Umnak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.3967,longitude:-167.843,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462408",name:"Inanudak Bay",secondaryName:"Umnak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.2967,longitude:-168.352,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462354",name:"Okee Bay",secondaryName:"Umnak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.0167,longitude:-168.835,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462317",name:"Adugak Island",secondaryName:"Umnak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.9117,longitude:-169.165,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9462331",name:"Cape Sagak",secondaryName:"Umnak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.8417,longitude:-169.043,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9462367",name:"Driftwood Bay",secondaryName:"Umnak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.9583,longitude:-168.72,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462398",name:"Kigul Island",secondaryName:"Umnak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.045,longitude:-168.442,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462161",name:"East Cove",secondaryName:"Yunaska Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.6533,longitude:-170.563,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9462144",name:"North side",secondaryName:"Yunaska Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.6817,longitude:-170.707,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461693",name:"Martin Harbor",secondaryName:"Korovin Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.2267,longitude:-174.292,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461704",name:"Cape Utalug",secondaryName:"Atka Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.1183,longitude:-174.207,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461555",name:"Atka Pass (East End)",secondaryName:"Atka Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.0067,longitude:-175.32,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461667",name:"Sagchudak Island",secondaryName:"Atka Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.0267,longitude:-174.48,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461656",name:"Explorer Bay",secondaryName:"Atka Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.0733,longitude:-174.568,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461582",name:"Bechevin Bay",secondaryName:"Atka Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.0367,longitude:-175.115,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461406",name:"Adak Bight",secondaryName:"Adak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.77,longitude:-176.435,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461391",name:"Boot Bay",secondaryName:"Adak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.7133,longitude:-176.53,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461337",name:"Bay of Waterfalls",secondaryName:"Adak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.6417,longitude:-176.825,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461341",name:"Unalga Bight",secondaryName:"Adak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.78,longitude:-176.807,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461292",name:"Shoal Point",secondaryName:"Kanaga Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.87,longitude:-177.068,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461276",name:"Cape Chlanak",secondaryName:"Kanaga Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.71,longitude:-177.145,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461264",name:"Kanaga Bay",secondaryName:"Kanaga Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.7183,longitude:-177.2,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461183",name:"Cape Chunu",secondaryName:"Kanaga Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.665,longitude:-177.637,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461162",name:"Hot Springs Bay",secondaryName:"Tanaga Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.7783,longitude:-177.8,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461138",name:"Tanaga Bay",secondaryName:"Tanaga Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.7183,longitude:-177.997,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461132",name:"Lash Bay",secondaryName:"Tanaga Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.6717,longitude:-178.045,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461081",name:"Ogliuga Island",secondaryName:"Delarof Islands",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.6033,longitude:-178.617,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"TWC2297",name:"Gareloi Island",secondaryName:"Delarof Islands",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.75,longitude:-178.8,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"TWC2303",name:"Constantine Harbor",secondaryName:"Amchitka Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.4167,longitude:179.2833,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2305",name:"Gertrude Cove",secondaryName:"Kiska Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.9333,longitude:177.45,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2307",name:"Kiska Harbor",secondaryName:"Kiska Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.9833,longitude:177.55,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9460150",name:"MASSACRE BAY",secondaryName:"Attu Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.84,longitude:173.195,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2315",name:"Chichagof Harbor",secondaryName:"Attu Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.9167,longitude:173.2167,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2317",name:"Holtz Bay",secondaryName:"Attu Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.9167,longitude:173.1667,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2319",name:"Steller Cove",secondaryName:"Attu Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.9667,longitude:172.9,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2321",name:"Etienne Bay",secondaryName:"Attu Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.9167,longitude:-172.6167,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9462691",name:"Akutan Harbor",secondaryName:"Akutan Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.1283,longitude:-165.808,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462444",name:"Bogoslof Island",secondaryName:"Aleutian Islands",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.93,longitude:-168.033,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2175",name:"Malga Bay",secondaryName:"Unalga Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.9833,longitude:-166.1667,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462239",name:"Applegate Cove",secondaryName:"Chuginadak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.8617,longitude:-169.862,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"TWC2223",name:"Herbert Island",secondaryName:"Aleutian Islands",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.7167,longitude:-170.15,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461945",name:"Finch Cove",secondaryName:"Seguam Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.3917,longitude:-172.405,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"TWC2229",name:"Amukta Island",secondaryName:"Aleutian Islands",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.5167,longitude:-171.2333,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461519",name:"Fenimore Pass",secondaryName:"Aleutian Islands",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.96,longitude:-175.588,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461411",name:"Laska Cove",secondaryName:"Kagalaska Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.825,longitude:-176.402,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461453",name:"Sand Bay",secondaryName:"Great Sitkin Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.9733,longitude:-176.085,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9461467",name:"Bugle Point",secondaryName:"Great Sitkin Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.0383,longitude:-175.98,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"TWC2309",name:"Alcan Harbor",secondaryName:"Shemya Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.7167,longitude:174.0667,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2311",name:"Otkriti Bay",secondaryName:"Agattu Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.3667,longitude:173.6167,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462987",name:"Amak Island",secondaryName:"Bristol Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.4133,longitude:-163.115,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9463058",name:"Grant Point",secondaryName:"Izembek Lagoon",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.27,longitude:-162.9,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9464881",name:"Egegik River Ent",secondaryName:"Bristol Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.2383,longitude:-157.5,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9464874",name:"Egegik",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.2167,longitude:-157.375,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9465022",name:"Middle Bluff",secondaryName:"Kvichak Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.4533,longitude:-157.5,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9465183",name:"Naknek River Entrance",secondaryName:"Kvichak B",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.7217,longitude:-157.057,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9465174",name:"Omakstalia Point",secondaryName:"Naknek River",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.7067,longitude:-156.757,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9465149",name:"King Salmon Airport",secondaryName:"Naknek River",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.6717,longitude:-156.657,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9465342",name:"Kvichak",secondaryName:"Kvichak River",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.97,longitude:-156.947,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9465368",name:"Goodnews Bay entrance",secondaryName:"Kuskokwim Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.045,longitude:-161.808,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9466079",name:"Apokak Creek entrance",secondaryName:"Kuskokwim River",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.1367,longitude:-162.158,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9466203",name:"St. Matthew Island",secondaryName:"Bering Sea",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.3583,longitude:-172.715,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9468123",name:"Fossil River",secondaryName:"St. Lawrence Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:63.4667,longitude:-170.017,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9468216",name:"Niyrakpak Lagoon",secondaryName:"St. Lawrence Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:63.62,longitude:-171.383,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"TWC2405",name:"Apoon Mouth",secondaryName:"Yukon River",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:63.05,longitude:-163.3833,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9468011",name:"Pikmiktalik River",secondaryName:"Norton Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:63.28,longitude:-162.602,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9468132",name:"St. Michael",secondaryName:"Norton Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:63.475,longitude:-162.027,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9468226",name:"North Bay",secondaryName:"Stuart Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:63.6283,longitude:-162.517,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9495048",name:"Point Barrow",secondaryName:"Arctic Ocean",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:71.36,longitude:-156.353,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TWC2423",name:"Flaxman Island",secondaryName:"Arctic Ocean",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:70.1833,longitude:-145.8333,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"TPT2865",name:"Tau Island",secondaryName:"Manua Islands",stateTerritory:StatesTerritories.AS,stateAbbrev:null,country:Countries.US,latitude:-14.2167,longitude:-169.5333,type:BuoyTypes.TIDE,timeZone:TimeZones.PAGO_PAGO,isActive:false},{id:"TPT2891",name:"Niue Island",secondaryName:null,stateTerritory:null,country:Countries.NZ,latitude:-19.0333,longitude:169.9167,type:BuoyTypes.TIDE,timeZone:TimeZones.NIUE,isActive:false},{id:"TWC0399",name:"San Carlos",secondaryName:"Baja California",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:24.7833,longitude:-112.1167,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0401",name:"Isla Guadalupe",secondaryName:"Baja California",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:28.8833,longitude:-116.3,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0403",name:"Ensenada",secondaryName:"Todos Santos Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:31.85,longitude:-116.6333,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0405",name:"Point Loma",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:32.6667,longitude:-117.2333,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410166",name:"San Diego",secondaryName:"Quarantine Station",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:32.7033,longitude:-117.235,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410152",name:"National City",secondaryName:"San Diego Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:32.665,longitude:-117.118,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0413",name:"Quivira Basin",secondaryName:"Mission Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:32.7667,longitude:-117.2333,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410196",name:"Mission Bay",secondaryName:"Campland",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:32.7937,longitude:-117.2238,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0419",name:"San Clemente",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.4167,longitude:-117.6167,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410583",name:"Balboa Pier",secondaryName:"Newport Beach",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.6,longitude:-117.9,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410599",name:"Santa Ana River",secondaryName:"San Pedro Channel",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.63,longitude:-117.958,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0427",name:"Los Patos",secondaryName:"San Pedro Channel",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.7167,longitude:-118.05,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410686",name:"Long Beach",secondaryName:"Inner Harbor",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.7717,longitude:-118.21,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0439",name:"Los Angeles Harbor",secondaryName:"Mormon Island",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.75,longitude:-118.2667,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410777",name:"El Segundo",secondaryName:"Santa Monica Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.9083,longitude:-118.433,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0445",name:"Mugu Lagoon",secondaryName:"Santa Barbara Channel",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:34.1,longitude:-119.1,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9411065",name:"Port Hueneme",secondaryName:"Santa Barbara Channel",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:34.1483,longitude:-119.203,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9411189",name:"Ventura",secondaryName:"Santa Barbara Channel",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:34.2667,longitude:-119.283,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410092",name:"Catalina Harbor",secondaryName:"Santa Catalina Island",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.4317,longitude:-118.503,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0463",name:"Santa Barbara Island",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.4833,longitude:-119.0333,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410068",name:"San Nicolas Island",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.2667,longitude:-119.497,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410988",name:"Cuyler Harbor",secondaryName:"San Miguel Island",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:34.0567,longitude:-120.355,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0473",name:"Point Arguello",secondaryName:"Port San Luis",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:34.5833,longitude:-120.65,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9413375",name:"Carmel Cove",secondaryName:"Carmel Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:36.52,longitude:-121.94,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9413617",name:"General Fish Company Pier",secondaryName:"Monterey Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:36.8017,longitude:-121.787,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9413626",name:"Elkhorn Yacht Club",secondaryName:"Monterey Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:36.8133,longitude:-121.787,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9413624",name:"Pacific Mariculture Dock",secondaryName:"Monterey Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:36.8133,longitude:-121.758,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9413643",name:"Tidal Creek",secondaryName:"Elkhorn Slough",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:36.8333,longitude:-121.745,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9413745",name:"Santa Cruz",secondaryName:"Monterey Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:36.9583,longitude:-122.017,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9413878",name:"Ano Nuevo Island",secondaryName:"Port San Luis",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.1083,longitude:-122.338,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414262",name:"Southeast Farallon Island",secondaryName:"Port San Luis",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.7,longitude:-123,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0509",name:"San Francisco Bar",secondaryName:"Port San Luis",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.7667,longitude:-122.6333,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414275",name:"Ocean Beach",secondaryName:"Port San Luis",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.775,longitude:-122.513,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414906",name:"Point Bonita",secondaryName:"Bonita Cove",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.8183,longitude:-122.528,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414792",name:"Alcatraz Island",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.8267,longitude:-122.417,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414765",name:"Oakland Pier",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.795,longitude:-122.33,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414763",name:"Oakland Harbor",secondaryName:"Grove Street",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.795,longitude:-122.283,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414724",name:"San Leandro Channel",secondaryName:"San Leandro Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.7483,longitude:-122.235,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414334",name:"Potrero Point",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.7583,longitude:-122.383,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0547",name:"Roberts Landing",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.6667,longitude:-122.2,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414391",name:"South San Francisco",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.6667,longitude:-122.39,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414402",name:"Point San Bruno",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.65,longitude:-122.377,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414413",name:"Seaplane Harbor",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.6367,longitude:-122.383,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414449",name:"Coyote Point Marina",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.5917,longitude:-122.313,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414483",name:"Bay Slough (West)",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.5517,longitude:-122.243,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414486",name:"Bay Slough (East)",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.545,longitude:-122.222,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414505",name:"Corkscrew Slough",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.5083,longitude:-122.21,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414507",name:"West Point Slough",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.505,longitude:-122.192,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414511",name:"Smith Slough",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.5017,longitude:-122.223,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414513",name:"Granite Rock",secondaryName:"Redwood Creek",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.495,longitude:-122.213,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414539",name:"Calaveras Point",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.4667,longitude:-122.067,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414549",name:"Upper Guadalupe Slough",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.435,longitude:-122.007,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414817",name:"Angel Island (West)",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.86,longitude:-122.443,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414843",name:"Point Isabel",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.8983,longitude:-122.32,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415142",name:"Selby",secondaryName:"Carquinez Strait",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.0583,longitude:-122.243,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415227",name:"Point Buckler",secondaryName:"Suisun Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1,longitude:-122.033,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415095",name:"Irish Landing",secondaryName:"Sand Mound Slough",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.0333,longitude:-121.583,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414367",name:"Borden Highway Bridge",secondaryName:"San Joaquin River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.9367,longitude:-121.3333,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0649",name:"Lakeville",secondaryName:"Petaluma River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.2,longitude:-122.5667,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415469",name:"Tomales Bay",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.2283,longitude:-122.977,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415339",name:"Marshall",secondaryName:"Tomales Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1617,longitude:-122.893,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415625",name:"Bodega Harbor",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.3083,longitude:-123.055,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9416024",name:"Fort Ross",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.5133,longitude:-123.245,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0771",name:"Point Arena",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.95,longitude:-123.7333,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0777",name:"Mendocino",secondaryName:"Mendocino Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:39.3,longitude:-123.8,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9417624",name:"Westport",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:39.6333,longitude:-123.783,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9418637",name:"Cockrobin Island Bridge",secondaryName:"Eel River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:40.6372,longitude:-124.2822,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9418757",name:"Elk River Railroad Bridge",secondaryName:"Humboldt Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:40.7567,longitude:-124.193,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9418851",name:"Arcata Wharf",secondaryName:"Humboldt Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:40.85,longitude:-124.117,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"8460751",name:"WEST MYSTIC",secondaryName:"MYSTIC RIVER",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.3433,longitude:-71.975,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8462723",name:"Saybrook Jetty",secondaryName:"Connecticut River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.2633,longitude:-72.3433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8462752",name:"Saybrook Point",secondaryName:"Connecticut River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.2833,longitude:-72.35,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8462764",name:"Lyme",secondaryName:"Connecticut River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.3217,longitude:-72.35,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8462925",name:"Essex",secondaryName:"Connecticut River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.3483,longitude:-72.385,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8463155",name:"Hadlyme",secondaryName:"Connecticut River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.42,longitude:-72.4283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8463582",name:"Haddam",secondaryName:"Connecticut River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.4817,longitude:-72.5067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8464418",name:"South Hartford",secondaryName:"Connecticut River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.755,longitude:-72.6583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8464464",name:"Hartford",secondaryName:"Connecticut River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.77,longitude:-72.6683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8463409",name:"Westbrook",secondaryName:"Duck Island Roads",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.2733,longitude:-72.475,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8464041",name:"Madison",secondaryName:"Long Island Sound",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.27,longitude:-72.59,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8464687",name:"Sachem Head",secondaryName:"Long Island Sound",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.245,longitude:-72.7083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8465233",name:"Branford",secondaryName:"Branford River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.2617,longitude:-72.8183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8468191",name:"SAUGATUCK",secondaryName:"SAUGATUCK RIVER",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.12,longitude:-73.3683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8469549",name:"Cos Cob Harbor",secondaryName:"Long Island Sound",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.0167,longitude:-73.5967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554038",name:"Leipsic",secondaryName:"Leipsic River",stateTerritory:StatesTerritories.DE,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:39.245,longitude:-75.5183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553501",name:"Woodland Beach",secondaryName:"Delaware River",stateTerritory:StatesTerritories.DE,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:39.3333,longitude:-75.4667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553069",name:"Taylors Bridge",secondaryName:"Blackbird Creek",stateTerritory:StatesTerritories.DE,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:39.405,longitude:-75.5983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551973",name:"St. Georges",secondaryName:"Delaware Canal",stateTerritory:StatesTerritories.DE,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:39.555,longitude:-75.6483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552125",name:"Summit Bridge",secondaryName:"Delaware Canal",stateTerritory:StatesTerritories.DE,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:39.5333,longitude:-75.7333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550658",name:"Millside",secondaryName:"Christina River",stateTerritory:StatesTerritories.DE,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:39.725,longitude:-75.56,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720194",name:"Little Talbot Island",secondaryName:"Nassau Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.43,longitude:-81.405,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3787",name:"Tequesta",secondaryName:"Loxahatchee River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.95,longitude:-80.1017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3789",name:"Tequesta",secondaryName:"North Fork entrance",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.9517,longitude:-80.1017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722494",name:"Southwest Fork",secondaryName:"Loxahatchee River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.9433,longitude:-80.12,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723156",name:"San Marino Island",secondaryName:"Biscayne Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.7933,longitude:-80.1633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720259",name:"Atlantic Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.335,longitude:-81.395,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3693",name:"Cape Canaveral",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.4333,longitude:-80.5667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722105",name:"Vero Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.67,longitude:-80.36,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722381",name:"Great Pocket",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.155,longitude:-80.1717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722471",name:"Conch Bar",secondaryName:"Jupiter Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.9883,longitude:-80.0933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3783",name:"Jupiter Inlet",secondaryName:"U.S. Highway 1 Bridge",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.9483,longitude:-80.085,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722832",name:"Deerfield Beach",secondaryName:"Hillsboro River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.3133,longitude:-80.0817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722854",name:"Hillsboro Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.2733,longitude:-80.08,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722946",name:"Mayan Lake",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.1,longitude:-80.1083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723087",name:"Sunny Isles",secondaryName:"Biscayne Creek",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.9283,longitude:-80.13,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723094",name:"Indian Creek Golf Club",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.875,longitude:-80.1433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723303",name:"Soldier Key",secondaryName:"Florida Keys",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.59,longitude:-80.1617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723491",name:"Card Sound",secondaryName:"western side",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.345,longitude:-80.3317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723532",name:"Cormorant Point",secondaryName:"Key Largo",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.29,longitude:-80.34,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723571",name:"Main Key",secondaryName:"Barnes Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.24,longitude:-80.4,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723575",name:"Manatee Creek",secondaryName:"Manatee Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.235,longitude:-80.43,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723622",name:"Garden Cove",secondaryName:"Key Largo",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.1717,longitude:-80.3667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723651",name:"Largo Sound",secondaryName:"Key Largo",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.14,longitude:-80.395,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723667",name:"Key Largo",secondaryName:"South Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.1133,longitude:-80.4167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723748",name:"Tavernier Creek",secondaryName:"Hawk Channel",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.0033,longitude:-80.53,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723776",name:"Yacht Harbor",secondaryName:"Plantation Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.965,longitude:-80.5683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723787",name:"Snake Creek",secondaryName:"Windley Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.9517,longitude:-80.5883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723813",name:"Little Basin",secondaryName:"Upper Matecumbe Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.915,longitude:-80.64,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723862",name:"Matecumbe Harbor",secondaryName:"Lower Matecumbe Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.8517,longitude:-80.74,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723868",name:"Channel Two (East)",secondaryName:"Lower Matecumbe Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.845,longitude:-80.7483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723869",name:"Channel Two (West)",secondaryName:"Hawk Channel",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.8417,longitude:-80.7533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723874",name:"Channel Five (East)",secondaryName:"Hawk Channel",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.8367,longitude:-80.7667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723872",name:"Channel Five (West)",secondaryName:"Hawk Channel",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.84,longitude:-80.78,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723879",name:"Long Key Bight",secondaryName:"Long Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.8283,longitude:-80.8083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723887",name:"Long Key Lake",secondaryName:"Long Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.82,longitude:-80.8167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723899",name:"Long Key",secondaryName:"western end",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.8033,longitude:-80.85,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724237",name:"Middle Torch Key",secondaryName:"Torch Ramrod Channel",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6617,longitude:-81.4017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724232",name:"Little Torch Key",secondaryName:"Torch Channel",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.665,longitude:-81.395,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724223",name:"Little Torch Key (North)",secondaryName:"Pine Channel Bridge",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.665,longitude:-81.3867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724213",name:"Big Pine Key (South)",secondaryName:"Pine Channel Bridge",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6683,longitude:-81.3717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724274",name:"Big Torch Key",secondaryName:"Harbor Channel",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7367,longitude:-81.4433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724257",name:"Howe Key",secondaryName:"northwest end",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7583,longitude:-81.4283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724267",name:"Summerland Key",secondaryName:"Niles Channel Bridge",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.66,longitude:-81.4367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724293",name:"Key Lois",secondaryName:"southeast end",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6067,longitude:-81.47,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724326",name:"Sugarloaf Key",secondaryName:"Pirates Cove",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6533,longitude:-81.515,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724370",name:"Sawyer Key (Outside)",secondaryName:"Cudjoe Channel",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7583,longitude:-81.5617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724459",name:"Rockland Key",secondaryName:"Rockland Channel Bridge",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.5917,longitude:-81.67,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC4165",name:"Cape Sable",secondaryName:"East Cape",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.1167,longitude:-81.0833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724769",name:"Shark River",secondaryName:"Gulf Coast",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.345,longitude:-81.1267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC4169",name:"Whitewater Bay",secondaryName:"Gulf Coast",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.3167,longitude:-81.0333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724842",name:"Lostmans River",secondaryName:"Gulf Coast",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.5533,longitude:-81.2133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724863",name:"Onion Key",secondaryName:"Lostmans River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.6117,longitude:-81.1333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724891",name:"Chatham River",secondaryName:"Gulf Coast",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.69,longitude:-81.285,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC4183",name:"Indian Key",secondaryName:"Gulf Coast",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.8,longitude:-81.4667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC4185",name:"Round Key",secondaryName:"Gulf Coast",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.8333,longitude:-81.5333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725366",name:"Matanzas Pass",secondaryName:"Estero Island",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.4567,longitude:-81.9533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC4207",name:"Point Ybel",secondaryName:"San Carlos Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.45,longitude:-82.0167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725383",name:"Captiva Island",secondaryName:"Gulf Coast",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.4783,longitude:-82.1833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725417",name:"Captiva Island",secondaryName:"Pine Island Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.5217,longitude:-82.1883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725506",name:"Matlacha Pass",secondaryName:"Gulf Coast",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.6317,longitude:-82.0683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726468",name:"Shell Point",secondaryName:"Tampa Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.7183,longitude:-82.48,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726436",name:"Little Manatee River",secondaryName:"Tampa Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.705,longitude:-82.4483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726454",name:"Point Pinellas",secondaryName:"Tampa Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.7017,longitude:-82.64,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726539",name:"NEWMAN BRANCH",secondaryName:"Tampa Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.7833,longitude:-82.4067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC4271",name:"Pass-a-Grille Beach",secondaryName:"Boca Ciega Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.6833,longitude:-82.7333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726486",name:"Gulfport",secondaryName:"Boca Ciega Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.7367,longitude:-82.7067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726494",name:"Long Key",secondaryName:"Corey Causeway",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.7517,longitude:-82.7533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726625",name:"Indian Rocks Beach",secondaryName:"Gulf Coast",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.8767,longitude:-82.85,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726995",name:"Gulf Harbors",secondaryName:"Gulf Coast",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.2433,longitude:-82.7633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727386",name:"Florida Power",secondaryName:"Crystal River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.96,longitude:-82.725,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC4299",name:"Suwannee River",secondaryName:"Gulf Coast",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.2833,longitude:-83.15,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC4301",name:"Pepperfish Keys",secondaryName:"Gulf Coast",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.5,longitude:-83.3667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC4305",name:"Fishermans Rest",secondaryName:"Gulf Coast",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.7333,longitude:-83.5333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728142",name:"St. Marks",secondaryName:"St. Marks River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.1533,longitude:-84.2033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728237",name:"Bald Point",secondaryName:"Ochlockonee Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.9483,longitude:-84.3417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728269",name:"Panacea",secondaryName:"Dickerson Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.0283,longitude:-84.3867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728465",name:"Dog Island (Wet)",secondaryName:"St. George Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.785,longitude:-84.6667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728412",name:"Lanark",secondaryName:"St. George Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.8783,longitude:-84.595,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728488",name:"South Carrabelle Beach",secondaryName:"St. George Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.8017,longitude:-84.7367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728486",name:"St. George Island",secondaryName:"Northeast End",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.7667,longitude:-84.7,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728626",name:"St. George Island",secondaryName:"12th St. W",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.6533,longitude:-84.8967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728669",name:"St. George Island",secondaryName:"Sikes Cut",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.6133,longitude:-84.9583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC4309",name:"Rock Islands",secondaryName:"St. George Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.9667,longitude:-83.8333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728694",name:"WHITE BEACH",secondaryName:"EAST BAY",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.785,longitude:-84.8983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728757",name:"Huckleberry Landing",secondaryName:"Jackson River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.77,longitude:-85.085,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC4343",name:"Lower Anchorage",secondaryName:"Apalachicola Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.6,longitude:-85.05,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728766",name:"West Pass",secondaryName:"Apalachicola Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.6333,longitude:-85.0967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728786",name:"Eleven Mile",secondaryName:"St. Vincent Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.7067,longitude:-85.1533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728958",name:"St. Joseph Point",secondaryName:"St. Joseph Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.8733,longitude:-85.39,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728957",name:"Overstreet",secondaryName:"St. Andrew Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.9967,longitude:-85.37,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729887",name:"Fort McRee Breakwater",secondaryName:"Pensacola Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.3267,longitude:-87.3117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729791",name:"Hernandez Point",secondaryName:"Escambia Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.455,longitude:-87.1,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729824",name:"Floridatown",secondaryName:"Escambia Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.5817,longitude:-87.18,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729702",name:"Holley",secondaryName:"East Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.45,longitude:-86.9183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729742",name:"Bay Point",secondaryName:"Blackwater River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.5717,longitude:-87.005,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729747",name:"Shield Point",secondaryName:"Blackwater River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.5817,longitude:-87.015,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC4383",name:"Milton",secondaryName:"Blackwater River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.6167,longitude:-87.0333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729753",name:"Hawkins Rec. Park",secondaryName:"Blackwater River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.6367,longitude:-87.0283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729909",name:"Big Lagoon",secondaryName:"Gulf Coast",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.3267,longitude:-87.3567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8670892",name:"Tybee Light",secondaryName:"Savannah River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:32.0283,longitude:-80.855,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8670678",name:"Fort Jackson",secondaryName:"Savannah River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:32.0817,longitude:-81.0367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8670681",name:"SAVANNAH",secondaryName:null,stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:32.0817,longitude:-81.0917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"A8670073",name:"S.C.L. RR. bridge",secondaryName:"Savannah River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:32.2317,longitude:-81.145,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3399",name:"Tybee Creek",secondaryName:"Wassaw Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.9833,longitude:-80.85,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3401",name:"Beach Hammock",secondaryName:"Wassaw Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.95,longitude:-80.9333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8671314",name:"Halfmoon Reef",secondaryName:"Halfmoon River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.9633,longitude:-80.9433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3403",name:"Romerly Marsh Creek",secondaryName:"Wassaw Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.9333,longitude:-81,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8671315",name:"Priest Landing",secondaryName:"Wilmington River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.9633,longitude:-81.0117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3405",name:"Savannah Sheraton Resort Hotel",secondaryName:"Wilmington River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:32,longitude:-81,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3407",name:"Thunderbolt",secondaryName:"Wilmington River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:32.0333,longitude:-81.05,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3409",name:"North entrance",secondaryName:"Wilmington River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:32.0667,longitude:-81,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8671086",name:"Skidaway Institute",secondaryName:"Skidaway River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.99,longitude:-81.0233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3411",name:"Isle of Hope",secondaryName:"Skidaway River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.9833,longitude:-81.05,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3413",name:"Egg Islands",secondaryName:"Ossabaw Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.8333,longitude:-81.0833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8671642",name:"Vernon View",secondaryName:"Burnside River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.9267,longitude:-81.0983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3417",name:"Coffee Bluff",secondaryName:"Forest River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.9333,longitude:-81.15,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3419",name:"Fort McAllister",secondaryName:"Ogeechee River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.8833,longitude:-81.2167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3421",name:"Highway bridge",secondaryName:"Ogeechee River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.9833,longitude:-81.2833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8672219",name:"Florida Passage",secondaryName:"Ogeechee River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.8533,longitude:-81.1467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3425",name:"Florida Passage",secondaryName:"Bear River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.8167,longitude:-81.1667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3427",name:"Cane Patch Creek entrance",secondaryName:"Ossabaw Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.8167,longitude:-81.15,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8672455",name:"Bradley Point",secondaryName:"Bradley River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.8217,longitude:-81.05,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8673437",name:"Walburg Creek",secondaryName:"St. Catherines Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.69,longitude:-81.155,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8672696",name:"Kilkenny Club",secondaryName:"Kilkenny Creek",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.7883,longitude:-81.2033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8672462",name:"Belfast",secondaryName:"Belfast River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.8217,longitude:-81.2983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8673499",name:"North Newport River (Daymark 119)",secondaryName:"St. Catherines Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.6817,longitude:-81.1917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3445",name:"North Newport River",secondaryName:"St. Catherines Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.6667,longitude:-81.2667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3447",name:"South Newport Cut",secondaryName:"North Newport River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.6667,longitude:-81.2667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8673875",name:"Eagle Neck",secondaryName:"South Newport River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.65,longitude:-81.305,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8673812",name:"Thomas Landing",secondaryName:"S. Newport River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.6433,longitude:-81.2567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3457",name:"Dallas Bluff",secondaryName:"Julienton River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.5833,longitude:-81.3167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8673962",name:"Harris Neck",secondaryName:"Barbour Island River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.6233,longitude:-81.2633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8674251",name:"Barbour Island",secondaryName:"Barbour Island River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.5783,longitude:-81.24,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3463",name:"Blackbeard Island",secondaryName:"Sapelo Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.5333,longitude:-81.2,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8674623",name:"Dog Hammock",secondaryName:"Sapelo River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.5317,longitude:-81.27,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8674638",name:"Bellville Point",secondaryName:"Sapelo River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.5317,longitude:-81.36,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8674512",name:"Pine Harbor",secondaryName:"Sapelo River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.5483,longitude:-81.3717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8674801",name:"Eagle Creek",secondaryName:"Mud River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.51,longitude:-81.2783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8674875",name:"Creighton Narrows",secondaryName:"Crescent River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.4983,longitude:-81.325,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8675365",name:"Old Tea Kettle Creek",secondaryName:"Doboy Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.4317,longitude:-81.3067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8674962",name:"Blackbeard Creek",secondaryName:"Blackbeard Island",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.4883,longitude:-81.21,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8675245",name:"Hudson Creek",secondaryName:"Doboy Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.4467,longitude:-81.3433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8675843",name:"Threemile Cut",secondaryName:"Darien River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.3567,longitude:-81.3767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8675779",name:"Darien",secondaryName:"Darien River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.3683,longitude:-81.435,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3491",name:"Wolf Island",secondaryName:"Altamaha Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.3333,longitude:-81.3167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8676012",name:"Champney Island",secondaryName:"South Altamaha River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.3317,longitude:-81.46,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3495",name:"Hampton River",secondaryName:"Altamaha Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.2167,longitude:-81.3167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3497",name:"Jones Creek entrance",secondaryName:"Hampton River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.3,longitude:-81.3333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3499",name:"St. Simons Sound Bar",secondaryName:"St. Simons Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.1,longitude:-81.3167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8677045",name:"Frederick River Bridge",secondaryName:"St. Simons Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.1683,longitude:-81.4133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8676743",name:"Frederica River",secondaryName:"St. Simons Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.2217,longitude:-81.3933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8676766",name:"Mackay River",secondaryName:"St. Simons Sound",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.21,longitude:-81.425,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3521",name:"Highway bridge",secondaryName:"South Brunswick River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.15,longitude:-81.5667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3515",name:"Allied Chemical Corp. docks",secondaryName:"Turtle River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.1833,longitude:-81.5167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8676722",name:"Dillard Creek",secondaryName:"Turtle River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.225,longitude:-81.5717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8676787",name:"Buffalo River",secondaryName:"Turtle River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.215,longitude:-81.5833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8677576",name:"Jointer Island",secondaryName:"Jointer Creek",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.095,longitude:-81.505,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8677833",name:"Little Satilla River",secondaryName:"2.5 miles from mouth",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.0583,longitude:-81.4933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8677566",name:"Little Satilla River",secondaryName:"8 miles from mouth",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.0983,longitude:-81.5733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3531",name:"Below Spring Bluff",secondaryName:"Little Satilla River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.1667,longitude:-81.6167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8677832",name:"Jekyll Island Marina",secondaryName:"Jekyll Creek",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.0567,longitude:-81.4233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8678412",name:"Todd Creek",secondaryName:"Satilla River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:30.9717,longitude:-81.52,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8678466",name:"Ceylon",secondaryName:"Satilla River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:30.9633,longitude:-81.655,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3541",name:"Burnt Fort",secondaryName:"Satilla River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:30.95,longitude:-81.9,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8678111",name:"Dover Bluff",secondaryName:"Dover Creek",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.0167,longitude:-81.5283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8678688",name:"Cumberland Wharf",secondaryName:"Cumberland River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:30.93,longitude:-81.4467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8678642",name:"Floyd Creek",secondaryName:"2.8 miles above entrance",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:30.9367,longitude:-81.5067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8679997",name:"St. Marys Entrance",secondaryName:"North Jetty",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:30.72,longitude:-81.445,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8679242",name:"Crooked River",secondaryName:"Cumberland Dividings",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:30.8433,longitude:-81.4867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8679083",name:"Harrietts Bluff",secondaryName:"Crooked River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:30.87,longitude:-81.585,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"1619645",name:"Laysan Island",secondaryName:null,stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:25.7667,longitude:-171.75,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1619222",name:"East Island",secondaryName:"French Frigate Shoals",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:23.7833,longitude:-166.208,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1610367",name:"Nonopapa",secondaryName:"Niihau Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.87,longitude:-160.235,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1611401",name:"Waimea Bay",secondaryName:"Kauai Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.9567,longitude:-159.673,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1611443",name:"Hanamaulu Bay",secondaryName:"Kauai Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.995,longitude:-159.335,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1611683",name:"Hanalei Bay",secondaryName:"Kauai Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:22.215,longitude:-159.502,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1612668",name:"Haleiwa",secondaryName:"Waialua Bay",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.5983,longitude:-158.108,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1612482",name:"Waianae",secondaryName:"Kaneohe Bay",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.445,longitude:-158.192,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1612301",name:"Hanauma Bay",secondaryName:"Oahu Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.275,longitude:-157.697,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1612376",name:"Waimanalo",secondaryName:"Oahu Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.335,longitude:-157.693,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"TPT2777",name:"Waikane",secondaryName:"Kaneohe Bay",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.5,longitude:-157.85,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"TPT2779",name:"Laie Bay",secondaryName:"Oahu Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.65,longitude:-157.9333,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1613226",name:"Kolo",secondaryName:"Molokai Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.0933,longitude:-157.197,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1613077",name:"Kamalo Harbor",secondaryName:"Molokai Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.0483,longitude:-156.877,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1613155",name:"Pukoo Harbor",secondaryName:"Molokai Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.0717,longitude:-156.8,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1616696",name:"Kuheia Bay",secondaryName:"Kahoolawe Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:20.595,longitude:-156.607,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"TPT2803",name:"Smuggler Cove",secondaryName:"Kahoolawe Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:20.5167,longitude:-156.6833,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1615395",name:"Hana",secondaryName:"Maui Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:20.7617,longitude:-155.987,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1615202",name:"Makena",secondaryName:"Maui Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:20.6567,longitude:-156.445,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"TPT2797",name:"Kihei",secondaryName:"Maalaea Bay",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:20.7833,longitude:-156.4667,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"TPT2799",name:"Lahaina",secondaryName:"Maui Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:20.8833,longitude:-156.6833,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1617277",name:"Mahukona",secondaryName:"Hawai'i Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:20.1867,longitude:-155.903,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1617846",name:"Kailua Kona",secondaryName:"Hawai'i Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:19.6433,longitude:-156,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1618021",name:"Napoopoo",secondaryName:"Kealakekua Bay",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:19.4767,longitude:-155.922,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1618578",name:"Honuapo",secondaryName:"Hawai'i Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:19.0883,longitude:-155.553,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"TPT2739",name:"Palmyra Atoll",secondaryName:null,stateTerritory:StatesTerritories.UM,stateAbbrev:null,country:Countries.US,latitude:5.8833,longitude:-162.0833,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"TPT2737",name:"Howland Island",secondaryName:null,stateTerritory:StatesTerritories.UM,stateAbbrev:null,country:Countries.US,latitude:0.8,longitude:-176.6333,type:BuoyTypes.TIDE,timeZone:TimeZones.ETC,isActive:false},{id:"TPT2819",name:"Easter Island",secondaryName:null,stateTerritory:null,stateAbbrev:null,country:Countries.CL,latitude:-27.1333,longitude:-109.45,type:BuoyTypes.TIDE,timeZone:TimeZones.EASTER_ISLAND,isActive:false},{id:"8760172",name:"Chandeleur Light",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:30.0483,longitude:-88.8717,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8760841",name:"Jack Bay",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.3667,longitude:-89.345,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8760424",name:"Lonesome Bayou (Thomasin)",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.2283,longitude:-89.05,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8760416",name:"Southeast Pass",secondaryName:"Mississippi River",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.1167,longitude:-89.045,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8760579",name:"Port Eads",secondaryName:"South Pass",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.015,longitude:-89.16,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8760959",name:"Southwest Pass",secondaryName:"Mississippi River",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:28.9317,longitude:-89.4283,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8760736",name:"Joseph Bayou",secondaryName:"Mississippi River",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.0583,longitude:-89.2717,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"TEC4445",name:"Paris Road Bridge",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:30,longitude:-89.9333,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8761212",name:"Empire Jetty",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.25,longitude:-89.6083,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8761289",name:"Bastian Island",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.2867,longitude:-89.6633,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8761557",name:"Quatre Bayous Pass",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.31,longitude:-89.8533,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8761687",name:"Barataria Pass",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.275,longitude:-89.945,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"TEC4455",name:"Bayou Rigaud",secondaryName:"Grand Isle",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.2667,longitude:-89.9667,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8761677",name:"Independence Island",secondaryName:"Barataria Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.31,longitude:-89.9383,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8761732",name:"Manilla",secondaryName:"Barataria Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.4267,longitude:-89.9767,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8762184",name:"Golden Meadow",secondaryName:"Plaisance Canal",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.3733,longitude:-90.265,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8762675",name:"Timbalier Island",secondaryName:"Timbalier Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.0867,longitude:-90.5267,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8762481",name:"Pelican Islands",secondaryName:"Timbalier Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.1283,longitude:-90.4233,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8762850",name:"Wine Island",secondaryName:"Terrebonne Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.0783,longitude:-90.5867,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8763206",name:"Caillou Boca",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.0633,longitude:-90.8067,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8764634",name:"Point Chevreuil",secondaryName:"Atchafalaya Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.5183,longitude:-91.555,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8764706",name:"Rabbit Island",secondaryName:"Atchafalaya Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.42,longitude:-91.5933,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8765568",name:"Lighthouse Point",secondaryName:"Atchafalaya Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.5233,longitude:-92.0433,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8763719",name:"Ship Shoal Light",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:28.915,longitude:-91.0717,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8764931",name:"Cote Blanche Island",secondaryName:"West Cote Blanche Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.735,longitude:-91.7133,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8765551",name:"Southwest Pass",secondaryName:"Vermilion Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.58,longitude:-92.035,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"TEC4495",name:"Mermentau River",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.75,longitude:-93.1,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8410875",name:"Birch Islands",secondaryName:"Cobscook Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.875,longitude:-67.1583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8411411",name:"Stone Island",secondaryName:"Machias Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.6033,longitude:-67.3683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8411467",name:"Machiasport",secondaryName:"Machias River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.6983,longitude:-67.3933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8411696",name:"Shoppee Point",secondaryName:"Englishman Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.615,longitude:-67.4967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8411801",name:"Steele Harbor Island",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.4933,longitude:-67.5433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8412568",name:"Green Island",secondaryName:"Petit Manan Bar",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.3717,longitude:-67.87,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8412932",name:"Prospect Harbor",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.4,longitude:-68.0217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8413564",name:"Southwest Harbor",secondaryName:"Mount Desert Island",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.275,longitude:-68.3133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8413651",name:"Bass Harbor",secondaryName:"Mount Desert Island",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.2417,longitude:-68.3533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8413079",name:"Winter Harbor",secondaryName:"Frenchman Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.3883,longitude:-68.0867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8414112",name:"Blue Hill Harbor",secondaryName:"Blue Hill Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.4083,longitude:-68.5633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8413857",name:"Burnt Coat Harbor",secondaryName:"Swans Island",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.145,longitude:-68.45,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8414168",name:"Center Harbor",secondaryName:"Eggemoggin Reach",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.2633,longitude:-68.5867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8414424",name:"Little Deer Isle",secondaryName:"Eggemoggin Reach",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.2917,longitude:-68.6933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8414288",name:"Isle Au Haut",secondaryName:"Penobscot Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.0733,longitude:-68.6367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8414348",name:"Stonington",secondaryName:"Deer Isle",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.1533,longitude:-68.6617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8414876",name:"Matinicus Harbor",secondaryName:"Wheaton Island",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.8617,longitude:-68.8817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8414776",name:"Vinalhaven",secondaryName:"Penobscot Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.0433,longitude:-68.84,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8414672",name:"Castine",secondaryName:"Penobscot Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.3867,longitude:-68.7967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8414581",name:"Gross Point",secondaryName:"Eastern Channel",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.5367,longitude:-68.7583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8415809",name:"Tenants Harbor",secondaryName:"St. George",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.965,longitude:-69.2167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416092",name:"Monhegan Island",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.765,longitude:-69.3217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416028",name:"Burnt Island",secondaryName:"Georges Islands",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.8717,longitude:-69.295,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8415933",name:"Port Clyde",secondaryName:"St. George River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.925,longitude:-69.26,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8415867",name:"Otis Cove",secondaryName:"St. George River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.9867,longitude:-69.2367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416501",name:"New Harbor",secondaryName:"Muscongus Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.875,longitude:-69.4917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416381",name:"Muscongus Harbor",secondaryName:"Muscongus Sound",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.9667,longitude:-69.4417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416141",name:"Friendship Harbor",secondaryName:"Muscongus Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.97,longitude:-69.3417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416581",name:"Pemaquid Harbor",secondaryName:"Johns Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.8767,longitude:-69.525,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416232",name:"Jones Neck",secondaryName:"Medomak River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.015,longitude:-69.38,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416224",name:"Waldoboro",secondaryName:"Medomak River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.0933,longitude:-69.3767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416721",name:"East Boothbay",secondaryName:"Damariscotta River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.865,longitude:-69.5833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416608",name:"Newcastle",secondaryName:"Damariscotta River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.0333,longitude:-69.5367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416796",name:"Damariscove Harbor",secondaryName:"Damariscove Island",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.7583,longitude:-69.615,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416828",name:"Boothbay Harbor",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.85,longitude:-69.6283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416908",name:"Southport",secondaryName:"Townsend Gut",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.8467,longitude:-69.6617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416968",name:"Isle of Springs",secondaryName:"Sheepscot River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.86,longitude:-69.6867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416928",name:"Cross River",secondaryName:"Sheepscot River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.925,longitude:-69.67,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416804",name:"Sheepscot (below rapids)",secondaryName:"Sheepscot River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.05,longitude:-69.6183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416961",name:"Back River",secondaryName:"Sheepscot River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.9583,longitude:-69.6833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417067",name:"Robinhood",secondaryName:"Sasanoa River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.8533,longitude:-69.7333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417127",name:"Mill Point",secondaryName:"Sasanoa River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.8867,longitude:-69.7633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417221",name:"Phippsburg",secondaryName:"Kennebec River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.8183,longitude:-69.81,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417271",name:"Sturgeon Island",secondaryName:"Merrymeeting Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.9817,longitude:-69.835,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417377",name:"Androscoggin River",secondaryName:"Kennebec River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.95,longitude:-69.8883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417527",name:"Brunswick",secondaryName:"Androscoggin River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.9217,longitude:-69.9633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417391",name:"Bowdoinham",secondaryName:"Cathance River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.0083,longitude:-69.895,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417387",name:"Cundy's Harbor",secondaryName:"New Meadows River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.7883,longitude:-69.8933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417367",name:"Howard Point",secondaryName:"New Meadows River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.89,longitude:-69.8833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417647",name:"South Harpswell",secondaryName:"Potts Harbor",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.7383,longitude:-70.0233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417553",name:"Wilson Cove",secondaryName:"Middle Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.825,longitude:-69.9767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417801",name:"South Freeport",secondaryName:"Casco Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.82,longitude:-70.1033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417911",name:"Vaill Island",secondaryName:"Casco Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.6767,longitude:-70.155,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8418137",name:"Presumpscot River Bridge",secondaryName:"Casco Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.6867,longitude:-70.2467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8418175",name:"Back Cove",secondaryName:"Casco Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.6767,longitude:-70.255,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8418001",name:"Peaks Island",secondaryName:"Casco Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.655,longitude:-70.2,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8418557",name:"Old Orchard Beach",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.5167,longitude:-70.3667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8418772",name:"Cape Porpoise",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.3667,longitude:-70.4317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8419518",name:"York Harbor",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.1317,longitude:-70.6417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8419590",name:"Seapoint",secondaryName:"Cutts Island",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.085,longitude:-70.6617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8630413",name:"Assateague Beach",secondaryName:"Toms Cove",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:37.865,longitude:-75.3683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8630371",name:"Wishart Point",secondaryName:"Bogues Bay",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:37.8817,longitude:-75.4917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8630229",name:"Chincoteague Island",secondaryName:"Lewis Creek",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:37.9383,longitude:-75.3733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8630225",name:"Chincoteague Island",secondaryName:"Oyster Bay",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:37.9417,longitude:-75.3467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8630194",name:"Chincoteague Island",secondaryName:"Blake Cove",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:37.9517,longitude:-75.355,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8630055",name:"Franklin City",secondaryName:"Chincoteague Bay",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.0067,longitude:-75.3817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8573777",name:"Saxis",secondaryName:"Starling Creek",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:37.9217,longitude:-75.7283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571072",name:"Ape Hole Creek",secondaryName:"Pocomoke Sound",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:37.9617,longitude:-75.8217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571097",name:"Shelltown",secondaryName:"Pocomoke River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:37.98,longitude:-75.6383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571201",name:"Long Point",secondaryName:"Big Annemessex River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.0567,longitude:-75.8033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571269",name:"Teague Creek",secondaryName:"Manokin River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.1083,longitude:-75.8383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571396",name:"Sharkfin Shoal Light",secondaryName:"Chesapeake Bay",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.2017,longitude:-75.9867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571416",name:"Great Shoals Light",secondaryName:"Monie Bay",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.2167,longitude:-75.8833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571476",name:"Roaring Point",secondaryName:"Nanticoke River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.2617,longitude:-75.92,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571858",name:"Sharptown",secondaryName:"Nanticoke River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.545,longitude:-75.7233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571752",name:"Taylors Island",secondaryName:"Slaughter Creek",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.4667,longitude:-76.295,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571807",name:"Woolford",secondaryName:"Church Creek",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.5067,longitude:-76.1733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571881",name:"Cherry Island",secondaryName:"Beckwiths Creek",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.5617,longitude:-76.2083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571944",name:"Dover Bridge",secondaryName:"Choptank River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.7567,longitude:-75.9983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8572108",name:"Oxford",secondaryName:"Tred Avon River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.6933,longitude:-76.1733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8572296",name:"Easton Point",secondaryName:"Tred Avon River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.7683,longitude:-76.095,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8572204",name:"Deep Neck Point",secondaryName:"Broad Creek",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.7317,longitude:-76.235,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8572313",name:"St. Michaels",secondaryName:"San Domingo Creek",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.775,longitude:-76.2333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8572468",name:"Claiborne",secondaryName:"Eastern Bay",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.8367,longitude:-76.28,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8572792",name:"Kent Island Narrows",secondaryName:"Chesapeake Bay",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.9667,longitude:-76.2433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8572867",name:"Queenstown",secondaryName:"Chester River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.9967,longitude:-76.1583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8573006",name:"Centreville Landing",secondaryName:"Corsica River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.0533,longitude:-76.075,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8573125",name:"Cliffs Point",secondaryName:"Chester River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.1067,longitude:-76.1417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8573343",name:"Chestertown",secondaryName:"Chester River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.2067,longitude:-76.0633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8573442",name:"Worton Creek",secondaryName:"Chesapeake Bay",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.2967,longitude:-76.1717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8573969",name:"Old Frenchtown Wharf",secondaryName:"Elk River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.575,longitude:-75.8433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8573968",name:"Charlestown",secondaryName:"Northeast River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.5733,longitude:-75.97,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8575229",name:"Mountain Point",secondaryName:"Magothy River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.0617,longitude:-76.4333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8575331",name:"Brewer Point",secondaryName:"Severn River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.0267,longitude:-76.5333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8575737",name:"Thomas Point Shoal Light",secondaryName:"Chesapeake Bay",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.9,longitude:-76.4333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8575579",name:"Edgewater",secondaryName:"South River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.95,longitude:-76.55,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8575923",name:"Galesville",secondaryName:"West River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.8417,longitude:-76.54,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8576256",name:"Rose Haven",secondaryName:"Chesapeake Bay",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.725,longitude:-76.5417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8577123",name:"Broomes Island",secondaryName:"Patuxent River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.415,longitude:-76.545,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8579135",name:"Benedict",secondaryName:"Patuxent River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.5133,longitude:-76.67,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8577940",name:"Cornfield Harbor",secondaryName:"Potomac River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.06,longitude:-76.3617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8635762",name:"Travis Point",secondaryName:"Coan River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.9967,longitude:-76.4667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8635671",name:"Kinsale",secondaryName:"Yeocomico River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:38.0317,longitude:-76.5767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8635485",name:"Ragged Point",secondaryName:"Coles Neck",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:38.1417,longitude:-76.6133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8635409",name:"Mount Holly",secondaryName:"Nomini Creek",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:38.0983,longitude:-76.735,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8578465",name:"Colton Point",secondaryName:"Potomac River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.2233,longitude:-76.7483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8578551",name:"Mills Point",secondaryName:"Wicomico River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.3267,longitude:-76.8333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8578693",name:"Lower Cedar Point",secondaryName:"Potomac River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.3417,longitude:-76.9767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8634892",name:"Mathias Point",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:38.3983,longitude:-77.0533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8578769",name:"Goose Creek",secondaryName:"Port Tobacco River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.4533,longitude:-77.0533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8578853",name:"Riverside",secondaryName:"Potomac River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.3867,longitude:-77.145,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8634858",name:"Aquia Creek",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:38.4183,longitude:-77.3533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8578931",name:"Clifton Beach",secondaryName:"Smith Point",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.4133,longitude:-77.2667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8578984",name:"Liverpool Point",secondaryName:"Potomac River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.46,longitude:-77.27,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8634689",name:"Quantico",secondaryName:"Potomac River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:38.52,longitude:-77.2867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8579381",name:"Indian Head",secondaryName:"Potomac River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.6017,longitude:-77.185,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8579629",name:"Marshall Hall",secondaryName:"Potomac River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.6867,longitude:-77.1017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8590111",name:"Bellevue",secondaryName:null,stateTerritory:StatesTerritories.DC,country:Countries.US,latitude:38.8267,longitude:-77.0267,type:BuoyTypes.TIDE,stateAbbrev:StatesTerritoriesAbbrev.DC,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8444012",name:"Deer Island",secondaryName:"Boston Harbor",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.3483,longitude:-70.96,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8443838",name:"Charlestown",secondaryName:"Charles River",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.3717,longitude:-71.055,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8444488",name:"Neponset",secondaryName:"Neponset River",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.285,longitude:-71.04,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8444312",name:"Moon Head",secondaryName:"Boston Harbor",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.3083,longitude:-70.9917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8444662",name:"Crow Point",secondaryName:"Hingham Harbor",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.2617,longitude:-70.8933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8444775",name:"Hingham",secondaryName:"Hingham Bay",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.2467,longitude:-70.885,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8444601",name:"Nantasket Beach",secondaryName:"Weir River",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.27,longitude:-70.86,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8444351",name:"Hull",secondaryName:"Hingham Bay",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.3033,longitude:-70.92,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8444762",name:"White Head",secondaryName:"Cohasset Harbor",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.2483,longitude:-70.785,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8445425",name:"Damons Point",secondaryName:"North River",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.16,longitude:-70.7333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447335",name:"Barnstable Harbor",secondaryName:"Beach Point",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.7217,longitude:-70.285,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8446613",name:"Wellfleet",secondaryName:"Cape Cod Bay",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.93,longitude:-70.0417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447291",name:"Pleasant Bay",secondaryName:"Cape Cod",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.7367,longitude:-69.9817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447436",name:"Georges Shoal",secondaryName:"Texas Tower",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.6883,longitude:-67.76,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447525",name:"Dennisport",secondaryName:"Nantucket Sound",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.6583,longitude:-70.115,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447675",name:"Cotuit Highlands",secondaryName:"Nantucket Sound",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.6083,longitude:-70.4367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447742",name:"Poponesset Island",secondaryName:"Poponesset Bay",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.5867,longitude:-70.4633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447865",name:"Falmouth Heights",secondaryName:"Nantucket Sound",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.545,longitude:-70.5933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8448566",name:"Great Point",secondaryName:"Nantucket",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.3867,longitude:-70.0467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8449062",name:"Eel Point",secondaryName:"Nantucket",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.2917,longitude:-70.2083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8448817",name:"Muskeget Island",secondaryName:"Nantucket",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.3367,longitude:-70.305,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8448683",name:"Wasque Point",secondaryName:"Chappaquiddick Island",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.3633,longitude:-70.45,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8448942",name:"Squibnocket Point",secondaryName:"Martha's Vineyard",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.3117,longitude:-70.7683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8449287",name:"Nomans Land",secondaryName:"Martha's Vineyard",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.2617,longitude:-70.8183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8448733",name:"Gay Head",secondaryName:"Martha's Vineyard",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.3533,longitude:-70.83,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8448325",name:"Cedar Tree Neck",secondaryName:"Martha's Vineyard",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.435,longitude:-70.6967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447939",name:"Little Harbor",secondaryName:"Woods Hole",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.52,longitude:-70.665,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447941",name:"Uncatena Island",secondaryName:"Woods Hole",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.52,longitude:-70.7083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447584",name:"New Bedford",secondaryName:"Buzzards Bay",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.64,longitude:-70.9183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447975",name:"Westport Harbor",secondaryName:"Westport River",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.5083,longitude:-71.0933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447791",name:"Hix Bridge",secondaryName:"East Branch",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.57,longitude:-71.0733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8748038",name:"Wolf River",secondaryName:"Henderson Avenue bridge",stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.3583,longitude:-89.2733,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8424601",name:"Jaffrey Point",secondaryName:"Portsmouth Harbor",stateTerritory:StatesTerritories.NH,stateAbbrev:StatesTerritoriesAbbrev.NH,country:Countries.US,latitude:43.0567,longitude:-70.7133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8419807",name:"Kittery Point",secondaryName:"Portsmouth Harbor",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.0817,longitude:-70.7033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8423745",name:"Portsmouth",secondaryName:"Portsmouth Harbor",stateTerritory:StatesTerritories.NH,stateAbbrev:StatesTerritoriesAbbrev.NH,country:Countries.US,latitude:43.0783,longitude:-70.7517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8421897",name:"Dover Point",secondaryName:null,stateTerritory:StatesTerritories.NH,stateAbbrev:StatesTerritoriesAbbrev.NH,country:Countries.US,latitude:43.1217,longitude:-70.8333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8419997",name:"Salmon Falls River",secondaryName:null,stateTerritory:StatesTerritories.NH,stateAbbrev:StatesTerritoriesAbbrev.NH,country:Countries.US,latitude:43.1917,longitude:-70.825,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8422687",name:"Squamscott River Bridge",secondaryName:"Piscataqua River",stateTerritory:StatesTerritories.NH,stateAbbrev:StatesTerritoriesAbbrev.NH,country:Countries.US,latitude:43.0533,longitude:-70.9133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8427031",name:"Gosport Harbor",secondaryName:"Isles of Shoals",stateTerritory:StatesTerritories.NH,stateAbbrev:StatesTerritoriesAbbrev.NH,country:Countries.US,latitude:42.9783,longitude:-70.615,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8429489",name:"Hampton Harbor",secondaryName:null,stateTerritory:StatesTerritories.NH,stateAbbrev:StatesTerritoriesAbbrev.NH,country:Countries.US,latitude:42.895,longitude:-70.8167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534296",name:"Seven Island",secondaryName:"Newmans Thorofare",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.5167,longitude:-74.3367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535055",name:"Bivalve",secondaryName:"Maurice River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.2325,longitude:-75.0328,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8518635",name:"North Brother Island",secondaryName:"East River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7983,longitude:-73.8983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517673",name:"Hunters Point",secondaryName:"Newtown Creek",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.74,longitude:-73.9617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516201",name:"Oyster Bay Harbor",secondaryName:"Oyster Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.8667,longitude:-73.5167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8514594",name:"Port Jefferson Harbor",secondaryName:"Long Island Sound",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.9717,longitude:-73.0917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8514421",name:"Mount Sinai Harbor",secondaryName:"Long Island Sound",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.9633,longitude:-73.04,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8512053",name:"Hashamomuck Beach",secondaryName:"Long Island Sound",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.095,longitude:-72.3983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8510884",name:"Little Gull Island",secondaryName:"Long Island Sound",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.2067,longitude:-72.1017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8512114",name:"Southold",secondaryName:"Shelter Island Sound",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.06,longitude:-72.4133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8511779",name:"Noyack Bay",secondaryName:"Shelter Island Sound",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.995,longitude:-72.3317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8512328",name:"New Suffolk",secondaryName:"Peconic Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.9917,longitude:-72.4717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8510502",name:"Montauk Harbor",secondaryName:"Block Island Sound",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.075,longitude:-71.9367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8515228",name:"Democrat Point",secondaryName:"Fire Island Inlet",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6333,longitude:-73.2933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8515014",name:"Fire Island Light",secondaryName:"Great South Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.635,longitude:-73.22,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8514961",name:"West Fire Island",secondaryName:"Great South Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6567,longitude:-73.205,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8514783",name:"Great River",secondaryName:"Connetquot River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7233,longitude:-73.1517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8515336",name:"Oak Beach",secondaryName:"Great South Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.64,longitude:-73.295,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8515421",name:"Babylon",secondaryName:"Great South Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.685,longitude:-73.315,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8515764",name:"Gilgo Heading",secondaryName:"Great South Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.62,longitude:-73.395,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8515864",name:"Amityville",secondaryName:"Great South Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.655,longitude:-73.4183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516055",name:"Biltmore Shores",secondaryName:"South Oyster Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6667,longitude:-73.4683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516385",name:"Jones Inlet",secondaryName:"Great South Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.5867,longitude:-73.5783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516225",name:"Deep Creek Meadow",secondaryName:"Hempstead Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6033,longitude:-73.525,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516221",name:"Cuba Island",secondaryName:"Hempstead Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.62,longitude:-73.5233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516211",name:"Bellmore",secondaryName:"Bellmore Creek",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6633,longitude:-73.52,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516315",name:"Neds Creek",secondaryName:"Hempstead Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6233,longitude:-73.555,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516411",name:"Freeport",secondaryName:"Baldwin Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6333,longitude:-73.5867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516601",name:"Long Beach",secondaryName:"Hempstead Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6,longitude:-73.65,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516745",name:"Woodmere",secondaryName:"Brosewere Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.62,longitude:-73.6983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517756",name:"Kingsborough",secondaryName:"Sheepshead Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.5812,longitude:-73.9338,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517531",name:"Plumb Beach Channel",secondaryName:"Jamaica Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.585,longitude:-73.925,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517394",name:"Barren Island",secondaryName:"Rockaway Inlet",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.5783,longitude:-73.8883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516925",name:"Motts Basin",secondaryName:"Jamaica Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6167,longitude:-73.7583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516999",name:"J.F.K. International Airport",secondaryName:"Jamaica Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6233,longitude:-73.7833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517381",name:"Canarsie",secondaryName:"Jamaica Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.63,longitude:-73.885,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517519",name:"Mill Basin",secondaryName:"Jamaica Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6083,longitude:-73.9217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517741",name:"Coney Island",secondaryName:"New York Harbor",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.57,longitude:-73.9833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517942",name:"Fort Hamilton",secondaryName:"The Narrows",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6083,longitude:-74.035,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8519112",name:"St. George",secondaryName:"Staten Island",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6433,longitude:-74.0733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530505",name:"Edgewater",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.8133,longitude:-73.9783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518919",name:"Tarrytown",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.0783,longitude:-73.87,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518949",name:"Peekskill",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.2883,longitude:-73.9317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518935",name:"Newburgh",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.5,longitude:-74.0067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518939",name:"New Hamburg",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.5833,longitude:-73.95,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518945",name:"Poughkeepsie",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.7,longitude:-73.9333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518993",name:"Kingston",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.9183,longitude:-73.9833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518964",name:"Tivoli",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:42.0583,longitude:-73.9167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518974",name:"Hudson",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:42.25,longitude:-73.8,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518989",name:"Castleton",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:42.5333,longitude:-73.7667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC1603",name:"Troy",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:42.7167,longitude:-73.7,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530884",name:"Port Newark Terminal",secondaryName:"Newark Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.69,longitude:-74.1333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC1645",name:"Chelsea",secondaryName:"Arthur Kill",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.6,longitude:-74.2,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531095",name:"Carteret",secondaryName:"Arthur Kill",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.5867,longitude:-74.21,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531142",name:"Port Reading",secondaryName:"Arthur Kill",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.555,longitude:-74.245,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8519726",name:"Princes Bay",secondaryName:"Raritan Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.5117,longitude:-74.2,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8659086",name:"Fort Caswell",secondaryName:"Cape Fear River",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:33.8967,longitude:-78.0167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC2863",name:"Castle Hayne",secondaryName:"Northeast River",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.35,longitude:-77.9333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC2865",name:"Bannermans Branch",secondaryName:"Northeast River",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.5833,longitude:-77.7667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8651605",name:"Kitty Hawk",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:36.1017,longitude:-75.71,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8652591",name:"Roanoke Sound Channel",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.7983,longitude:-75.5833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC2771",name:"Oregon Inlet",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.7667,longitude:-75.5167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8652659",name:"Oregon Inlet Bridge",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.7733,longitude:-75.5383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8652657",name:"Oregon Inlet Channel",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.7733,longitude:-75.5583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8652737",name:"Davis Slough",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.7483,longitude:-75.5533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC2789",name:"Cape Hatteras",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.2333,longitude:-75.5167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC2791",name:"Hatteras Inlet",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.2,longitude:-75.7333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC2793",name:"Ocracoke Inlet",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.0667,longitude:-76.0167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8654792",name:"Ocracoke",secondaryName:"Ocracoke Island",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.115,longitude:-75.9883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC2801",name:"Shell Point",secondaryName:"Harkers Island",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.6833,longitude:-76.5333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656554",name:"Channel Marker Lt. 59",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.7033,longitude:-76.62,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656569",name:"Beaufort Inlet Channel Range",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.6983,longitude:-76.665,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656496",name:"Morehead City",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.7183,longitude:-76.695,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656583",name:"Triple ESS Marina",secondaryName:"Bogue Sd.",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.695,longitude:-76.7117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656499",name:"Atlantic Beach Bridge",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.7183,longitude:-76.7367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC2831",name:"N.C. State Fisheries",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.7167,longitude:-76.75,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8657167",name:"New River Inlet",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.5333,longitude:-77.3417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC2847",name:"Cape Fear",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:33.85,longitude:-77.9667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC2869",name:"Lockwoods Folly Inlet",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:33.9167,longitude:-78.2333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8659665",name:"Shallotte Inlet (Bowen Point)",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:33.915,longitude:-78.3733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8659899",name:"Sunset Beach Bridge",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:33.8817,longitude:-78.51,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TWC0831",name:"Gardiner",secondaryName:"Umpqua River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:43.7333,longitude:-124.1167,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9433501",name:"Reedsport",secondaryName:"Umpqua River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:43.7083,longitude:-124.098,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9434132",name:"Suislaw River",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:44.0167,longitude:-124.13,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9434032",name:"Florence",secondaryName:"Siuslaw River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:43.9667,longitude:-124.103,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9434068",name:"Cushman",secondaryName:"Suislaw River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:43.985,longitude:-124.045,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9432864",name:"Empire",secondaryName:"Coos Bay",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:43.3917,longitude:-124.28,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9432845",name:"Coos Bay",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:43.38,longitude:-124.215,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9435385",name:"YAQUINA USCG STA",secondaryName:"NEWPORT",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:44.6267,longitude:-124.055,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9437815",name:"Brighton",secondaryName:"Nehalem River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.67,longitude:-123.925,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9437908",name:"Nehalem",secondaryName:"Nehalem River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.71,longitude:-123.89,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9437954",name:"North Fork",secondaryName:"Nehalem River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.7338,longitude:-123.8764,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9437585",name:"North Jetty",secondaryName:"Tillamook Bay",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.57,longitude:-123.965,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9437581",name:"Barview",secondaryName:"Tillamook Bay",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.5683,longitude:-123.943,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0863",name:"Miami Cove",secondaryName:"Tillamook Bay",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.55,longitude:-123.9,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0865",name:"Bay City",secondaryName:"Tillamook Bay",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.5167,longitude:-123.9,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9437331",name:"Tillamook",secondaryName:"Hoquarten Slough",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.46,longitude:-123.845,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9430104",name:"Brookings",secondaryName:"Chetco Cove",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:42.0433,longitude:-124.285,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0817",name:"Wedderburn",secondaryName:"Rogue River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:42.4333,longitude:-124.4167,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9432373",name:"Bandon",secondaryName:"Coquille River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:43.12,longitude:-124.413,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9432436",name:"Rink Creek Entrance",secondaryName:"Coquille River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:43.1579,longitude:-124.1818,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9434938",name:"Drift Creek",secondaryName:"Alsea River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:44.4133,longitude:-123.99,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9434939",name:"Waldport",secondaryName:"Alsea Bay",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:44.4344,longitude:-124.0581,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9436101",name:"Taft",secondaryName:"Siletz Bay",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:44.9267,longitude:-124.013,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9436031",name:"Kernville",secondaryName:"Siletz River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:44.8967,longitude:-124,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9435992",name:"Chinook Bend",secondaryName:"Siletz River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:44.88,longitude:-123.9636,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0857",name:"Nestucca Bay",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.1667,longitude:-123.9667,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440597",name:"Ilwaco",secondaryName:"Baker Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.3033,longitude:-124.04,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440573",name:"Chinook",secondaryName:"Baker Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.2717,longitude:-123.948,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440563",name:"Hungry Harbor",secondaryName:"Columbia River",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.2583,longitude:-123.848,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0881",name:"Point Adams",secondaryName:"Columbia River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:46.2,longitude:-123.95,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0883",name:"Warrenton",secondaryName:"Skipanon River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:46.1667,longitude:-123.9167,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9439023",name:"Astoria (Port Docks)",secondaryName:"Columbia River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:46.1867,longitude:-123.86,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9439069",name:"Knappa",secondaryName:"Knappa Slough",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:46.1867,longitude:-123.588,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9439054",name:"Settlers Point",secondaryName:"Columbia River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:46.175,longitude:-123.678,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0895",name:"Harrington Point",secondaryName:"Columbia River",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.2667,longitude:-123.65,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440483",name:"Barlow Point",secondaryName:"Columbia River",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.1522,longitude:-123.0392,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440357",name:"Temco Kalama Terminal",secondaryName:"Columbia River",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:45.9867,longitude:-122.8367,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9439189",name:"Rocky Point",secondaryName:"Columbia River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.6967,longitude:-122.868,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440079",name:"Beacon Rock State Park",secondaryName:"Columbia River",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:45.6203,longitude:-122.0203,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"8542425",name:"Wanamaker Bridge",secondaryName:"Darby Creek",country:Countries.US,latitude:39.8767,longitude:-75.305,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.PA,stateAbbrev:StatesTerritoriesAbbrev.PA,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8543925",name:"Penrose Avenue Bridge",secondaryName:"Schuylkill River",country:Countries.US,latitude:39.8983,longitude:-75.2117,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.PA,stateAbbrev:StatesTerritoriesAbbrev.PA,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8545120",name:"Market Street Bridge",secondaryName:"Schuylkill River",country:Countries.US,latitude:39.955,longitude:-75.18,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.PA,stateAbbrev:StatesTerritoriesAbbrev.PA,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8538752",name:"Pavonia",secondaryName:"Cooper River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.9467,longitude:-75.105,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8538824",name:"Hainesport",secondaryName:"Rancocas Creek",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.9783,longitude:-74.8233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8547333",name:"Cornwells Heights",secondaryName:"Delaware River",country:Countries.US,latitude:40.0683,longitude:-74.9383,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.PA,stateAbbrev:StatesTerritoriesAbbrev.PA,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8539058",name:"Assiscunk Creek",secondaryName:"Route 130 bridge",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.0733,longitude:-74.8483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8451929",name:"Bristol",secondaryName:"Bristol Harbor",stateTerritory:StatesTerritories.RI,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.6683,longitude:-71.28,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8455137",name:"KICKAMUIT RIVER",secondaryName:"Narragansett Bay",stateTerritory:StatesTerritories.RI,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.7078,longitude:-71.2417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8453611",name:"Pawtucket",secondaryName:"Seekonk River",stateTerritory:StatesTerritories.RI,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.8683,longitude:-71.38,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550148",name:"Dunn Sound",secondaryName:"Little River Inlet",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.8583,longitude:-78.57,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550147",name:"Dunn Sound",secondaryName:"north end",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.86,longitude:-78.58,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550195",name:"Dunn Sound",secondaryName:"west end",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.8517,longitude:-78.5883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550098",name:"Little River Neck",secondaryName:"north end",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.87,longitude:-78.5733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550265",name:"Cherry Grove",secondaryName:null,stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.835,longitude:-78.6333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550266",name:"Hog Inlet Pier",secondaryName:null,stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.8367,longitude:-78.6067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551070",name:"MYRTLE BEACH",secondaryName:"SPRINGMAID PIER",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.655,longitude:-78.9183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551437",name:"Garden City Pier",secondaryName:null,stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.575,longitude:-78.9967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551419",name:"Garden City Bridge",secondaryName:"Main Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.5783,longitude:-79.0033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551582",name:"Divine's Dock",secondaryName:"Murrells Inlet",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.5417,longitude:-79.0283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551559",name:"Smith's Dock",secondaryName:"Murrells Inlet",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.545,longitude:-79.045,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551529",name:"Captain Alex's Marina",secondaryName:"Parsonage Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.5517,longitude:-79.0367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551609",name:"Oaks Creek",secondaryName:"0.5 mi. above entrance",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.53,longitude:-79.0433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551608",name:"Allston Creek",secondaryName:"Murrells Inlet",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.5317,longitude:-79.0533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551684",name:"Oaks Creek",secondaryName:"Murrells Inlet",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.5117,longitude:-79.0683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551867",name:"Litchfield Beach bridge",secondaryName:null,stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.4717,longitude:-79.1017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551947",name:"Midway Inlet North",secondaryName:"Pawleys Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.4483,longitude:-79.1117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551989",name:"Bennet's Dock",secondaryName:"Pawleys Island Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.435,longitude:-79.1267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552006",name:"Pawleys Island Pier",secondaryName:null,stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.4317,longitude:-79.1167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552071",name:"Ward's Dock",secondaryName:"Pawleys Inlet",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.4117,longitude:-79.135,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552299",name:"Clambank Creek",secondaryName:"Goat Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.3333,longitude:-79.1933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550121",name:"Little River",secondaryName:"Intracoastal Waterway",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.87,longitude:-78.6083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550166",name:"Nixon Crossroads",secondaryName:"Intracoastal Waterway",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.855,longitude:-78.6483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550401",name:"Myrtle Beach Airport",secondaryName:"Intracoastal Waterway",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.82,longitude:-78.7183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550642",name:"North Myrtle Beach",secondaryName:"Intracoastal Waterway",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.7667,longitude:-78.815,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550854",name:"Myrtle Beach",secondaryName:"Combination Bridge",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.7133,longitude:-78.9217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550983",name:"Socastee Bridge",secondaryName:"Intracoastal Waterway",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.6867,longitude:-79.005,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC2929",name:"Winyah Bay Entrance",secondaryName:"Winyah Bay",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.1833,longitude:-79.15,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552747",name:"Georgetown Lighthouse",secondaryName:"Winyah Bay",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.2233,longitude:-79.185,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552746",name:"South Island Plantation",secondaryName:"Winyah Bay",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.235,longitude:-79.2033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552549",name:"South Island Ferry",secondaryName:"Intracoastal Waterway",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.2517,longitude:-79.2683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC2937",name:"Frazier Point",secondaryName:"Winyah Bay",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.3167,longitude:-79.2833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552926",name:"Georgetown",secondaryName:"Sampit River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.3617,longitude:-79.28,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552237",name:"Jacobs Wharf",secondaryName:"Sampit River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.3633,longitude:-79.355,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552216",name:"Cumberland",secondaryName:"Sampit River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.37,longitude:-79.4333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552953",name:"Windsor Plantation",secondaryName:"Black River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.415,longitude:-79.25,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551686",name:"Black River",secondaryName:"Great Pee Dee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.5117,longitude:-79.3417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551593",name:"Winea Plantation",secondaryName:"Black River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.535,longitude:-79.3883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551734",name:"Mt. Pleasant Plantation",secondaryName:"Black River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.495,longitude:-79.4617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551367",name:"Rhems",secondaryName:"Black Mingo Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.6033,longitude:-79.4267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551913",name:"Weymouth Plantation",secondaryName:"Great Pee Dee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.455,longitude:-79.205,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551873",name:"Carr Creek",secondaryName:"Great Pee Dee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.465,longitude:-79.1867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551866",name:"Sam Worth Game Management Area",secondaryName:"Great Pee Dee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.4683,longitude:-79.1883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551741",name:"Arundel Plantation",secondaryName:"Great Pee Dee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.4833,longitude:-79.1783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551558",name:"Holly Grove Plantation",secondaryName:"Great Pee Dee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.5517,longitude:-79.1767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551299",name:"Lower Topsaw Landing",secondaryName:"Great Pee Dee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.6083,longitude:-79.1517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551093",name:"Yauhannah Bridge",secondaryName:"Great Pee Dee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.66,longitude:-79.155,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552931",name:"Waccamaw River Entrance",secondaryName:"Waccamaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.3667,longitude:-79.255,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551991",name:"Hagley Landing",secondaryName:"Waccamaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.435,longitude:-79.1817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551703",name:"Thoroughfare Creek",secondaryName:"Waccamaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.5067,longitude:-79.145,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551493",name:"Wachesaw Landing",secondaryName:"Waccamaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.56,longitude:-79.085,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551347",name:"Bull Creek",secondaryName:"Waccamaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.5967,longitude:-79.0983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551119",name:"Little Bull Creek",secondaryName:"Waccamaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.6017,longitude:-79.1183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551139",name:"Bucksport",secondaryName:"Waccamaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.6467,longitude:-79.095,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551067",name:"Enterprise Landing",secondaryName:"Waccamaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.6667,longitude:-79.0633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550831",name:"Keysfield",secondaryName:"Waccamaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.745,longitude:-79.065,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550475",name:"Pitch Landing",secondaryName:"Waccamaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.8,longitude:-79.055,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550275",name:"Conway",secondaryName:"Waccamaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.835,longitude:-79.0417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8550315",name:"Grahamville",secondaryName:"Waccamaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.83,longitude:-78.9533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC2991",name:"North Santee River Inlet",secondaryName:"Winyah Bay",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.1333,longitude:-79.25,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553261",name:"Cedar Island",secondaryName:"North Santee Bay",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.14,longitude:-79.245,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552796",name:"Minim Creek",secondaryName:"North Santee Bay",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.195,longitude:-79.275,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552793",name:"North Santee Bridge",secondaryName:"Winyah Bay",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.21,longitude:-79.385,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553381",name:"Cedar Island Point",secondaryName:"South Santee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.12,longitude:-79.27,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3001",name:"Brown Island",secondaryName:"South Santee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.15,longitude:-79.3333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552799",name:"U.S. Highway 17 bridge",secondaryName:"South Santee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.185,longitude:-79.4067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552670",name:"Pleasant Hill Landing",secondaryName:"Santee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.245,longitude:-79.5217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8552405",name:"Jamestown Bridge",secondaryName:"Santee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.305,longitude:-79.6783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553101",name:"Cape Romain",secondaryName:"Winyah Bay",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.025,longitude:-79.3483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3011",name:"Cape Romain",secondaryName:"46 miles east",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.1,longitude:-78.4333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553461",name:"Casino Creek",secondaryName:"Intracoastal Waterway",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.1083,longitude:-79.3933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554099",name:"Five Fathom Creek",secondaryName:"Bulls Bay",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33,longitude:-79.4967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553618",name:"McClellanville",secondaryName:"Jeremy Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.0783,longitude:-79.46,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553899",name:"Harbor River",secondaryName:"Bulls Bay",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.0333,longitude:-79.535,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553858",name:"Buck Hall",secondaryName:"Awendaw Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.04,longitude:-79.56,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3023",name:"Jack Creek",secondaryName:"Bulls Bay",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.9333,longitude:-79.5833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554621",name:"Wharf Creek",secondaryName:"Bulls Bay",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.9133,longitude:-79.6167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554442",name:"Moores Landing",secondaryName:"Sewee Bay",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.9367,longitude:-79.655,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554801",name:"Price Creek",secondaryName:"North Capers Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.8817,longitude:-79.6583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554878",name:"Old Capers Landing",secondaryName:"Capers Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.87,longitude:-79.6867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554992",name:"North Dewees Island",secondaryName:"Capers Inlet",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.85,longitude:-79.7033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554941",name:"Capers Creek",secondaryName:"South Capers Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.8567,longitude:-79.7067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555111",name:"South Dewees Island",secondaryName:"Dewees Inlet",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.8333,longitude:-79.7267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555167",name:"Hamlin Sound",secondaryName:null,stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.8267,longitude:-79.7867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555494",name:"Isle of Palms Pier",secondaryName:null,stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7833,longitude:-79.785,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555387",name:"Hamlin Creek",secondaryName:"Isle of Palms",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7867,longitude:-79.7917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555552",name:"Breach Inlet",secondaryName:"Isle of Palms",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7767,longitude:-79.8117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3047",name:"Sullivans Island",secondaryName:null,stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7667,longitude:-79.8333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555567",name:"Ben Sawyer Bridge",secondaryName:"Intracoastal Waterway",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7733,longitude:-79.8417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555728",name:"Fort Sumter",secondaryName:"Charleston Harbor",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7533,longitude:-79.8767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555637",name:"The Cove",secondaryName:"Fort Moultrie",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7633,longitude:-79.8567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555726",name:"Fort Johnson",secondaryName:"Charleston Harbor",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7517,longitude:-79.8983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555426",name:"Shem Creek",secondaryName:"Charleston Harbor",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7933,longitude:-79.8817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555530",name:"CHARLESTON",secondaryName:"Customhouse Wharf",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7808,longitude:-79.9236,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3061",name:"Shipyard Creek",secondaryName:"Charleston Harbor",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.8333,longitude:-79.95,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554945",name:"Clouter Creek",secondaryName:"Cooper River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.86,longitude:-79.9383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554662",name:"Goose Creek",secondaryName:"Cooper River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.91,longitude:-79.9517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554541",name:"Yeamans Hall",secondaryName:"Goose Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.925,longitude:-79.9867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554589",name:"Hanahan",secondaryName:"Turkey Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.9183,longitude:-80.0117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554688",name:"Clouter Creek",secondaryName:"Cooper River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.9067,longitude:-79.935,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554515",name:"Snow Point",secondaryName:"Cooper River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.9483,longitude:-79.9317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554022",name:"General Dynamics Pier",secondaryName:"Cooper River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.0083,longitude:-79.9233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553757",name:"Dupont",secondaryName:"Dean Hall",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.0583,longitude:-79.9367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553731",name:"Bonneau Ferry",secondaryName:"East Branch",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.0717,longitude:-79.8833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553781",name:"Blessing Plantation",secondaryName:"East Branch",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.055,longitude:-79.88,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553665",name:"Richmond Plantation",secondaryName:"East Branch",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.0767,longitude:-79.855,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553535",name:"Quinby Creek bridge",secondaryName:"East Branch",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.095,longitude:-79.8083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553631",name:"Old Rice Mill",secondaryName:"West Branch",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.0783,longitude:-79.925,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554131",name:"Back River Reservoir",secondaryName:"West Branch",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.995,longitude:-79.9367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8553539",name:"Pimlico",secondaryName:"West Branch",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:33.095,longitude:-79.9533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555192",name:"Hobcaw Point",secondaryName:"Wando River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.8217,longitude:-79.9,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554782",name:"Parker Island",secondaryName:"Horlbeck Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.885,longitude:-79.845,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554701",name:"Nowell Creek",secondaryName:"Wando River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.9,longitude:-79.9,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554545",name:"Cainhoy",secondaryName:"Wando River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.9267,longitude:-79.83,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554611",name:"Big Paradise Island",secondaryName:"Wando River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.915,longitude:-79.7467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554582",name:"Woodville",secondaryName:"Wando River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.92,longitude:-79.7333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555775",name:"James Island Creek",secondaryName:"Ashley River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.745,longitude:-79.9483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555613",name:"Wappoo Creek",secondaryName:"Ashley River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7667,longitude:-79.9733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555495",name:"South Ashley Bridge",secondaryName:"Ashley River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7833,longitude:-79.9567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555145",name:"Duck Island",secondaryName:"Ashley River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.83,longitude:-79.9667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555101",name:"Cosgrove Bridge",secondaryName:"Ashley River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.835,longitude:-79.9867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555099",name:"I-526 bridge",secondaryName:"Ashley River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.8367,longitude:-80.0217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555002",name:"Drayton",secondaryName:"Bee's Ferry",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.8483,longitude:-80.0517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554841",name:"Magnolia Gardens",secondaryName:"Ashley River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.8767,longitude:-80.0833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554532",name:"Greggs Landing",secondaryName:"Mateeba Gardens",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.9317,longitude:-80.1567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8554531",name:"Bacon Bridge",secondaryName:"Ashley River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.9583,longitude:-80.2033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3127",name:"Folly Island",secondaryName:null,stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.65,longitude:-79.9333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556652",name:"Folly River Bridge",secondaryName:"Folly Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6617,longitude:-79.945,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555424",name:"Folly Creek",secondaryName:"Hwy. 171 bridge",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.675,longitude:-79.9517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556467",name:"Folly River",secondaryName:"Folly Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.67,longitude:-79.9167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556767",name:"Snake Island",secondaryName:"Stono River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.64,longitude:-80.015,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556283",name:"Abbapoola Creek",secondaryName:"Stono River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6767,longitude:-80.0067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555641",name:"Elliott Cut",secondaryName:"Stono River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7633,longitude:-80.0017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555599",name:"Pennys Creek",secondaryName:"Stono River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7683,longitude:-80.07,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555589",name:"Sandblasters",secondaryName:"Pennys Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.77,longitude:-80.0633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555475",name:"Limehouse Bridge",secondaryName:"Stono River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7867,longitude:-80.105,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555763",name:"Church Flats",secondaryName:"Stono River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7467,longitude:-80.165,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557062",name:"Kiawah River Bridge",secondaryName:null,stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6033,longitude:-80.1317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557281",name:"Ocella Creek",secondaryName:"North Edisto River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5617,longitude:-80.2383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557089",name:"Rockville",secondaryName:"Bohicket Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5983,longitude:-80.195,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556918",name:"Ho-Non-Wah Boy Scout Camp",secondaryName:"Bohicket Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.625,longitude:-80.1667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556282",name:"Oak Branch",secondaryName:"Bohicket Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6833,longitude:-80.0967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557178",name:"Point of Pines",secondaryName:"North Edisto River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.585,longitude:-80.2283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556775",name:"Leadenwah Creek",secondaryName:"North Edisto River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6367,longitude:-80.2017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557075",name:"Steamboat Landing",secondaryName:"Steamboat Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6033,longitude:-80.2867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557101",name:"Windsor Plantation",secondaryName:"Russel Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5983,longitude:-80.345,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556799",name:"Dawho Bridge",secondaryName:"Dawho River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6367,longitude:-80.3417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556552",name:"Park Island",secondaryName:"Tom Point Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.665,longitude:-80.3167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556433",name:"Toogoodoo Creek",secondaryName:"North Edisto River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6683,longitude:-80.2933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556131",name:"Lower Toogoodoo Creek",secondaryName:"North Edisto River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7033,longitude:-80.2783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556699",name:"Bluff Point",secondaryName:"Wadmalaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6467,longitude:-80.2567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556217",name:"Yonges Island",secondaryName:"Wadmalaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.695,longitude:-80.2233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556101",name:"Johns Island",secondaryName:"Church Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7067,longitude:-80.1567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556029",name:"Church Creek bridge",secondaryName:"Wadmalaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.715,longitude:-80.0917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557630",name:"Edisto Beach",secondaryName:"Edisto Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5017,longitude:-80.2967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557676",name:"Edisto Marina",secondaryName:"Big Bay Creek entrance",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.4933,longitude:-80.34,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557679",name:"Carters Dock",secondaryName:"Big Bay Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.4933,longitude:-80.3267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557425",name:"Peters Point",secondaryName:"St. Pierre Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.54,longitude:-80.34,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557309",name:"Fenwick Island",secondaryName:"South Edisto River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.56,longitude:-80.4183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557067",name:"Pine Landing",secondaryName:"South Edisto River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6033,longitude:-80.3883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556616",name:"Dawho River",secondaryName:"South Edisto River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6567,longitude:-80.3917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556367",name:"Willtown Bluff",secondaryName:"Edisto River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6817,longitude:-80.4167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556167",name:"Hope Creek",secondaryName:"Edisto River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7,longitude:-80.4267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556017",name:"Penny Creek",secondaryName:"Edisto River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.715,longitude:-80.4367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555737",name:"Jacksonboro Camp",secondaryName:"Edisto River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7533,longitude:-80.45,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555257",name:"Canaday Landing",secondaryName:"Edisto River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.8133,longitude:-80.4067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557783",name:"Otter Island",secondaryName:"St. Helena Sound",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.4767,longitude:-80.42,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558227",name:"Johnson Creek Bridge",secondaryName:"Hunting Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.3917,longitude:-80.4383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558146",name:"Harbor River Bridge",secondaryName:"St. Helena Sound",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.4033,longitude:-80.4533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557524",name:"Seabrook",secondaryName:"Ashepoo River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5233,longitude:-80.4067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557482",name:"Ashepoo-Coosaw Cutoff",secondaryName:"Ashepoo River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.525,longitude:-80.4517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557209",name:"Musselboro Island",secondaryName:"Mosquito Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5783,longitude:-80.4483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557351",name:"Hutchinson Island",secondaryName:"Ashepoo River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5517,longitude:-80.4817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557201",name:"Bluff Islands",secondaryName:"Ashepoo River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5783,longitude:-80.4933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557017",name:"Brickyard Ferry",secondaryName:"Ashepoo River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6133,longitude:-80.4817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556749",name:"Airy Hall Plantation",secondaryName:"Ashepoo River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6317,longitude:-80.4717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555814",name:"Ashepoo",secondaryName:"Ashepoo River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7433,longitude:-80.5567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557927",name:"Village Creek",secondaryName:"Morgan River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.445,longitude:-80.5033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558077",name:"Village Creek Cemetery",secondaryName:"Morgan River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.4167,longitude:-80.52,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557972",name:"Edding Point",secondaryName:"Edding Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.4467,longitude:-80.5333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557982",name:"Jenkins Creek",secondaryName:"Morgan River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.44,longitude:-80.5533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558091",name:"Jenkins Creek",secondaryName:"Polawana Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.42,longitude:-80.5767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557901",name:"Lucy Point Creek",secondaryName:"Morgan River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.4517,longitude:-80.61,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557272",name:"Bowles Island",secondaryName:"New Chehaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.565,longitude:-80.5167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557074",name:"Wiggins",secondaryName:"Chehaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6017,longitude:-80.5417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557259",name:"Fields Point",secondaryName:"Combahee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5683,longitude:-80.5533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556659",name:"U.S. 17 Bridge",secondaryName:"Combahee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6517,longitude:-80.6833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556359",name:"Bluff Plantation",secondaryName:"Combahee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6833,longitude:-80.7383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556166",name:"Cuckolds Creek",secondaryName:"Combahee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.7133,longitude:-80.695,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557493",name:"Summerhouse Point",secondaryName:"Bull River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5267,longitude:-80.5733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557199",name:"Briars Creek",secondaryName:"Bull River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5783,longitude:-80.67,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557733",name:"Sams Point",secondaryName:"Lucy Point Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.4833,longitude:-80.6,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557624",name:"Brickyard Point",secondaryName:"Brickyard Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.4933,longitude:-80.685,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557491",name:"Whale Branch",secondaryName:"Coosaw River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.525,longitude:-80.675,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557411",name:"Lobeco",secondaryName:"Whale Branch",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5733,longitude:-80.745,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557172",name:"Sheldon",secondaryName:"Huspa Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5833,longitude:-80.7833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558498",name:"Fripps Inlet",secondaryName:"Hunting Island Bridge",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.34,longitude:-80.465,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558837",name:"Capers Island",secondaryName:"Trenchards Inlet",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.2733,longitude:-80.585,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558529",name:"Club Bridge Creek ent.",secondaryName:"Trenchards Inlet",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.335,longitude:-80.5417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559167",name:"Port Royal Plantation",secondaryName:"Hilton Head Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.22,longitude:-80.6683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558836",name:"Station Creek",secondaryName:"west end",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.28,longitude:-80.6383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558601",name:"Station Creek",secondaryName:"County Landing",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.325,longitude:-80.6017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558686",name:"Fort Fremont",secondaryName:"Beaufort River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.3067,longitude:-80.645,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558445",name:"Parris Island",secondaryName:"Marine Corps Recruit Depot",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.35,longitude:-80.6683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558282",name:"Distant Island",secondaryName:"Cowen Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.3783,longitude:-80.6333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558155",name:"Distant Island Creek",secondaryName:"Cowen Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.4017,longitude:-80.6533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558255",name:"Capers Creek",secondaryName:"St. Helena Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.3717,longitude:-80.605,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558173",name:"Cowen Creek",secondaryName:"Rt. 21 bridge",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.3983,longitude:-80.6167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558092",name:"Battery Creek",secondaryName:"Beaufort River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.4133,longitude:-80.7,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557999",name:"Beaufort",secondaryName:"Beaufort River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.43,longitude:-80.675,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557864",name:"Marine Corps Air Station",secondaryName:"Brickyard Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.465,longitude:-80.6917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557909",name:"Albergottie Creek",secondaryName:"Rt. 21 bridge",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.45,longitude:-80.7317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558918",name:"Skull Creek (North)",secondaryName:"Hilton Head Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.2667,longitude:-80.7367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559133",name:"Skull Creek (South)",secondaryName:"Hilton Head Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.2233,longitude:-80.7717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558944",name:"Pinckney Island",secondaryName:"Chechessee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.26,longitude:-80.7667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558619",name:"Colleton River Entrance",secondaryName:"Port Royal Sound",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.3217,longitude:-80.7917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558636",name:"Callawassie Creek",secondaryName:"Colleton River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.3167,longitude:-80.8417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558655",name:"Callawassie Island",secondaryName:"Colleton River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.3133,longitude:-80.86,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558511",name:"Callawassie Island Bridge",secondaryName:"Colleton River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.3417,longitude:-80.8567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558482",name:"Baileys Landing",secondaryName:"Okatee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.3467,longitude:-80.89,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558301",name:"Chechessee Bluff",secondaryName:"Chechessee River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.3733,longitude:-80.8367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558223",name:"Hwy. 170 bridge",secondaryName:"Broad River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.3867,longitude:-80.7767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558109",name:"Broughton Point",secondaryName:"Hazzard Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.41,longitude:-80.885,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC3327",name:"Euhaw Creek",secondaryName:"Broad River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.435,longitude:-80.8517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557591",name:"Pilot Island",secondaryName:"West Branch Boyds Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.505,longitude:-80.8633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557633",name:"Corning Landing",secondaryName:"Whale Branch",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5025,longitude:-80.7841,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557508",name:"RR. Bridge",secondaryName:"Hall Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5217,longitude:-80.8383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557146",name:"North Dawson Landing",secondaryName:"Coosawhatchie River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.5617,longitude:-80.91,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557076",name:"Tulifiny River",secondaryName:"I-95 bridge",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.6017,longitude:-80.9033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559625",name:"Braddock Point",secondaryName:"Hilton Head Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.1133,longitude:-80.83,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559464",name:"Calibogue Cay",secondaryName:"Hilton Head Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.1533,longitude:-80.795,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559338",name:"Broad Creek",secondaryName:"Hilton Head Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.185,longitude:-80.7533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559493",name:"Haig Point",secondaryName:"Daufuskie Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.1467,longitude:-80.8367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559414",name:"Bull Creek",secondaryName:"Bull Island South",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.165,longitude:-80.8567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559601",name:"Pine Island",secondaryName:"Ramshorn Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.1217,longitude:-80.8983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559323",name:"Savage Island",secondaryName:"Savage Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.185,longitude:-80.86,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559801",name:"Bloody Point",secondaryName:"Daufuskie Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.0817,longitude:-80.8783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559722",name:"Hargray Pier",secondaryName:"Daufuskie Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.0983,longitude:-80.8983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559691",name:"Daufuskie Landing",secondaryName:"Daufuskie Island",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.1033,longitude:-80.895,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559531",name:"Doughboy Island",secondaryName:"New River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.1383,longitude:-80.9317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559346",name:"Good Hope Landing",secondaryName:"New River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.1767,longitude:-80.9667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559277",name:"Cook Landing Cemetery",secondaryName:"New River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.195,longitude:-81,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559072",name:"Rt. 170 bridge",secondaryName:"New River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.2367,longitude:-81.0117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559369",name:"Moreland Cemetery",secondaryName:"May River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.175,longitude:-80.8917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559262",name:"Bull Island North",secondaryName:"May River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.2,longitude:-80.815,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559103",name:"Bluffton",secondaryName:"May River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.23,longitude:-80.8617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559815",name:"Fields Cut",secondaryName:"Wright River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.0867,longitude:-80.9333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8559575",name:"Turnbridge Landing",secondaryName:"Salt Water Creek",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.1283,longitude:-81.0117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"TEC4513",name:"Texas City",secondaryName:"Turning Basin",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.3833,longitude:-94.8833,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8770559",name:"Round Point",secondaryName:"Trinity Bay",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.7133,longitude:-94.69,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8770557",name:"Point Barrow",secondaryName:"Trinity Bay",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.74,longitude:-94.8317,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"TEC4525",name:"Gilchrist",secondaryName:"East Bay",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.5167,longitude:-94.4833,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8771721",name:"Jamaica Beach",secondaryName:"West Bay",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.2,longitude:-94.985,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8774513",name:"Copano Bay",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:28.1144,longitude:-97.0244,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"TPT2857",name:"Fakaofo Island",secondaryName:null,stateTerritory:StatesTerritories.TK,stateAbbrev:null,country:Countries.NZ,latitude:-9.3833,longitude:-171.25,type:BuoyTypes.TIDE,timeZone:TimeZones.FAKAOFO,isActive:false},{id:"8630440",name:"Wallops Island",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.8417,longitude:-75.4783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8630637",name:"Gargathy Neck",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.7767,longitude:-75.5617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8630901",name:"Metompkin Inlet",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.6717,longitude:-75.595,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8630839",name:"Folly Creek",secondaryName:"Metompkin Inlet",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.6967,longitude:-75.635,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8631234",name:"Revel Creek",secondaryName:"Revel Island",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.4967,longitude:-75.6833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8631411",name:"Great Machipongo Inlet",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.3933,longitude:-75.7133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8631287",name:"Upshur Neck",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.4667,longitude:-75.8,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8631874",name:"Smith Island",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.1233,longitude:-75.9117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8639168",name:"Virginia Beach",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.8433,longitude:-75.9717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8639208",name:"Rudee Inlet",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.8317,longitude:-75.9683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8632085",name:"Fishermans Island",secondaryName:"Chesapeake Bay",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.0967,longitude:-75.9833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8632314",name:"Old Plantation Light",secondaryName:"Chesapeake Bay",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.2333,longitude:-76.05,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8633214",name:"Onancock",secondaryName:"Onancock Creek",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.7117,longitude:-75.7567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8633451",name:"Watts Island",secondaryName:"Chesapeake Bay",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.7983,longitude:-75.8967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8633604",name:"Muddy Creek",secondaryName:"Chesapeake Bay",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.855,longitude:-75.675,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8633596",name:"Guard Shore",secondaryName:"Chesapeake Bay",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.85,longitude:-75.7,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8633777",name:"Saxis",secondaryName:"Starling Creek",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.9217,longitude:-75.7283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8634214",name:"Alexandria",secondaryName:"Potomac River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:38.805,longitude:-77.0383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8635959",name:"Sunnybank",secondaryName:"Little Wicomico River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.8867,longitude:-76.2667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636142",name:"Great Wicomico River Light",secondaryName:"Chesapeake Bay",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.805,longitude:-76.2683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636046",name:"Glebe Point",secondaryName:"Great Wicomico River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.8467,longitude:-76.3683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636623",name:"Windmill Point Light",secondaryName:"Chesapeake Bay",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.5967,longitude:-76.2367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636458",name:"Millenbeck",secondaryName:"Corrotoman River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.6683,longitude:-76.4867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636522",name:"Urbanna",secondaryName:"Rappahannock River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.65,longitude:-76.575,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636261",name:"Bayport",secondaryName:"Rappahannock River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.755,longitude:-76.6733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8635881",name:"Tappahannock",secondaryName:"Rappahannock River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.93,longitude:-76.8567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8635554",name:"Saunders Wharf",secondaryName:"Rappahannock River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:38.09,longitude:-77.0333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8635299",name:"Port Royal",secondaryName:"Rappahannock River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:38.1733,longitude:-77.19,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8635171",name:"Hopyard Landing",secondaryName:"Rappahannock River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:38.2433,longitude:-77.2267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8635154",name:"Massaponax",secondaryName:"Rappahannock River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:38.255,longitude:-77.41,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636735",name:"Jackson Creek",secondaryName:"Deltaville",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.5483,longitude:-76.3317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636831",name:"Dixie",secondaryName:"Piankatank River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.5067,longitude:-76.4167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8637144",name:"Wolf Trap Light",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.39,longitude:-76.19,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8637199",name:"Mobjack",secondaryName:"East River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.3733,longitude:-76.3467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8637072",name:"Belleville",secondaryName:"Mobjack Bay",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.4117,longitude:-76.4383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8637444",name:"Browns Bay",secondaryName:"Mobjack Bay",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.3,longitude:-76.4,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8637663",name:"Tue Marshes Light",secondaryName:"York River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.235,longitude:-76.385,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8637686",name:"Yorktown",secondaryName:"Goodwin Neck",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.23,longitude:-76.4367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8637472",name:"Cheatham Annex",secondaryName:"York River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.2917,longitude:-76.5867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636969",name:"Roane Point",secondaryName:"York River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.4467,longitude:-76.7083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636769",name:"West Point",secondaryName:"York River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.535,longitude:-76.7933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636499",name:"Wakema (Fraziers Ferry)",secondaryName:"Mattaponi River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.65,longitude:-76.9,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636558",name:"Northbury",secondaryName:"Pamunkey River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.625,longitude:-77.1217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638051",name:"Messick Point",secondaryName:"Back River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.1083,longitude:-76.3183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638288",name:"Old Point Comfort",secondaryName:"Hampton Roads",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.0033,longitude:-76.315,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638514",name:"Pig Point",secondaryName:"Nansemond River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.9167,longitude:-76.435,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638406",name:"Town Point",secondaryName:"Nansemond River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.8833,longitude:-76.5083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638409",name:"Hollidays Point",secondaryName:"Nansemond River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.8383,longitude:-76.55,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638596",name:"Craney Island Light",secondaryName:"Elizabeth River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.8917,longitude:-76.3383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638654",name:"Norfolk",secondaryName:"Elizabeth River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.8517,longitude:-76.2983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638379",name:"Newport News",secondaryName:"James River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.9733,longitude:-76.4333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638401",name:"Huntington Park",secondaryName:"James River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.0133,longitude:-76.4583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638407",name:"Menchville",secondaryName:"James River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.0817,longitude:-76.525,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638418",name:"Smithfield",secondaryName:"Pagan River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.9833,longitude:-76.63,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638442",name:"Ferry Point",secondaryName:"Chickahominy River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.2633,longitude:-76.8767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638441",name:"Wright Island Landing",secondaryName:"Chickahominy River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.345,longitude:-76.875,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638455",name:"Sturgeon Point",secondaryName:"James River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.3067,longitude:-77.0067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638478",name:"Haxall",secondaryName:"James River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.3733,longitude:-77.2433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638486",name:"Meadowville",secondaryName:"James River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.3783,longitude:-77.3233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638776",name:"Little Creek",secondaryName:"Chesapeake Bay",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.9117,longitude:-76.175,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638867",name:"Bayville",secondaryName:"Lynnhaven Bay",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.8933,longitude:-76.105,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638854",name:"Buchanan Creek",secondaryName:"Lynnhaven Bay",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.8617,longitude:-76.115,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638922",name:"Brown Cove",secondaryName:"Lynnhaven Bay",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.875,longitude:-76.0617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"9440747",name:"Nahcotta",secondaryName:"Willapa Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.5017,longitude:-124.023,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0933",name:"Tarlatt Slough",secondaryName:"Willapa Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.37,longitude:-124.005,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440650",name:"Greenhead Slough",secondaryName:"Willapa Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.3722,longitude:-123.9503,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440723",name:"Paradise Point",secondaryName:"Long Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.4683,longitude:-123.945,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440691",name:"Naselle River Bridge",secondaryName:"Willapa Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.43,longitude:-123.903,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440662",name:"Naselle River (4mi)",secondaryName:"Willapa Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.3883,longitude:-123.84,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440813",name:"Palix River (South)",secondaryName:"Willapa Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.5867,longitude:-123.91,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0940",name:"Mailboat Slough",secondaryName:"Willapa River",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.6883,longitude:-123.8167,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440886",name:"Raymond",secondaryName:"Willapa River",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.6833,longitude:-123.755,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9441038",name:"Bay City",secondaryName:"South Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.8617,longitude:-124.06,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9441098",name:"Markham",secondaryName:"Grays Harbor",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.9067,longitude:-123.998,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9441158",name:"Cosmopolis",secondaryName:"Chehalis River",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.9667,longitude:-123.778,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0959",name:"Montesano",secondaryName:"Chehalis River",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.9683,longitude:-123.6,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9441627",name:"Point Grenville",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.3033,longitude:-124.27,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC0965",name:"Destruction Island",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.6667,longitude:-124.4833,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9442388",name:"James Island",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.9067,longitude:-124.647,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9442705",name:"Tskawahyah Island",secondaryName:"Cape Alava",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.1711,longitude:-124.7369,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9442971",name:"Tatoosh Island",secondaryName:"Cape Flattery",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.3917,longitude:-124.737,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9443551",name:"Jim Creek",secondaryName:"Strait of Juan de Fuca",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.1872,longitude:-124.0625,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9443644",name:"Twin Rivers",secondaryName:"Strait of Juan de Fuca",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.175,longitude:-123.95,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9444471",name:"Dungeness",secondaryName:"Strait of Juan de Fuca",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.1667,longitude:-123.117,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9444555",name:"Sequim Bay",secondaryName:"Strait of Juan de Fuca",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.0817,longitude:-123.043,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9444705",name:"Gardiner",secondaryName:"Discovery Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.0583,longitude:-122.917,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447985",name:"Smith Island",secondaryName:"Strait of Juan de Fuca",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.3167,longitude:-122.837,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447934",name:"Point Partridge",secondaryName:"Whidbey Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.2317,longitude:-122.765,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447951",name:"Sunset Beach",secondaryName:"Whidbey Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.2833,longitude:-122.728,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447973",name:"NAS Whidbey Island",secondaryName:"Strait of Juan de Fuca",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.3428,longitude:-122.6858,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447905",name:"Admiralty Head",secondaryName:"Admiralty Inlet",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.1583,longitude:-122.668,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9444972",name:"Marrowstone Point",secondaryName:"Admiralty Inlet",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.0917,longitude:-122.69,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9444971",name:"Mystery Bay",secondaryName:"Marrowstone Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.0583,longitude:-122.692,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447854",name:"Bush Point",secondaryName:"Whidbey Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.0333,longitude:-122.607,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445017",name:"Port Ludlow",secondaryName:"Hood Canal",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.925,longitude:-122.68,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445059",name:"Port Gamble",secondaryName:"Hood Canal",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.8583,longitude:-122.58,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445269",name:"Zelatched Point",secondaryName:"Dabob Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.7117,longitude:-122.822,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445303",name:"Seabeck",secondaryName:"Seabeck Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.6417,longitude:-122.828,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445293",name:"Pleasant Harbor",secondaryName:"Hood Canal",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.665,longitude:-122.912,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445326",name:"Triton Head",secondaryName:"Hood Canal",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.6033,longitude:-122.982,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445388",name:"Ayock Point",secondaryName:"Hood Canal",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.5083,longitude:-123.052,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445639",name:"Kingston",secondaryName:"Appletree Cove",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.7967,longitude:-122.493,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445683",name:"Port Jefferson",secondaryName:"Puget Sound",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.7467,longitude:-122.477,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445753",name:"Port Madison",secondaryName:"Puget Sound",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.705,longitude:-122.525,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447265",name:"Meadow Point",secondaryName:"Shilshole Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.6883,longitude:-122.403,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447029",name:"Duwamish Waterway",secondaryName:"Eighth Ave. South",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.535,longitude:-122.322,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445882",name:"Eagle Harbor",secondaryName:"Bainbridge Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.62,longitude:-122.515,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445913",name:"Port Blakely",secondaryName:"Puget Sound",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.5967,longitude:-122.51,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445901",name:"Tracyton",secondaryName:"Dyes Inlet",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.61,longitude:-122.66,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445993",name:"Harper",secondaryName:"Yukon Harbor",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.5233,longitude:-122.517,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446025",name:"Point Vashon",secondaryName:"Vashon Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.5117,longitude:-122.463,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446248",name:"Des Moines",secondaryName:"East Passage",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.4,longitude:-122.328,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446254",name:"Burton",secondaryName:"Vashon Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.395,longitude:-122.463,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446375",name:"Tahlequah",secondaryName:"Neil Point",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.3333,longitude:-122.507,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446369",name:"Gig Harbor",secondaryName:"Puget Sound",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.34,longitude:-122.588,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446486",name:"Tacoma Narrows Bridge",secondaryName:"Puget Sound",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.2717,longitude:-122.552,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446714",name:"Steilacoom",secondaryName:"Cormorant Passage",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.1733,longitude:-122.603,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446804",name:"SANDY POINT ANDERSON ISLAND",secondaryName:"PUGET SOUND",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.153,longitude:-122.6751,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446828",name:"Dupont Wharf",secondaryName:"Nisqually Reach",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.1183,longitude:-122.665,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446638",name:"Longbranch",secondaryName:"Filucy Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.21,longitude:-122.753,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446671",name:"Devils Head",secondaryName:"Drayton Passage",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.1667,longitude:-122.763,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446752",name:"Henderson Inlet",secondaryName:"Puget Sound",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.155,longitude:-122.838,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446583",name:"McMicken Island",secondaryName:"Case Inlet",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.2467,longitude:-122.862,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446366",name:"Vaughn",secondaryName:"Case Inlet",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.3417,longitude:-122.775,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446489",name:"Walkers Landing",secondaryName:"Pickering Passage",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.2817,longitude:-122.923,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446628",name:"Shelton",secondaryName:"Oakland Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.215,longitude:-123.083,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446666",name:"Arcadia",secondaryName:"Totten Inlet",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.1967,longitude:-122.938,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC1113",name:"Burns Point",secondaryName:"Totten Inlet",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.1217,longitude:-123.0567,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC1115",name:"Rocky Point",secondaryName:"Eld Inlet",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.0817,longitude:-123.005,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446800",name:"Dofflemeyer Point",secondaryName:"Budd Inlet",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.1417,longitude:-122.903,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447814",name:"Glendale",secondaryName:"Whidbey Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.94,longitude:-122.357,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"WC1125",name:"Marysville",secondaryName:"Quilceda Creek",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.045,longitude:-122.2117,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC1131",name:"Stanwood",secondaryName:"Stillaguamish River",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.2167,longitude:-122.3667,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447856",name:"Sandy Point",secondaryName:"Whidbey Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.035,longitude:-122.377,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447952",name:"Crescent Harbor",secondaryName:"N. Whidbey Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.2867,longitude:-122.617,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447929",name:"Coupeville",secondaryName:"Whidbey Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.2233,longitude:-122.69,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447993",name:"Ala Spit",secondaryName:"Whidbey Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.3967,longitude:-122.587,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447995",name:"Cornet Bay",secondaryName:"Deception Pass",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.4017,longitude:-122.623,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449994",name:"Aleck Bay",secondaryName:"Lopez Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.425,longitude:-122.853,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9448683",name:"Burrows Bay",secondaryName:"Allen Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.46,longitude:-122.695,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9448772",name:"Ship Harbor",secondaryName:"Fidalgo Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.5067,longitude:-122.677,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9448876",name:"Strawberry Bay",secondaryName:"Cypress Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.565,longitude:-122.722,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC1165",name:"Peavine Pass",secondaryName:"Rosario Strait",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.6,longitude:-122.8,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9448918",name:"Tide Point",secondaryName:"Cypress Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.5867,longitude:-122.748,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449184",name:"Gooseberry Point",secondaryName:"Hale Passage",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.73,longitude:-122.67,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC1173",name:"Point Migley",secondaryName:"Hale Passage",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.75,longitude:-122.7167,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC1169",name:"Chuckanut Bay",secondaryName:"Bellingham Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.6667,longitude:-122.5,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449798",name:"Orcas",secondaryName:"Orcas Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.6,longitude:-122.95,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449904",name:"Shaw Island",secondaryName:"Harney Channel",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.585,longitude:-122.928,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"TWC1189",name:"Ferndale",secondaryName:"Strait of Georgia",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.8333,longitude:-122.7167,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449639",name:"POINT ROBERTS",secondaryName:"PUGET SOUND",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.975,longitude:-123.083,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449834",name:"Roche Harbor",secondaryName:"San Juan Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.61,longitude:-123.155,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449746",name:"WALDRON ISLAND",secondaryName:"PUGET SOUND",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.6868,longitude:-123.0376,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449704",name:"Patos Island Wharf",secondaryName:"Boundary Pass",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.7867,longitude:-122.97,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"8730667",name:"Alabama Point",secondaryName:null,stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.2786,longitude:-87.555,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8739803",name:"Bayou La Batre Bridge",secondaryName:null,stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.4057,longitude:-88.2477,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8731952",name:"Bon Secour",secondaryName:null,stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.3033,longitude:-87.735,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8737138",name:"Chickasaw Creek",secondaryName:null,stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.7819,longitude:-88.0736,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8736897",name:"Coast Guard Sector Mobile",secondaryName:null,stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.6483,longitude:-88.0583,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8735180",name:"Dauphin Island",secondaryName:null,stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.25,longitude:-88.075,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8735391",name:"Dog River Bridge",secondaryName:null,stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.5652,longitude:-88.088,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8735523",name:"East Fowl River Bridge",secondaryName:null,stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.4436,longitude:-88.1139,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8731439",name:"Gulf Shores",secondaryName:"Intracoastal Waterway",stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.2799,longitude:-87.6843,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8733839",name:"Meaher State Park",secondaryName:"Mobile Bay",stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.6672,longitude:-87.9364,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8737048",name:"Mobile State Docks",secondaryName:null,stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.7083,longitude:-88.0433,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8733821",name:"Point Clear",secondaryName:"Mobile Bay",stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.4866,longitude:-87.9345,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8738043",name:"West Fowl River Bridge",secondaryName:null,stateTerritory:StatesTerritories.AL,stateAbbrev:StatesTerritoriesAbbrev.AL,country:Countries.US,latitude:30.3766,longitude:-88.1586,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"9461380",name:"Adak Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:51.8633,longitude:-176.632,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:true},{id:"9455120",name:"Agnes Cove",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.7733,longitude:-149.588,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9456901",name:"Aguchik Island",secondaryName:"Kukak Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.29,longitude:-154.27,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455145",name:"Aialik Bay",secondaryName:"North End",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.9533,longitude:-149.715,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455146",name:"Aialik Sill",secondaryName:"Aialik Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.885,longitude:-149.718,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462719",name:"Akun Cove",secondaryName:"Akun Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.2333,longitude:-165.533,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462694",name:"Akutan",secondaryName:"Alaska",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.1333,longitude:-165.7773,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457804",name:"Alitak",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.8974,longitude:-154.248,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9455606",name:"Anchor Point",secondaryName:"Cook Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.772,longitude:-151.867,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451317",name:"Anchor Point",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.6383,longitude:-132.927,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455920",name:"Anchorage",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:61.2375,longitude:-149.8904,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9454794",name:"Applegate Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.6233,longitude:-148.165,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9461710",name:"Atka",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.232,longitude:-174.1726,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:true},{id:"9454755",name:"Bainbridge Point",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.1967,longitude:-148.042,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451625",name:"Baranof",secondaryName:"Warm Spring Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.0883,longitude:-134.825,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452318",name:"Barlow Cove",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.3217,longitude:-134.878,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9494935",name:"Barrow Offshore",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:71.3601,longitude:-156.7299,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455128",name:"Bear Cove",secondaryName:"Aialik Peninsula",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.8017,longitude:-149.615,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455595",name:"Bear Cove",secondaryName:"Kachemak Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.725,longitude:-151.023,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450906",name:"Beck Island",secondaryName:"Clarence Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.0467,longitude:-132.862,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451287",name:"Beecher Pass",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.595,longitude:-132.987,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9466477",name:"Bethel",secondaryName:"Kuskokwim River",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.8,longitude:-161.75,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462645",name:"Biorka Village",secondaryName:"Biverly Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.8289,longitude:-166.2163,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459251",name:"Bird Island",secondaryName:"Shumagin Bank",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.8352,longitude:-159.7596,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9465182",name:"Black Rock",secondaryName:"Walrus Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.7083,longitude:-160.188,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450973",name:"Blashke Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.1267,longitude:-132.895,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451012",name:"Bradfield Canal",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.1833,longitude:-131.572,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462676",name:"Broad Bight",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.0646,longitude:-165.9371,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450914",name:"Burrough Bay",secondaryName:"Behm Canal",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.0383,longitude:-131.095,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454374",name:"Busby Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.8983,longitude:-146.782,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451074",name:"Bushy Island",secondaryName:"Snow Passage",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.2767,longitude:-132.985,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455151",name:"Camp Cove",secondaryName:"Harris Penninsula",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.6933,longitude:-149.748,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451781",name:"Cannery Cove",secondaryName:"Pybus Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.3067,longitude:-134.133,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462941",name:"Cape Chunak",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.0643,longitude:-163.5342,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9464961",name:"Cape Constantine",secondaryName:"Nushagak Peninsula",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.5217,longitude:-159.152,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9490096",name:"Cape Espenberg",secondaryName:"Kotzebue Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:66.5857,longitude:-164.2508,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454329",name:"Cape Hichinbrook",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.2383,longitude:-146.648,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455711",name:"Cape Kasilof",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.3367,longitude:-151.38,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9490571",name:"Cape Krusenstern",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:67.0542,longitude:-163.3213,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462787",name:"Cape Sarichef",secondaryName:"Unimak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.6,longitude:-164.928,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9465601",name:"Carter Bay",secondaryName:"Kuskokwim Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.378,longitude:-162.0293,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9458907",name:"Castle Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.2317,longitude:-158.347,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9458849",name:"Chankliut Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.1467,longitude:-158.107,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454777",name:"Chenega Island",secondaryName:"SW End",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.2833,longitude:-148.113,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9458917",name:"Chignik",secondaryName:"Anchorage Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.2967,longitude:-158.4,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452421",name:"Chilkat Inlet",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.17,longitude:-135.4,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455735",name:"Chinulna Point",secondaryName:"Cook Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.5033,longitude:-151.283,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9458519",name:"Chowiet Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.0517,longitude:-156.698,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9465261",name:"Clarks Point",secondaryName:"Nushagak Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.8483,longitude:-158.552,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455558",name:"Coal Point",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.6014,longitude:-151.4106,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459949",name:"Cold Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.2083,longitude:-162.698,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452682",name:"Composite Island",secondaryName:"Glacier Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.8883,longitude:-136.573,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454050",name:"Cordova",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.5583,longitude:-145.755,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9451335",name:"Cosmos Point",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.6633,longitude:-132.617,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452346",name:"Cove Point",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.7517,longitude:-135.028,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450551",name:"Craig",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.4883,longitude:-133.142,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455159",name:"Crater Bay",secondaryName:"Harris Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.7133,longitude:-149.787,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452082",name:"Crib Point",secondaryName:"Port Snettisham",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.0967,longitude:-133.742,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450296",name:"Custom House Cove",secondaryName:"Mary Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.1,longitude:-131.217,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9466931",name:"Dall Point",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:61.5317,longitude:-166.148,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9469751",name:"Deering",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:66.0972,longitude:-162.7405,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459758",name:"Dolgoi Harbor",secondaryName:"Dolgoi Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.1217,longitude:-161.792,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451376",name:"Dorothy Cove",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.7217,longitude:-135.075,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450998",name:"Dry Pass",secondaryName:"El Capitan Passage",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.1633,longitude:-133.413,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450997",name:"El Capitan Passage",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.1633,longitude:-133.33,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452634",name:"Elfin Cove",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.1947,longitude:-136.3469,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9451706",name:"Eliza Harbor",secondaryName:"Frederick Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.1883,longitude:-134.287,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451438",name:"Entrance Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.8117,longitude:-133.787,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454757",name:"Eshamy Lagoon",secondaryName:"Knight Island Passage",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.4617,longitude:-148.045,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452437",name:"Excursion Inlet",secondaryName:"South End",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.4167,longitude:-135.447,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462955",name:"False Pass",secondaryName:"Unimak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.8583,longitude:-163.407,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455912",name:"Fire Island",secondaryName:"Cook Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:61.1733,longitude:-150.213,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452321",name:"Funter",secondaryName:"Mansfield Peninsula",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.255,longitude:-134.895,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451421",name:"Golf Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.7867,longitude:-135.393,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9469833",name:"Goodhope Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:66.2303,longitude:-163.9041,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455963",name:"Goose Creek",secondaryName:"Cook Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:61.3933,longitude:-149.847,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462705",name:"Green Bight",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.1103,longitude:-165.6614,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454751",name:"Guguak",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.1,longitude:-148.038,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452294",name:"Hawk Inlet",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.085,longitude:-134.777,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9466153",name:"Helmick Point",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.2703,longitude:-162.4102,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459163",name:"Herendeen Island",secondaryName:"Shumagin Islands",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.0656,longitude:-159.4187,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451634",name:"Herring Bay",secondaryName:"Frederick Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.1133,longitude:-134.38,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454691",name:"Herring Point",secondaryName:"Knight Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.475,longitude:-147.792,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452067",name:"Holkham Bay",secondaryName:"Stephens Passage",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.76,longitude:-133.603,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450544",name:"Hollis Anchorage",secondaryName:"Kasaan Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.48,longitude:-132.645,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452438",name:"Hoonah",secondaryName:"Port Fredrick",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.1076,longitude:-135.4442,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9458964",name:"Hump Island",secondaryName:"Kuiukta Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.1133,longitude:-158.598,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450364",name:"Hydaburg",secondaryName:"Sukkwan Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.2017,longitude:-132.823,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462961",name:"Isanotski Strait Entrance",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.7784,longitude:-163.3643,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457634",name:"Japanese Bay",secondaryName:"Kodiak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.96,longitude:-153.687,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9453215",name:"Johnstone Passage",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.5817,longitude:-139.702,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452210",name:"Juneau",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.2983,longitude:-134.412,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9451528",name:"Kake Harbor",secondaryName:"Keku Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.9483,longitude:-133.8947,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455732",name:"Kaligan Island (North End)",secondaryName:"Cook Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.5117,longitude:-151.952,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9458365",name:"Kanatak Lagoon",secondaryName:"Portage Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.52,longitude:-156.052,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450581",name:"Kasaan Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.535,longitude:-132.397,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455517",name:"Kasitsna Bay",secondaryName:"Kachemak Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.4683,longitude:-151.565,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450460",name:"Ketchikan",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.3318,longitude:-131.6262,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9459881",name:"King Cove",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.0599,longitude:-162.3261,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9491253",name:"Kivalina",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:67.7267,longitude:-164.592,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457292",name:"Kodiak Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.7303,longitude:-152.5139,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9457283",name:"Kodiak",secondaryName:"St Pauls Harbor",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.745,longitude:-152.483,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9490424",name:"Kotzebue",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:66.9017,longitude:-162.582,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450913",name:"Kuiu Island",secondaryName:"Affleck Canal",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.0369,longitude:-134.115,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9458819",name:"Kujulik Bay (North Shore)",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.6133,longitude:-157.983,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9465265",name:"Kulukak Point",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.84,longitude:-159.647,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457724",name:"Larsen Bay",secondaryName:"Kodiak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.5333,longitude:-153.99,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454713",name:"Latouche",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.0533,longitude:-147.907,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451422",name:"Leconte Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.7883,longitude:-132.502,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9465419",name:"Levelock",secondaryName:"Kvichak River",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.1133,longitude:-156.832,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9452336",name:"Lincoln Island",secondaryName:"Favorite Channel",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.4983,longitude:-134.965,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450625",name:"Lindeman Cove",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.6017,longitude:-132.512,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9466328",name:"Lomavik",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.5543,longitude:-162.2971,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454825",name:"Long Bay Entr",secondaryName:"Culross Passage",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.6917,longitude:-148.263,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9469338",name:"Lost River",secondaryName:"Seward Peninsula",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:65.39,longitude:-167.145,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454642",name:"Louis Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.4617,longitude:-147.672,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454674",name:"Macleod Harbor",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.89,longitude:-147.795,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451152",name:"Madan Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.3922,longitude:-132.169,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9466217",name:"Mekoryuk",secondaryName:"Mekoryuk River Entrance",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.4167,longitude:-166.167,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9464075",name:"Meshik",secondaryName:"Port Heiden",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.9083,longitude:-158.6849,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450314",name:"Metlakatla",secondaryName:"Port Chester",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.1283,longitude:-131.567,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459016",name:"Mitrofania Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.89,longitude:-158.82,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454616",name:"Montague Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.025,longitude:-147.592,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451247",name:"Monte Carlo Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.535,longitude:-133.767,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452584",name:"Muir Inlet",secondaryName:"Glacier Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.9133,longitude:-136.108,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457407",name:"Nachalni Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.9783,longitude:-152.925,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9458779",name:"Nakchamik Island",secondaryName:"Chignik Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.3517,longitude:-157.812,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9466298",name:"Nelson Island",secondaryName:"Tooksook Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.5167,longitude:-165.133,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462948",name:"Neumans Cove",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.9667,longitude:-163.44,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455760",name:"Nikiski",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.6833,longitude:-151.398,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9462450",name:"Nikolski",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:52.9406,longitude:-168.8713,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9455653",name:"Ninilchik",secondaryName:"Cook Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.055,longitude:-151.682,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9468756",name:"Nome",secondaryName:"Norton Sound",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:64.4946,longitude:-165.4396,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9455869",name:"North Foreland",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:61.0433,longitude:-151.163,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452005",name:"North Shore Upper Endicott Arm",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.5217,longitude:-133.055,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9468039",name:"Northeast Cape",secondaryName:"St. Lawrence Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:63.3167,longitude:-168.967,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450711",name:"Nossuk Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.7217,longitude:-133.35,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9456717",name:"Nukshak Island",secondaryName:"Shelikof Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.3917,longitude:-153.958,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9467551",name:"Nunam Iqua (Sheldon Point)",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:62.5329,longitude:-164.8453,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457527",name:"Old Harbor",secondaryName:"Kodiak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.2028,longitude:-153.3039,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457287",name:"Ouzinkie",secondaryName:"Spruce Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.9217,longitude:-152.498,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451346",name:"Papke’s Landing",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.6767,longitude:-132.933,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452611",name:"Pelican Harbor",secondaryName:"Lisianski Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.9578,longitude:-136.2268,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454561",name:"Perch Point",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.1267,longitude:-147.395,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454721",name:"Perry Island (South Bay)",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.6717,longitude:-147.932,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9465396",name:"Platinum",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.0467,longitude:-161.818,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452516",name:"Point Adolphus",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.2867,longitude:-135.803,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454814",name:"Point Erlington",secondaryName:"Erlington Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.9383,longitude:-148.227,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451005",name:"Point Harrington",secondaryName:"Clarence Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.1783,longitude:-132.697,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454671",name:"Point Helen",secondaryName:"Knight Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.1533,longitude:-147.767,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9491873",name:"Point Hope",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:68.3417,longitude:-166.808,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9453210",name:"Point Latouche",secondaryName:"Yakutat Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.9033,longitude:-139.627,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451263",name:"Point Lockwood",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.5583,longitude:-132.963,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455866",name:"Point Possession",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:61.0367,longitude:-150.413,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9469237",name:"Point Spencer",secondaryName:"Port Clarence",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:65.2567,longitude:-166.847,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9466057",name:"Popokamute (Kokokamute)",secondaryName:"Kuskokwim River",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.1233,longitude:-162.5004,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451054",name:"Port Alexander",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.2467,longitude:-134.647,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9454673",name:"Port Audrey",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.3433,longitude:-147.768,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454511",name:"Port Chalmers",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.2418,longitude:-147.249,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455428",name:"Port Chatham",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.2133,longitude:-151.728,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455437",name:"Port Graham",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.35,longitude:-151.8267,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457391",name:"Port Lions",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.8735,longitude:-152.8671,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455934",name:"Port Mackenzie",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:61.2683,longitude:-149.917,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9463502",name:"Port Moller",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.9857,longitude:-160.5739,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457261",name:"Port Of Kodiak",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.7833,longitude:-152.428,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9465056",name:"Protection Point",secondaryName:"Nushagak Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.5,longitude:-158.712,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451936",name:"Provorotni Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.515,longitude:-135.555,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9497645",name:"Prudhoe Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:70.4114,longitude:-148.5318,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9458209",name:"Puale Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.7067,longitude:-155.393,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9465831",name:"Quinhagak (Kwinak)",secondaryName:"Kushkokwin River",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.7506,longitude:-161.9154,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450815",name:"Ratz Harbor",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.88,longitude:-132.595,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451467",name:"Red Bluff Bay",secondaryName:"Baranof Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.8567,longitude:-134.723,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9491094",name:"Red Dog Dock",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:67.5758,longitude:-164.0644,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9453208",name:"Redfield Cove",secondaryName:"Yakutat Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.6117,longitude:-139.58,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462662",name:"Reef Bight",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.1307,longitude:-166.0993,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451124",name:"Reef Point",secondaryName:"Stikine Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.3533,longitude:-132.553,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9453456",name:"Riou Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.885,longitude:-141.457,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454363",name:"Rocky Pt",secondaryName:"T-17",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.9467,longitude:-146.755,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462723",name:"Rootok Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.0522,longitude:-165.5142,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450651",name:"Rudyerd Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.6417,longitude:-130.645,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451497",name:"Saginaw Bay",secondaryName:"Kuiu Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.9033,longitude:-134.3031,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450495",name:"Saltery Cove",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.4017,longitude:-132.328,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459450",name:"Sand Point",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.3367,longitude:-160.502,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9468258",name:"Savoonga",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:63.6791,longitude:-170.5371,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"9452022",name:"Sawyer Island",secondaryName:"Tracy Arm",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.8783,longitude:-133.19,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462808",name:"Scotch Cap",secondaryName:"Unimak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.3936,longitude:-164.7457,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451805",name:"Scraggy Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.34,longitude:-135.707,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462786",name:"Se Tigalda Island",secondaryName:"Pacific Ocean",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.1018,longitude:-164.9416,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454564",name:"Seal Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.425,longitude:-147.41,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455500",name:"Seldovia",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.4405,longitude:-151.7199,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9451853",name:"Sergius Narrows",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.41,longitude:-135.627,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455090",name:"Seward",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.12,longitude:-149.4267,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9450982",name:"Shakan Bay Entrance",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.14,longitude:-133.61,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450987",name:"Shakan Strait (Northeast End)",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.1483,longitude:-133.46,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9468691",name:"Shaktoolik",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:64.3802,longitude:-161.2351,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9469854",name:"Shishmaref Inlet 2",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:66.2633,longitude:-166.02,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451600",name:"Sitka",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.0517,longitude:-135.342,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9452400",name:"Skagway",secondaryName:"Taiya Inlet",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.45,longitude:-135.327,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9465374",name:"Snag Point",secondaryName:"Dillingham",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.04,longitude:-158.447,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9456173",name:"Snug Harbor",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.1075,longitude:-152.5817,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9454662",name:"Snug Harbor",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.25,longitude:-147.717,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454652",name:"South Arm",secondaryName:"Knight Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.3667,longitude:-147.7,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450578",name:"Steamboat Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.5333,longitude:-133.637,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462711",name:"Surf Bay",secondaryName:"Akutan Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.1508,longitude:-165.615,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457493",name:"Sw Terror Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.744,longitude:-153.1955,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452368",name:"Swanson Harbor",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.215,longitude:-135.127,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452434",name:"Taiyasanka Harbor",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.3017,longitude:-135.428,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9456992",name:"Takli Island",secondaryName:"Shelikof Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.0633,longitude:-154.477,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452123",name:"Taku Harbor",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.0683,longitude:-134.012,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452749",name:"Tarr Inlet",secondaryName:"Glacier Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.9648,longitude:-136.8776,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9469239",name:"Teller",secondaryName:"Port Clarence",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:65.2667,longitude:-166.353,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451785",name:"The Brothers",secondaryName:"Stephens Passage",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.295,longitude:-133.797,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451349",name:"The Summit",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.6824,longitude:-133.7369,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450970",name:"Thoms Point",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.1183,longitude:-132.078,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9450938",name:"Thorne Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.0583,longitude:-132.968,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462782",name:"Tigalda Bay",secondaryName:"Tigalda Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.12,longitude:-164.977,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9469439",name:"Tin City",secondaryName:"Bering Sea",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:65.5583,longitude:-167.975,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457152",name:"Tonki Bay",secondaryName:"Afognak Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.3167,longitude:-152.067,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9462721",name:"Trident Bay",secondaryName:"Akun Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:54.14,longitude:-165.527,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451434",name:"Turn Point",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.8,longitude:-132.98,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9468333",name:"Unalakleet",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:63.875,longitude:-160.788,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9462620",name:"Unalaska",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:53.8792,longitude:-166.5403,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9458762",name:"Unavikshak Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.4917,longitude:-157.74,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9455204",name:"Upper Northwestern Fiord",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.79,longitude:-150.032,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457376",name:"Uzkosti Point",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.9283,longitude:-152.812,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454240",name:"Valdez",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:61.125,longitude:-146.362,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9464212",name:"Village Cove",secondaryName:"St. Paul Island",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.1253,longitude:-170.2852,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:true},{id:"9451037",name:"Village Rock",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.22,longitude:-132.297,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452632",name:"Wachusett Inlet",secondaryName:"Glacier Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.9467,longitude:-136.333,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9457535",name:"West Raspberry Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.1072,longitude:-153.3401,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451741",name:"Whitestone Narrows",secondaryName:"Neva Strait",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:57.25,longitude:-135.567,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454949",name:"Whittier",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:60.7783,longitude:-148.665,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9452391",name:"William Henry Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.7133,longitude:-135.232,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9454562",name:"Wooded Island",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.875,longitude:-147.403,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9451204",name:"Wrangell",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:56.47,longitude:-132.387,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9453220",name:"Yakutat",secondaryName:"Yakutat Bay",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:59.5485,longitude:-139.7334,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:true},{id:"9452249",name:"Young Bay",secondaryName:null,stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:58.1833,longitude:-134.587,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9459465",name:"Zachary Bay",secondaryName:"Unga Is (N. Side)",stateTerritory:StatesTerritories.AK,stateAbbrev:StatesTerritoriesAbbrev.AK,country:Countries.US,latitude:55.335,longitude:-160.617,type:BuoyTypes.TIDE,timeZone:TimeZones.ANCHORAGE,isActive:false},{id:"9414632",name:"Alameda Creek",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.595,longitude:-122.145,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414767",name:"Alameda Nas",secondaryName:"Navy Fuel Pier",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.7933,longitude:-122.315,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414750",name:"Alameda",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.7717,longitude:-122.3,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9414818",name:"Angel Island",secondaryName:"East Garrison",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.8633,longitude:-122.42,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415064",name:"Antioch",secondaryName:"San Joaquin River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.02,longitude:-121.815,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9416841",name:"Arena Cove",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.9146,longitude:-123.7111,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9410079",name:"Avalon",secondaryName:"Santa Catalina Island",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.345,longitude:-118.325,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410962",name:"Bechers Bay",secondaryName:"Santa Rosa Island",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:34.0083,longitude:-120.047,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415111",name:"Benicia",secondaryName:"Carquinez Strait",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.0433,longitude:-122.13,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414816",name:"Berkeley",secondaryName:"S.f.bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.865,longitude:-122.307,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415117",name:"Bishop Cut",secondaryName:"Dissapointment Slough",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.045,longitude:-121.42,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415021",name:"Blackslough Landing",secondaryName:"San Joaquin River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.9947,longitude:-121.419,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415396",name:"Blake Landing",secondaryName:"Tomales Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.19,longitude:-122.917,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414958",name:"Bolinas",secondaryName:"Bolinas Lagoon",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.9078,longitude:-122.6786,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414835",name:"Borden Highway Bridge",secondaryName:"Middle River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.8917,longitude:-121.488,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414836",name:"Borden Hwy Bridge",secondaryName:"Old River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.8833,longitude:-121.577,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414811",name:"Bradmoor Island",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1833,longitude:-121.923,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415446",name:"Brazos Drawbridge",secondaryName:"Napa River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.21,longitude:-122.307,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9418778",name:"Bucksport",secondaryName:"Humboldt Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:40.7783,longitude:-124.197,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410650",name:"Cabrillo Beach",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.7067,longitude:-118.273,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415846",name:"Clarksburg",secondaryName:"Sacramento River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.4167,longitude:-121.523,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415176",name:"Collinsville",secondaryName:"Sacramento River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.0733,longitude:-121.848,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414874",name:"Corte Madera Creek",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.9433,longitude:-122.513,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414561",name:"Coyote Creek",secondaryName:"Tributary #1",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.4467,longitude:-121.963,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414575",name:"Coyote Creek",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.465,longitude:-122.023,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414621",name:"Coyote Hills Slough",secondaryName:"S.f.bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.5633,longitude:-122.128,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9419750",name:"Crescent City",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:41.745,longitude:-124.183,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9415143",name:"Crockett",secondaryName:"Carquinez Strait",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.0583,longitude:-122.223,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414509",name:"Dumbarton Bridge",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.5067,longitude:-122.115,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415053",name:"Dutch Slough",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.0117,longitude:-121.638,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415415",name:"Edgerley Island",secondaryName:"Napa River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1917,longitude:-122.312,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9413631",name:"Elkhorn Slough At Elkhorn",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:36.8183,longitude:-121.747,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9413663",name:"Elkhorn Slough Railroad Bridge",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:36.8567,longitude:-121.755,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9413623",name:"Elkhorn Slough",secondaryName:"Entrance Bridge",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:36.81,longitude:-121.785,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9418802",name:"Eureka Slough",secondaryName:"Humboldt Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:40.8067,longitude:-124.142,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9418801",name:"Eureka",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:40.8067,longitude:-124.167,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9418723",name:"Fields Landing",secondaryName:"Humboldt Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:40.7233,longitude:-124.222,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415052",name:"Gallinas",secondaryName:"Gallinas Creek",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.015,longitude:-122.503,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9411399",name:"Gaviota State Park",secondaryName:"Pacific Ocean",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:34.4694,longitude:-120.2283,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415287",name:"Georgiana Slough",secondaryName:"Mokelumne River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.125,longitude:-121.578,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414551",name:"Gold Street Bridge",secondaryName:"Alviso Slough",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.4233,longitude:-121.975,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414785",name:"Grant Line Canal Brdg.",secondaryName:"Old River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.82,longitude:-121.447,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9416409",name:"Green Cove",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.7043,longitude:-123.4494,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415074",name:"Hercules Wharf",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.0233,longitude:-122.292,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415344",name:"Hog Is.",secondaryName:"San Antonio Creek",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1617,longitude:-122.55,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414866",name:"Holt",secondaryName:"Whiskey Slough",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.935,longitude:-121.435,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9418686",name:"Hookton Slough",secondaryName:"Humboldt Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:40.6867,longitude:-124.222,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414358",name:"Hunters Point",secondaryName:"S.f. Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.73,longitude:-122.357,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410120",name:"Imperial Beach",secondaryName:"Pacific Ocean",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:32.5783,longitude:-117.135,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415228",name:"Inverness",secondaryName:"Tomales Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1133,longitude:-122.868,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415145",name:"Jersey Island",secondaryName:"False River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.055,longitude:-121.657,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415379",name:"Joice Island",secondaryName:"Suisun Slough",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.18,longitude:-122.045,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410738",name:"King Harbor",secondaryName:"Santa Monica Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.8467,longitude:-118.398,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9413651",name:"Kirby Park",secondaryName:"Elkhorn Slough",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:36.8413,longitude:-121.7453,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410230",name:"La Jolla",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:32.8669,longitude:-117.2571,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9410680",name:"Long Beach",secondaryName:"Terminal Island",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.7517,longitude:-118.227,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410660",name:"Los Angeles",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.7199,longitude:-118.2729,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9418865",name:"Mad River Slough",secondaryName:"Arcata Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:40.865,longitude:-124.148,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415112",name:"Mallard Island",secondaryName:"Suisun Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.0433,longitude:-121.918,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9412802",name:"Mansfield Cone",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:35.9495,longitude:-121.4819,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415165",name:"Mare Island Strait",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1117,longitude:-122.273,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415218",name:"Mare Island",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.07,longitude:-122.25,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415102",name:"Martinez-amorco Pier",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.0346,longitude:-122.1252,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9415307",name:"Meins Landing",secondaryName:"Montezuma Slough",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1367,longitude:-121.907,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9413450",name:"Monterey",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:36.605,longitude:-121.8881,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9415402",name:"Montezuma Slough Bridge",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1867,longitude:-121.98,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415205",name:"Montezuma Slough",secondaryName:"Suisun Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.0767,longitude:-121.885,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9413616",name:"Moss Landing",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:36.8017,longitude:-121.79,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414519",name:"Mowry Slough",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.4933,longitude:-122.042,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415623",name:"Napa",secondaryName:"Napa River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.2983,longitude:-122.28,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415478",name:"New Hope Bridge",secondaryName:"Mokelumne River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.2267,longitude:-121.49,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414506",name:"Newark Slough",secondaryName:"S.f.bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.5133,longitude:-122.08,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410580",name:"Newport Beach",secondaryName:"Newport Bay Entrance",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.6033,longitude:-117.883,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414305",name:"North Point [Pier 41] S.f.bay",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.81,longitude:-122.413,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9418767",name:"North Spit",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:40.7663,longitude:-124.2172,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9417426",name:"Noyo Harbor",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:39.4258,longitude:-123.8051,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414711",name:"Oakland Airport",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.7317,longitude:-122.208,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414764",name:"Oakland Inner Harbor",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.795,longitude:-122.282,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414777",name:"Oakland Middle Harbor",secondaryName:"Pier 40",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.805,longitude:-122.338,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414779",name:"Oakland",secondaryName:"Matson Wharf",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.81,longitude:-122.327,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9411406",name:"Oil Platform Harvest",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:34.4692,longitude:-120.6819,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9414868",name:"Orwood",secondaryName:"Old River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.9383,longitude:-121.56,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414392",name:"Oyster Point Marina",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.665,longitude:-122.377,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414525",name:"Palo Alto Yacht Harbor",secondaryName:"S. F. Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.4583,longitude:-122.105,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414746",name:"Park Street Bridge",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.7717,longitude:-122.235,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415252",name:"Petaluma River Entrance",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1153,longitude:-122.5057,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415584",name:"Petaluma River",secondaryName:"Upper Drawbridge",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.2283,longitude:-122.613,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414317",name:"Pier 22 1/2",secondaryName:"San Francisco",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.79,longitude:-122.387,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415266",name:"Pierce Harbor",secondaryName:"Goodyear Slough",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1267,longitude:-122.1,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414131",name:"Pillar Point Harbor",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.5025,longitude:-122.4822,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415056",name:"Pinole Point",secondaryName:"San Pablo Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.015,longitude:-122.363,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415096",name:"Pittsburg",secondaryName:"New York Slough",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.0367,longitude:-121.88,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414837",name:"Point Chauncey",secondaryName:"Richardson Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.8917,longitude:-122.443,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414881",name:"Point Orient",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.9583,longitude:-122.425,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415020",name:"Point Reyes",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.9961,longitude:-122.9767,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9415009",name:"Point San Pedro",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.9933,longitude:-122.447,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414873",name:"Point San Quentin",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.945,longitude:-122.475,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415144",name:"Port Chicago",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.056,longitude:-122.0395,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9412110",name:"Port San Luis",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:35.1688,longitude:-120.7542,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9410971",name:"Prisoners Harbor",secondaryName:"Santa Cruz Is.",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:34.02,longitude:-119.683,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415149",name:"Prisoners Point",secondaryName:"San Joaquin River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.0617,longitude:-121.555,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9419945",name:"Pyramid Point",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:41.9453,longitude:-124.2009,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414523",name:"Redwood City",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.5067,longitude:-122.21,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9414501",name:"Redwood Creek",secondaryName:"C.m. No. 8",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.5333,longitude:-122.193,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415320",name:"Reynolds",secondaryName:"Tomales Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1467,longitude:-122.883,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414849",name:"Richmond Inner Harbor",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.91,longitude:-122.358,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414863",name:"Richmond",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.923,longitude:-122.4096,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9411270",name:"Rincon Island",secondaryName:"Pacific Ocean",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:34.3483,longitude:-119.443,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415316",name:"Rio Vista",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.145,longitude:-121.692,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9416174",name:"Sacramento",secondaryName:"Sacramento River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.58,longitude:-121.507,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9418817",name:"Samoa",secondaryName:"Humboldt Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:40.8267,longitude:-124.18,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410170",name:"San Diego",secondaryName:"San Diego Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:32.7142,longitude:-117.1736,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9414290",name:"San Francisco",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.8063,longitude:-122.4659,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9414688",name:"San Leandro Marina",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.695,longitude:-122.192,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414637",name:"San Mateo Bridge",secondaryName:"East End",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.6083,longitude:-122.182,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414458",name:"San Mateo Bridge",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.58,longitude:-122.253,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9412553",name:"San Simeon",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:35.6417,longitude:-121.188,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9411340",name:"Santa Barbara",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:34.4031,longitude:-119.6928,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9410840",name:"Santa Monica",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:34.0083,longitude:-118.5,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9414819",name:"Sausalito",secondaryName:"Coe Dock",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.865,longitude:-122.493,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414806",name:"Sausalito",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.8467,longitude:-122.477,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9418024",name:"Shelter Cove",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:40.025,longitude:-124.058,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415565",name:"Snodgrass Slough",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.2767,longitude:-121.495,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415338",name:"Sonoma Creek Entrance",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1567,longitude:-122.407,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415447",name:"Sonoma Creek",secondaryName:"Wingo",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.21,longitude:-122.427,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414609",name:"South Bay Wreck",secondaryName:"S.f.bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.5517,longitude:-122.162,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410135",name:"South San Diego Bay",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:32.6291,longitude:-117.1078,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415414",name:"Steamboat Slough",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1833,longitude:-121.655,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414883",name:"Stockton",secondaryName:"San Joaquin River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.9583,longitude:-121.29,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415498",name:"Suisun City",secondaryName:"Suisun Slough",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.2367,longitude:-122.03,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415265",name:"Suisun Slough Entrance",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1283,longitude:-122.073,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415257",name:"Terminous",secondaryName:"Mokelumne River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.11,longitude:-121.498,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415236",name:"Three Mile Slough",secondaryName:"Sacramento R.",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.1067,longitude:-121.7,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415193",name:"Three Mile Slough",secondaryName:"San Joaquin R.",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.0867,longitude:-121.685,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9419059",name:"Trinidad Harbor",secondaryName:null,stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:41.0567,longitude:-124.147,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9415105",name:"Wards Island",secondaryName:"San Joaquin River",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:38.05,longitude:-121.4969,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9410032",name:"Wilson Cove",secondaryName:"San Clemente Is.",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:33.005,longitude:-118.557,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9414782",name:"Yerba Buena Island",secondaryName:"San Francisco Bay",stateTerritory:StatesTerritories.CA,stateAbbrev:StatesTerritoriesAbbrev.CA,country:Countries.US,latitude:37.81,longitude:-122.36,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"8467373",name:"Black Rock Harbor",secondaryName:null,stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.1567,longitude:-73.2133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8467150",name:"Bridgeport",secondaryName:null,stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.1733,longitude:-73.1817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8463701",name:"Clinton Harbor",secondaryName:null,stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.2683,longitude:-72.5317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8464445",name:"Guilford",secondaryName:"Guilford Harbor",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.2717,longitude:-72.6667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8466375",name:"Gulf Beach",secondaryName:null,stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.205,longitude:-73.0417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8463836",name:"Higganum Creek",secondaryName:"Connecticut R.",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.5033,longitude:-72.5533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8466797",name:"I-95 Bridge",secondaryName:"Housatonic River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.2033,longitude:-73.1117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8465692",name:"Lighthouse Point",secondaryName:"New Haven Harbor",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.2517,longitude:-72.905,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8468799",name:"Long Neck Point",secondaryName:"Long Island Sound",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.0383,longitude:-73.48,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8463827",name:"Maromas",secondaryName:"Connecticut River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.5417,longitude:-72.5517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8464336",name:"Middletown",secondaryName:"Connecticut River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.56,longitude:-72.645,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8466442",name:"Milford Harbor",secondaryName:null,stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.2183,longitude:-73.055,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8466664",name:"Murphy’s Boat Yard",secondaryName:"Housatonic River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.275,longitude:-73.0883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8465705",name:"New Haven",secondaryName:null,stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.2833,longitude:-72.9083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8461490",name:"New London",secondaryName:null,stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.3614,longitude:-72.09,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8461925",name:"Niantic",secondaryName:"Niantic River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.325,longitude:-72.1867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8461392",name:"Norwich",secondaryName:"Thames River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.5233,longitude:-72.0783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8464255",name:"Rocky Hill",secondaryName:"Connecticut River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.6633,longitude:-72.63,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8468609",name:"Rowayton",secondaryName:"Fivemile River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.065,longitude:-73.445,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8466573",name:"Shelton",secondaryName:"Housatonic River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.3017,longitude:-73.0717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8466791",name:"Sniffens Point",secondaryName:"Housatonic River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.1867,longitude:-73.1133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8468448",name:"South Norwalk",secondaryName:null,stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.0967,longitude:-73.415,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8467726",name:"Southport",secondaryName:"Southport Harbor",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.1333,longitude:-73.2833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8469198",name:"Stamford Harbor",secondaryName:null,stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.0383,longitude:-73.5467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8463348",name:"Tylerville",secondaryName:"Connecticut R.",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.4517,longitude:-72.465,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8461467",name:"Yale Boathouse",secondaryName:"Thames River",stateTerritory:StatesTerritories.CT,stateAbbrev:StatesTerritoriesAbbrev.CT,country:Countries.US,latitude:41.43,longitude:-72.0933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555889",name:"Brandywine Shoal Light",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:38.9867,longitude:-75.1133,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8551851",name:"Delaware City Bridge",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:39.57,longitude:-75.59,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551762",name:"Delaware City",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:39.5817,longitude:-75.5883,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8550438",name:"Edgemoor",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:39.75,longitude:-75.4933,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8558690",name:"Indian River Inlet",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:38.61,longitude:-75.07,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8557380",name:"Lewes",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:38.7828,longitude:-75.1192,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8554399",name:"Mahon River Entrance",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:39.185,longitude:-75.4,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8556198",name:"Mispillion River Entrance",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:38.945,longitude:-75.3133,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8555388",name:"Murderkill River Entrance",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:39.0583,longitude:-75.3967,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551201",name:"New Castle",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:39.6567,longitude:-75.5617,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551702",name:"Pea Patch Island",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:39.5833,longitude:-75.5733,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8551910",name:"Reedy Point",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:39.5583,longitude:-75.5733,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8557863",name:"Rehoboth Beach",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:38.72,longitude:-75.0833,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8550714",name:"Wilmington",secondaryName:"Christina R. Ent.",stateAbbrev:StatesTerritoriesAbbrev.DE,country:Countries.US,latitude:39.7183,longitude:-75.52,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8593909",name:"East Lake",secondaryName:"Anacostia River",stateAbbrev:StatesTerritoriesAbbrev.DC,country:Countries.US,latitude:38.91,longitude:-76.955,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DC,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8593545",name:"Kingman Lake",secondaryName:"Anacostia River",stateAbbrev:StatesTerritoriesAbbrev.DC,country:Countries.US,latitude:38.895,longitude:-76.9683,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DC,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8593005",name:"Washington Navy Yard",secondaryName:"D.c.",stateAbbrev:StatesTerritoriesAbbrev.DC,country:Countries.US,latitude:38.8717,longitude:-76.995,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DC,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8594900",name:"Washington",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.DC,country:Countries.US,latitude:38.8733,longitude:-77.0217,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.DC,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8723453",name:"Adams Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.3967,longitude:-80.2333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729015",name:"Allanton",secondaryName:"East Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.03,longitude:-85.465,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729152",name:"Alligator Bayou",secondaryName:"Panama City",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.17,longitude:-85.755,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728288",name:"Alligator Point",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.9033,longitude:-84.4133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723861",name:"Alligator Reef Lighthouse",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.85,longitude:-80.6183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720086",name:"Amelia City",secondaryName:"South Amelia River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.5867,longitude:-81.4633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726917",name:"Anclote Lighthouse",secondaryName:"Anclote Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.165,longitude:-82.8433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726924",name:"Anclote River",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.1717,longitude:-82.785,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722274",name:"Ankona",secondaryName:"Indian River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.355,longitude:-80.2733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726243",name:"Anna Maria Outside",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.4967,longitude:-82.7133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726282",name:"Anna Maria",secondaryName:"City Pier",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.5333,longitude:-82.73,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724229",name:"Annette Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7583,longitude:-81.39,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728711",name:"Apalachicola River",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.7633,longitude:-85.0333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728690",name:"Apalachicola",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.7267,longitude:-84.9817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8726537",name:"Apollo Beach",secondaryName:"Hillsborough Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.7867,longitude:-82.4267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727097",name:"Aripeka",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.4333,longitude:-82.6683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724138",name:"Bahia Honda Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.655,longitude:-81.2817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726689",name:"Bay Aristocrat Village",secondaryName:"Old Tampa Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.9417,longitude:-82.72,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727151",name:"Bayport",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.5333,longitude:-82.65,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724489",name:"Big Coppitt Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6017,longitude:-81.655,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724226",name:"Big Pine Key Ne",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7283,longitude:-81.3867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724231",name:"Big Pine Key North End",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.745,longitude:-81.395,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724211",name:"Big Pine Key Viaduct",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.67,longitude:-81.3683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724192",name:"Big Pine Key",secondaryName:"Coupon Bight Inside",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6517,longitude:-81.35,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724227",name:"Big Pine Key",secondaryName:"West Side",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.69,longitude:-81.3833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724246",name:"Big Spanish Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7883,longitude:-81.4117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724264",name:"Big Torch Key",secondaryName:"West Side",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.705,longitude:-81.4333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723439",name:"Billy’s Point",secondaryName:"Elliott Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.415,longitude:-80.21,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720757",name:"Bings Landing",secondaryName:"Matanzas River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.615,longitude:-81.205,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722213",name:"Binney Dock",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.4683,longitude:-80.3,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724436",name:"Bird Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.5883,longitude:-81.6383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723089",name:"Biscayne Creek",secondaryName:"Intracoastal Waterway",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.88,longitude:-80.1633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720434",name:"Black Creek",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.08,longitude:-81.7617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720203",name:"Blount Island Bridge",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.4133,longitude:-81.545,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729941",name:"Blue Angels Park",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.3869,longitude:-87.4288,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724493",name:"Boca Chica Marina",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.575,longitude:-81.7083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724499",name:"Boca Chica",secondaryName:"Southwest End",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.5633,longitude:-81.7133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724485",name:"Boca Chica",secondaryName:"Long Point",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6033,longitude:-81.6983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726574",name:"Boca Ciega Bay",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.8083,longitude:-82.795,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722816",name:"Boca Raton",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.3433,longitude:-80.0767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720084",name:"Boggy Creek",secondaryName:"Upper Nassau River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.5883,longitude:-81.6633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724193",name:"Bogie Channel Landing",secondaryName:"Big Pine Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6967,longitude:-81.3483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725541",name:"Bokeelia",secondaryName:"Charlotte Harbor",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.7067,longitude:-82.1633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723971",name:"Boot Key Harbor",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7033,longitude:-81.105,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722706",name:"Boynton Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.5483,longitude:-80.0533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726247",name:"Bradenton",secondaryName:"Manatee River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.5,longitude:-82.5733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720767",name:"Buffalo Bluff",secondaryName:"St. Johns River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.595,longitude:-81.6817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8721804",name:"Canova",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.1383,longitude:-80.5783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725451",name:"Cape Coral Br.",secondaryName:"Caloosahatchee R.",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.5645,longitude:-81.9358,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8723251",name:"Cape Florida",secondaryName:"Key Biscayne",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.6517,longitude:-80.16,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724947",name:"Cape Romano Island",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.8533,longitude:-81.675,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723534",name:"Card Sound Bridge",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.2883,longitude:-80.37,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725325",name:"Carlos Point",secondaryName:"Estero Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.4054,longitude:-81.8833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8728464",name:"Carrabelle River",secondaryName:"St. George Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.85,longitude:-84.665,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723583",name:"Carysfort Reef Lighthouse",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.2217,longitude:-80.2117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728619",name:"Cat Point",secondaryName:"Apalachicola Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.7233,longitude:-84.8867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720189",name:"Cedar Heights",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.4367,longitude:-81.6417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727520",name:"Cedar Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.135,longitude:-83.0317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8724507",name:"Channel Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6033,longitude:-81.725,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727246",name:"Chassahowitzka River",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.715,longitude:-82.5767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720023",name:"Chester",secondaryName:"Bells River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.6833,longitude:-81.5333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724919",name:"Chokoloskee",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.8133,longitude:-81.3633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723457",name:"Christmas Point",secondaryName:"Elliott Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.3917,longitude:-80.23,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720198",name:"Clapboard Creek",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.4067,longitude:-81.51,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726724",name:"Clearwater Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.9783,longitude:-82.8317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8726706",name:"Clearwater",secondaryName:"Clearwater Harbor",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.955,longitude:-82.8067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8721649",name:"Cocoa Beach",secondaryName:"Atlantic Ocean",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.3683,longitude:-80.6,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724098",name:"Cocoanut Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.745,longitude:-81.2367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725228",name:"Cocohatchee River",secondaryName:"U.s. 41",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.2817,longitude:-81.8017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725319",name:"Coconut Point",secondaryName:"Estero Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.4,longitude:-81.8433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724307",name:"Content Key",secondaryName:"Gulf Of Mexico",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.79,longitude:-81.4833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724964",name:"Coon Key Pass",secondaryName:"Gullivan Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.8967,longitude:-81.6367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723391",name:"Coon Point",secondaryName:"Elliott Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.48,longitude:-80.1883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726217",name:"Cortez",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.4667,longitude:-82.6867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724527",name:"Cow Key Channel",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.57,longitude:-81.75,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720004",name:"Crandall",secondaryName:"St. Marys River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.7217,longitude:-81.6217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723746",name:"Crane Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.005,longitude:-80.6183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724199",name:"Crawl Key",secondaryName:"Big Spanish Channel",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7567,longitude:-81.3583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720651",name:"Crescent Beach",secondaryName:"Matanzas River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.7683,longitude:-81.2583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727343",name:"Crystal River",secondaryName:"Kings Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.8983,longitude:-82.5983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724313",name:"Cudjoe Bay",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.66,longitude:-81.4917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724328",name:"Cudjoe Key No. Point",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7,longitude:-81.505,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724332",name:"Cudjoe Key Pirates Cove",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6617,longitude:-81.515,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720097",name:"Cuno",secondaryName:"Lofton Creek",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.5767,longitude:-81.5717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723289",name:"Cutler",secondaryName:"Biscayne Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.615,longitude:-80.305,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725685",name:"Cutoff South",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.855,longitude:-82.3033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720219",name:"Dames Point",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.3867,longitude:-81.5583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8726657",name:"Davis Island",secondaryName:"Hillsborough Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.9083,longitude:-82.4517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8721120",name:"Daytona Beach Shores",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.1467,longitude:-80.9633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720214",name:"Degaussing Structure",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.3967,longitude:-81.395,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722746",name:"Delray Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.4733,longitude:-80.0617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729511",name:"Destin",secondaryName:"East Pass",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.395,longitude:-86.5133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723205",name:"Dinner Key Marina",secondaryName:"Biscayne Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.7267,longitude:-80.2367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724963",name:"Dismal Key",secondaryName:"Pumpkin Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.895,longitude:-81.5583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727336",name:"Dixie Bay",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.8817,longitude:-82.635,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724201",name:"Doctors Arm",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.69,longitude:-81.3567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720406",name:"Doctors Lake",secondaryName:"Peoria Point",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.12,longitude:-81.7583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728408",name:"Dog Island",secondaryName:"East End",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.81,longitude:-84.585,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722528",name:"Donald Ross Bridge",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.8817,longitude:-80.07,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724474",name:"Duck Key Point",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6233,longitude:-81.685,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723927",name:"Duck Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.765,longitude:-80.9133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723044",name:"Dumfoundling Bay",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.9417,longitude:-80.125,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726761",name:"Dunedin City Dock",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.0133,longitude:-82.7933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723465",name:"East Arsenicker",secondaryName:"Card Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.3733,longitude:-80.29,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724094",name:"East Bahia Honda Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.775,longitude:-81.2267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726674",name:"East Bay",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.9231,longitude:-82.4214,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8723752",name:"East Key",secondaryName:"Florida Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.9967,longitude:-80.61,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720596",name:"East Tocoi",secondaryName:"St. Johns River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.8583,longitude:-81.5533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720145",name:"Edwards Creek",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.5017,longitude:-81.5417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726347",name:"Egmont Key",secondaryName:"Tampa Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.6017,longitude:-82.76,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725769",name:"El Jobean",secondaryName:"Myakka River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.9617,longitude:-82.21,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723393",name:"Elliott Key (Outside)",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.4767,longitude:-80.18,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723409",name:"Elliott Key Harbor",secondaryName:"Elliott Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.4533,longitude:-80.1967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725747",name:"Englewood",secondaryName:"Lemon Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.9333,longitude:-82.3533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725351",name:"Estero Island",secondaryName:"Estero Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.4383,longitude:-81.9183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725346",name:"Estero River",secondaryName:"Estero Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.43,longitude:-81.8567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724948",name:"Everglades City",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.8583,longitude:-81.3867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729017",name:"Farmdale",secondaryName:"East Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.0167,longitude:-85.47,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723949",name:"Fat Deer Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7333,longitude:-81.0167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720030",name:"Fernandina Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.6714,longitude:-81.4658,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8729806",name:"Fishing Bend",secondaryName:"Santa Rosa Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.3367,longitude:-87.14,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723644",name:"Flamingo",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.1417,longitude:-80.9233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724571",name:"Fleming Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.5917,longitude:-81.795,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720186",name:"Fort George Island",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.44,longitude:-81.4383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720686",name:"Fort Matanzas",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.715,longitude:-81.2383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725520",name:"Fort Myers",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.6477,longitude:-81.8712,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8722212",name:"Fort Pierce",secondaryName:"South Jetty",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.47,longitude:-80.2883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722939",name:"Ft. Lauderdale Bahia Yacht Club",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.1133,longitude:-80.1083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722937",name:"Ft. Lauderdale",secondaryName:"Andrews Avenue Bridge",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.1183,longitude:-80.145,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720221",name:"Fulton",secondaryName:"St. Johns River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.39,longitude:-81.5067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725411",name:"Galt Island",secondaryName:"Pine Island Sd.",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.5133,longitude:-82.1067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726641",name:"Gandy Bridge",secondaryName:"Old Tampa Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.8933,longitude:-82.5383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724697",name:"Garden Key",secondaryName:"Dry Tortugas",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6267,longitude:-82.8717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729538",name:"Garnier Bayou",secondaryName:"Shalimar",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.435,longitude:-86.5867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723026",name:"Golden Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.9667,longitude:-80.125,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722414",name:"Gomez",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.0933,longitude:-80.1367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724306",name:"Gopher Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6417,longitude:-81.485,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723921",name:"Grassy Key North Side",secondaryName:"Florida Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7717,longitude:-80.94,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723933",name:"Grassy Key",secondaryName:"Atlantic Side",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.755,longitude:-80.9583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720496",name:"Green Cove Springs",secondaryName:"St. Johns R.",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.99,longitude:-81.6633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720093",name:"Halfmoon Island",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.5767,longitude:-81.6083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8721138",name:"Halifax River",secondaryName:"Ponce Inlet",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.0817,longitude:-80.9367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727293",name:"Halls River Bridge",secondaryName:"Halls River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.8,longitude:-82.6033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725791",name:"Harbour Heights",secondaryName:"Peace River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.9883,longitude:-81.9933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729613",name:"Harris",secondaryName:"Santa Rosa Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.4083,longitude:-86.7317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723073",name:"Haulover Inside",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.9033,longitude:-80.125,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723080",name:"Haulover Pier",secondaryName:"N. Miami Beach",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.9033,longitude:-80.12,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725377",name:"Hendry Creek",secondaryName:"Estero Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.47,longitude:-81.8767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722862",name:"Hillsboro Inlet Ocean",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.2567,longitude:-80.08,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722861",name:"Hillsboro Inlet",secondaryName:"Inside",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.2583,longitude:-80.0817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722859",name:"Hillsboro",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.26,longitude:-80.085,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722429",name:"Hobe Sound Bridge",secondaryName:"Hobe Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.065,longitude:-80.1233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722445",name:"Hobe Sound",secondaryName:"State Park",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.0367,longitude:-80.1067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722979",name:"Hollywood Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.04,longitude:-80.115,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724139",name:"Horeshoe Keys",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7667,longitude:-81.2833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727648",name:"Horseshoe Point",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.4367,longitude:-83.2933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724243",name:"Howe Key (Off South End)",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.725,longitude:-81.4067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727061",name:"Hudson",secondaryName:"Hudson Creek",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.3617,longitude:-82.71,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720357",name:"I-295 Bridge",secondaryName:"St. Johns River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.1917,longitude:-81.6917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723843",name:"Indian Key",secondaryName:"Hawk Channel",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.8767,longitude:-80.6767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724409",name:"Inner Narrows",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6583,longitude:-81.6083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725418",name:"Iona Shores",secondaryName:"Caloosahatchee R.",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.5217,longitude:-81.965,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723797",name:"Islamorada",secondaryName:"Whale Harbor Channel",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.9383,longitude:-80.61,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720291",name:"Jacksonville Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.2833,longitude:-81.3867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722338",name:"Jensen Beach",secondaryName:"Indian River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.235,longitude:-80.21,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727235",name:"Johns Island",secondaryName:"Chassahowitzka Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.6917,longitude:-82.6383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726533",name:"Johns Pass",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.785,longitude:-82.7817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724172",name:"Johnson Keys North",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7667,longitude:-81.3233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724153",name:"Johnson Keys South",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7433,longitude:-81.3,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724397",name:"Johnston Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.71,longitude:-81.5933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720409",name:"Julington Creek",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.135,longitude:-81.63,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722495",name:"Jupiter Inlet",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.9433,longitude:-80.0733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722491",name:"Jupiter Sound",secondaryName:"South End",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.9517,longitude:-80.08,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722492",name:"Jupiter West",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.9467,longitude:-80.09,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722499",name:"Jupiter",secondaryName:"Intracoastal Waterway",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.935,longitude:-80.085,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725019",name:"Keewaydin Island",secondaryName:"Inside",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.025,longitude:-81.7683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724292",name:"Kemp Channel Viaduct",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6617,longitude:-81.4683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723232",name:"Key Biscayne Yacht Club",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.6983,longitude:-80.17,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723962",name:"Key Colony Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7183,longitude:-81.0167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724517",name:"Key Haven West",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.58,longitude:-81.7383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724557",name:"Key West",secondaryName:"White Street Pier",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.545,longitude:-81.7833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724580",name:"Key West",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.5508,longitude:-81.8081,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8720058",name:"Kingsley Creek",secondaryName:"Seaboard R.r.",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.6317,longitude:-81.4767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724008",name:"Knight Key Channel",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7067,longitude:-81.125,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724302",name:"Knockemdown Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.715,longitude:-81.4783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729045",name:"Laird Bayou",secondaryName:"East Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.1217,longitude:-85.5283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722512",name:"Lake Worth Creek",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.9117,longitude:-80.08,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722670",name:"Lake Worth Pier",secondaryName:"Atlantic Ocean",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.6128,longitude:-80.0342,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8722802",name:"Lake Wyman",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.37,longitude:-80.07,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720051",name:"Lanceford Creek",secondaryName:"Lofton",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.6433,longitude:-81.5233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722899",name:"Lauderdale-by-the-sea",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.1883,longitude:-80.0933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723824",name:"Lignumvitae Key East",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.9033,longitude:-80.695,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723825",name:"Lignumvitae Key West",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.9,longitude:-80.705,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724093",name:"Little Duck Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6817,longitude:-81.2283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725283",name:"Little Hickory Is.",secondaryName:"Estero B.",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.3533,longitude:-81.855,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724177",name:"Little Pine Key North",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.75,longitude:-81.3283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724154",name:"Little Pine Key South",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7133,longitude:-81.3033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720274",name:"Little Pottsburg Creek",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.31,longitude:-81.61,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724209",name:"Little Spanish Key Island",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7733,longitude:-81.3683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720006",name:"Little St. Marys River",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.7317,longitude:-81.7267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724224",name:"Little Torch Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.665,longitude:-81.3867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725745",name:"Locust Point",secondaryName:"Hog Island",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.93,longitude:-82.1367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724698",name:"Loggerhead Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6317,longitude:-82.92,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723906",name:"Long Key Channel West",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7917,longitude:-80.8833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723873",name:"Long Key",secondaryName:"Florida Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.8383,longitude:-80.7983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720242",name:"Longbranch",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.36,longitude:-81.62,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729816",name:"Lora Point",secondaryName:"Escambia Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.515,longitude:-87.1617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723851",name:"Lower Matecumbe Key Hawk Channel",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.8683,longitude:-80.7033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723852",name:"Lower Matecumbe Key",secondaryName:"Fla. Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.865,longitude:-80.7167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722496",name:"Loxahatchee River Lock",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.935,longitude:-80.1433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729102",name:"Lynn Haven",secondaryName:"North Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.255,longitude:-85.6483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725809",name:"Manasota",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.0117,longitude:-82.41,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727989",name:"Mandalay",secondaryName:"Aucilla River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.1267,longitude:-83.975,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727333",name:"Mangrove Point",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.87,longitude:-82.7233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724967",name:"Marco Island",secondaryName:"Caxambas Pass",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.9083,longitude:-81.7283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724991",name:"Marco",secondaryName:"Big Marco River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.9717,longitude:-81.7283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723950",name:"Marthon Shores Key",secondaryName:"Vaca Cut",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.73,longitude:-81.03,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727274",name:"Mason Creek",secondaryName:"Homosassa Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.7617,longitude:-82.6383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724205",name:"Mayo Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7333,longitude:-81.3617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720218",name:"Mayport (Bar Pilots Dock)",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.3982,longitude:-81.4279,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8720211",name:"Mayport Naval Sta.",secondaryName:"St. Johns River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.4,longitude:-81.4133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724996",name:"Mcilvaine Bay",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.985,longitude:-81.7017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726667",name:"Mckay Bay Entrance",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.9133,longitude:-82.425,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723178",name:"Miami Beach",secondaryName:"Government Cut",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.7633,longitude:-80.13,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723170",name:"Miami Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.7683,longitude:-80.1317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723155",name:"Miami Ship Base",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.77,longitude:-80.1683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723165",name:"Miami",secondaryName:"Biscayne Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.7783,longitude:-80.185,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8721994",name:"Micco",secondaryName:"Indian River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.8733,longitude:-80.4967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724427",name:"Middle Narrows",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6667,longitude:-81.63,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727001",name:"Middle Pithlachascotee River",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.2483,longitude:-82.7233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729905",name:"Millview",secondaryName:"Perdido Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.4183,longitude:-87.3567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720119",name:"Mink Creek Ent.",secondaryName:"Nassau River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.5367,longitude:-81.5817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724099",name:"Missouri-little Duck Channel",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.68,longitude:-81.235,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724107",name:"Missouri-ohio Channel",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6733,longitude:-81.2433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726769",name:"Mobbly Bayou",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.0217,longitude:-82.655,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724062",name:"Molasses Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6833,longitude:-81.1917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720217",name:"Moncrief Creek Entrance",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.3917,longitude:-81.6617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724082",name:"Money Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6833,longitude:-81.2167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726364",name:"Mullet Key",secondaryName:"Tampa Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.615,longitude:-82.7267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724238",name:"Munson Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6233,longitude:-81.4033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725837",name:"Myakka River",secondaryName:"Us 41",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.045,longitude:-82.2933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725114",name:"Naples Bay",secondaryName:"North",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.1367,longitude:-81.7883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725110",name:"Naples",secondaryName:"Gulf Of Mexico",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.1317,longitude:-81.8075,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8720135",name:"Nassau River Entrance",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.5183,longitude:-81.4533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720098",name:"Nassauville",secondaryName:"Nassau River East",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.5683,longitude:-81.515,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729678",name:"Navarre Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.3767,longitude:-86.865,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720215",name:"Navy Fuel Depot",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.4,longitude:-81.6267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8722312",name:"Nettles Island",secondaryName:"Indian River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.2867,longitude:-80.2267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729136",name:"New Entrance Channel",secondaryName:"St. Andrew Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.125,longitude:-85.73,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8721164",name:"New Smyrna Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.0233,longitude:-80.9183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724215",name:"Newfound Harbor",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6517,longitude:-81.375,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729962",name:"Nix Point",secondaryName:"Perdido Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.3933,longitude:-87.425,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724168",name:"No Name Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6983,longitude:-81.3183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726942",name:"North Anclote Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.21,longitude:-82.84,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722208",name:"North Beach Causeway",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.4717,longitude:-80.325,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725488",name:"North Captiva Island",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.605,longitude:-82.2183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722957",name:"North Dania Sound",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.08,longitude:-80.1117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722478",name:"North Fork",secondaryName:"Loxahatchee River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.975,longitude:-80.1133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722334",name:"North Fork",secondaryName:"St. Lucie River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.2433,longitude:-80.3133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724367",name:"North Harris Channel",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6533,longitude:-81.5533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722472",name:"North Loxahatchee River",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.9867,longitude:-80.1417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723050",name:"North Miami Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.93,longitude:-80.12,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722557",name:"North Palm Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.8267,longitude:-80.055,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724441",name:"O’hara Key",secondaryName:"North Point",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6167,longitude:-81.645,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720305",name:"Oak Landing",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.2533,longitude:-81.43,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723519",name:"Ocean Reef Harbor",secondaryName:"Key Largo",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.3083,longitude:-80.2767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722718",name:"Ocean Ridge",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.5267,longitude:-80.0533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724112",name:"Ohio-bahia Honda Channel",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.67,longitude:-81.2517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726607",name:"Old Port Tampa",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.8578,longitude:-82.5528,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8720374",name:"Orange Park",secondaryName:"St. Johns River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.1683,longitude:-81.695,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720954",name:"Ormond Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.285,longitude:-81.0533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720296",name:"Ortega River Entrance",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.2783,longitude:-81.705,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722146",name:"Oslo",secondaryName:"Indian River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.5933,longitude:-80.3567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727328",name:"Ozello North",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.8633,longitude:-82.6667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727306",name:"Ozello",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.825,longitude:-82.6583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720232",name:"Pablo Creek Entrance",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.3767,longitude:-81.4483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720267",name:"Pablo Creek",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.3233,longitude:-81.4383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8721222",name:"Packwood Place",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.94,longitude:-80.87,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720774",name:"Palatka",secondaryName:"St. Johns River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.6433,longitude:-81.6317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722621",name:"Palm Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.705,longitude:-80.045,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722607",name:"Palm Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.7333,longitude:-80.0417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720398",name:"Palm Valley Icww",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.1333,longitude:-81.3867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720653",name:"Palmetto Bluff",secondaryName:"St. Johns River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.7633,longitude:-81.5617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729210",name:"Panama City Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.2133,longitude:-85.8783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8729108",name:"Panama City",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.1523,longitude:-85.6669,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8729084",name:"Parker",secondaryName:"East Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.1267,longitude:-85.6117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8721727",name:"Patrick Air Force Base",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.245,longitude:-80.6,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722404",name:"Peck Lake",secondaryName:"St. Lucie Inlet",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.1133,longitude:-80.145,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726651",name:"Pendola Point",secondaryName:"Hillsborough Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.8983,longitude:-82.4267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729868",name:"Pensacola",secondaryName:"Naval Air Station",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.345,longitude:-87.2733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729840",name:"Pensacola",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.4044,longitude:-87.2112,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8724353",name:"Perky Lake",secondaryName:"Sugerloaf Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.655,longitude:-81.54,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724378",name:"Perky",secondaryName:"Sugarloaf Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6483,longitude:-81.57,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722548",name:"Pga Boulevard Bridge",secondaryName:"Palm Beach",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.8433,longitude:-80.0667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720225",name:"Phoenix Park",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.3833,longitude:-81.6367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724033",name:"Pigeon Key (Inside)",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.705,longitude:-81.1567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724032",name:"Pigeon Key Atlantic Side",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7033,longitude:-81.155,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725528",name:"Pine Island",secondaryName:"Charlotte Harbor",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.66,longitude:-82.155,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720333",name:"Piney Point",secondaryName:"St. Johns River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.2283,longitude:-81.6633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727012",name:"Pithlachascotee River",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.2683,longitude:-82.7267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725667",name:"Placida",secondaryName:"Gasparilla Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.8333,longitude:-82.265,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723769",name:"Plantation Key",secondaryName:"Atlantic Side",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.9733,longitude:-80.55,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723689",name:"Point Charles",secondaryName:"Key Largo",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.0817,longitude:-80.4467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8721147",name:"Ponce De Leon Inlet South",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.0633,longitude:-80.915,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724196",name:"Porpoise Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7183,longitude:-81.3517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725577",name:"Port Boca Grande",secondaryName:"Charlotte Hbr.",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.72,longitude:-82.2583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722951",name:"Port Everglades",secondaryName:"Lake Mabel",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.0917,longitude:-80.1233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727395",name:"Port Inglis",secondaryName:"Withlacoochee River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.0017,longitude:-82.7583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722968",name:"Port Laudania",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.06,longitude:-80.13,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726384",name:"Port Manatee",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.6383,longitude:-82.5625,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8722588",name:"Port Of West Palm Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.77,longitude:-80.0517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722383",name:"Port Salerno",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.1517,longitude:-80.195,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728912",name:"Port St. Joe",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.815,longitude:-85.3133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723691",name:"Pt. Charles",secondaryName:"Gage ’C’",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.0817,longitude:-80.45,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723506",name:"Pumpkin Key",secondaryName:"Card Sound",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.325,longitude:-80.2933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724373",name:"Pumpkin Key",secondaryName:"Sugarloaf Channel",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7167,longitude:-81.5617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725744",name:"Punta Gorda",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.9283,longitude:-82.065,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725391",name:"Punta Rassa",secondaryName:"San Carlos Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.4883,longitude:-82.0133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724311",name:"Racoon Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7417,longitude:-81.4833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723350",name:"Ragged Key #3",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.5333,longitude:-80.1717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723355",name:"Ragged Key No. 5",secondaryName:"Biscayne Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.5233,longitude:-80.175,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724239",name:"Ramrod Key Southeast",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.65,longitude:-81.4033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724255",name:"Ramrod Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.66,longitude:-81.4233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725441",name:"Redfish Pass",secondaryName:"Captiva Is.(no. End)",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.55,longitude:-82.1967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726278",name:"Redfish Point",secondaryName:"Manatee River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.5267,longitude:-82.4817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720216",name:"Ribault River",secondaryName:"Lake Forest",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.3983,longitude:-81.6983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724529",name:"Riveria Canal",secondaryName:"Key West",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.565,longitude:-81.7517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727122",name:"Rocky Cr.",secondaryName:"Little Pine Is. Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.4867,longitude:-82.6617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720007",name:"Roses Bluff",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.7033,longitude:-81.5767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724405",name:"Saddlebunch Channel No. 3",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6233,longitude:-81.6033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724417",name:"Saddlebunch Channel No. 4",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.615,longitude:-81.6167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724423",name:"Saddlebunch Channel No. 5",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6117,longitude:-81.6233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726738",name:"Safety Harbor",secondaryName:"Old Tampa Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.9883,longitude:-82.685,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724635",name:"Sand Key Lighthouse",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.4533,longitude:-81.8783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723372",name:"Sands Key",secondaryName:"Elliott Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.5067,longitude:-80.1883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726083",name:"Sarasota",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.3317,longitude:-82.545,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720137",name:"Sawpit Creek Entrance",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.5133,longitude:-81.4567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720143",name:"Sawpit Creek",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.5033,longitude:-81.4717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724369",name:"Sawyer Key (Inside)",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7583,longitude:-81.5617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722004",name:"Sebastian Inlet",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.86,longitude:-80.4483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722029",name:"Sebastian",secondaryName:"Indian River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.8117,longitude:-80.4633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722366",name:"Seminole Shores",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.1833,longitude:-80.1583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722371",name:"Sewall Point. St. Lucie River",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.175,longitude:-80.1883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724438",name:"Shark Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6033,longitude:-81.645,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727359",name:"Shell Island",secondaryName:"Crystal River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.9233,longitude:-82.6917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723812",name:"Shell Key Channel",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.9133,longitude:-80.66,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723807",name:"Shell Key",secondaryName:"N.w.side",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.9233,longitude:-80.6717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728229",name:"Shell Point",secondaryName:"Walker Creek",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.06,longitude:-84.29,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724542",name:"Sigsbee Park",secondaryName:"Garrison Bight Channel",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.585,longitude:-81.775,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724422",name:"Similar Sound",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6,longitude:-81.6217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720168",name:"Simpson Creek",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.465,longitude:-81.4317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720196",name:"Sisters Creek",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.4167,longitude:-81.4533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720833",name:"Smith Creek",secondaryName:"Flagler Beach",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.4783,longitude:-81.1367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724671",name:"Smith Shoal Light",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7183,longitude:-81.9215,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724463",name:"Snipe Point",secondaryName:"Snipe Keys",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6917,longitude:-81.6733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723999",name:"Sombrero Key Lighthouse",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6267,longitude:-81.1117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722219",name:"South Beach Causeway",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.4567,longitude:-80.3233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722761",name:"South Delray Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.4467,longitude:-80.065,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722376",name:"South Fork",secondaryName:"St. Lucie River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.165,longitude:-80.255,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722956",name:"South Port Everglades",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.0817,longitude:-80.1167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8720226",name:"Southbank Riverwalk",secondaryName:"St. Johns River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.32,longitude:-81.6583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8724178",name:"Spanish Harbor Viaduct",secondaryName:"Big Pine Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6483,longitude:-81.33,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727843",name:"Spring Warrior Creek",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.92,longitude:-83.6717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720576",name:"St. Augustine",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.8917,longitude:-81.31,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720587",name:"St. Augustine Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.8567,longitude:-81.2633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728552",name:"St. George Is.",secondaryName:"Rattlesnake Cove",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.6917,longitude:-84.7917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728548",name:"St. George Island",secondaryName:"East End",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.6867,longitude:-84.7867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725393",name:"St. James City",secondaryName:"Pine Island",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.4917,longitude:-82.0817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722207",name:"St. Lucie",secondaryName:"Indian River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.48,longitude:-80.3333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728130",name:"St. Marks Lhtse.",secondaryName:"Apalachee Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.0783,longitude:-84.1783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720001",name:"St. Marys River Headwaters",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.7867,longitude:-81.84,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726520",name:"St. Petersburg",secondaryName:"Tampa Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.7606,longitude:-82.6269,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8720582",name:"State Road 312",secondaryName:"Matanzas River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.8667,longitude:-81.3067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720692",name:"State Road A1a Bridge",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.7045,longitude:-81.2279,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727695",name:"Steinhatchee",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.6717,longitude:-83.39,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724503",name:"Stock Island",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.5767,longitude:-81.7217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722357",name:"Stuart",secondaryName:"St. Lucie River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.2,longitude:-80.2583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724368",name:"Sugarloaf Key (North End)",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6933,longitude:-81.555,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724347",name:"Sugarloaf Key East Side",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6717,longitude:-81.5333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724266",name:"Summerland Key East",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6517,longitude:-81.435,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724276",name:"Summerland Key",secondaryName:"West Side",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.65,longitude:-81.4467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720782",name:"Sutherlands Still",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.5717,longitude:-81.6067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727577",name:"Suwannee",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.3283,longitude:-83.1517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726639",name:"Tampa",secondaryName:"Ballast Point",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.89,longitude:-82.48,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725362",name:"Tarpon Bay",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.4433,longitude:-82.0817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724327",name:"Tarpon Creek (Outside)",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6283,longitude:-81.51,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724334",name:"Tarpon Creek",secondaryName:"Sugarloaf Key",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.63,longitude:-81.5167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8726905",name:"Tarpon Springs",secondaryName:"Anclote River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.16,longitude:-82.7683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723747",name:"Tavernier Hawk Channel",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.005,longitude:-80.5167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722486",name:"Tequesta",secondaryName:"N.fork",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.96,longitude:-80.105,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720148",name:"Tiger Point",secondaryName:"Pumpkin Hills Creek",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.5017,longitude:-81.495,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723918",name:"Tom’s Harbor Channel",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7767,longitude:-80.9233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723912",name:"Tom’s Harbor Cut",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7833,longitude:-80.9067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723467",name:"Totten Key",secondaryName:"Biscayne Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.3783,longitude:-80.2567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8721604",name:"Trident Pier",secondaryName:"Port Canaveral",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.4158,longitude:-80.5931,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8725439",name:"Tropical Homesites",secondaryName:"Matlacha Pass",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.5483,longitude:-82.08,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720213",name:"Trout R.",secondaryName:"Sherwood Forest",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.42,longitude:-81.7283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727277",name:"Tuckers Island",secondaryName:"Homosassa River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.7717,longitude:-82.695,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723423",name:"Turkey Point",secondaryName:"Biscayne Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.4367,longitude:-80.33,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728360",name:"Turkey Point",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.915,longitude:-84.5117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725649",name:"Turtle Bay",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.7967,longitude:-82.1833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8721223",name:"Turtle Mound",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.9267,longitude:-80.825,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8727348",name:"Twin Rivers Marina",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:28.905,longitude:-82.6383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723828",name:"Upper Matecumbe Key",secondaryName:"West End",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.8967,longitude:-80.6583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723814",name:"Upper Matecumbe Key",secondaryName:"Atlan. Side",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.915,longitude:-80.6317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723808",name:"Upper Matecumbe Key",secondaryName:"Florida Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.925,longitude:-80.6317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723786",name:"Uscg Sta.",secondaryName:"Islamorada",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.9533,longitude:-80.5867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723970",name:"Vaca Key",secondaryName:"Florida Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.711,longitude:-81.1065,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8725858",name:"Venice",secondaryName:"Gulf Of Mexico",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.0717,longitude:-82.4533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725889",name:"Venice",secondaryName:"Roberts Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.1117,longitude:-82.4633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722125",name:"Vero Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.6317,longitude:-80.3717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720554",name:"Vilano Beach Icww",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.9167,longitude:-81.3,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723214",name:"Virginia Key",secondaryName:"Biscayne Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.7314,longitude:-80.1618,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8722059",name:"Wabasso",secondaryName:"Indian River",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:27.755,longitude:-80.425,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724448",name:"Waltz Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.6467,longitude:-81.6533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724189",name:"Water Key",secondaryName:"Big Spanish Channel",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.74,longitude:-81.3417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724273",name:"Water Keys South End",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.7467,longitude:-81.45,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723518",name:"Wednesday Point",secondaryName:"Key Largo",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:25.31,longitude:-80.2983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8720832",name:"Welaka",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.4767,longitude:-81.675,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8724129",name:"West Bahia Honda Key",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.78,longitude:-81.2717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729197",name:"West Bay Creek West Bay",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.2933,longitude:-85.8583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722977",name:"West Lake",secondaryName:"North End",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.0433,longitude:-80.1267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722982",name:"West Lake",secondaryName:"South End",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.0333,longitude:-80.1233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722654",name:"West Palm Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.645,longitude:-80.045,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728973",name:"Wetappo Creek",secondaryName:"East Bay",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.0383,longitude:-85.3933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8723795",name:"Whale Harbor Marina",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:24.94,longitude:-80.6083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722971",name:"Whiskey Creek",secondaryName:"South Entrance",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.055,longitude:-80.1133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8728853",name:"White City",secondaryName:"Intracoastal Waterway",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:29.8807,longitude:-85.2214,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8725235",name:"Wiggins Pass",secondaryName:"Inside",stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.29,longitude:-81.8183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8729736",name:"Woodlawn Beach",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:30.3867,longitude:-86.9917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8722784",name:"Yamato",secondaryName:null,stateTerritory:StatesTerritories.FL,stateAbbrev:StatesTerritoriesAbbrev.FL,country:Countries.US,latitude:26.4033,longitude:-80.07,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8678322",name:"Bailey Cut",secondaryName:"Satilla River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:30.985,longitude:-81.5917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8679945",name:"Beach Creek",secondaryName:null,stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:30.7267,longitude:-81.4767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8676808",name:"Crispen Island",secondaryName:"Turtle River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.2133,longitude:-81.55,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8674301",name:"Daymark #135",secondaryName:"South Newport River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.575,longitude:-81.19,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8674975",name:"Daymark #156",secondaryName:"Head Of Mud River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.4867,longitude:-81.32,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8675761",name:"Daymark #185",secondaryName:"Rockdedundy River Entrance",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.3739,longitude:-81.3339,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8679758",name:"Dungeness",secondaryName:"Seacamp Dock",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:30.7633,longitude:-81.4717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8670870",name:"Fort Pulaski",secondaryName:null,stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:32.0367,longitude:-80.9017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8673381",name:"Halfmoon",secondaryName:"Colonels Island",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.695,longitude:-81.2717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8677406",name:"Howe Street Pier",secondaryName:"Brunswick",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.1446,longitude:-81.4968,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8679511",name:"Kings Bay",secondaryName:null,stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:30.7967,longitude:-81.515,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8676329",name:"Mackay River",secondaryName:"Intracoastal Waterway",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.285,longitude:-81.385,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8675622",name:"Old Tower",secondaryName:"Sapelo Island",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.39,longitude:-81.2883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8670424",name:"Port Wentworth",secondaryName:null,stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:32.1433,longitude:-81.1417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8678124",name:"Raccoon Key Spit",secondaryName:null,stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.0148,longitude:-81.456,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8672667",name:"Range A Light",secondaryName:"Bear River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.7933,longitude:-81.1817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8673171",name:"South Ossabaw Island",secondaryName:"Bear River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.723,longitude:-81.1417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8679964",name:"St. Marys",secondaryName:"St. Marys River",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:30.72,longitude:-81.5483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8677344",name:"St.simons Island",secondaryName:null,stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.1317,longitude:-81.3967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8672875",name:"Sunbury",secondaryName:"Sunbury Channel",stateTerritory:StatesTerritories.GA,stateAbbrev:StatesTerritoriesAbbrev.GA,country:Countries.US,latitude:31.7667,longitude:-81.2783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"1612404",name:"Ford Island",secondaryName:"Ferry Dock",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.3683,longitude:-157.94,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1612366",name:"Fort Kamehameha",secondaryName:"Bishop Point",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.33,longitude:-157.967,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1617760",name:"Hilo",secondaryName:"Hilo Bay",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:19.7303,longitude:-155.0556,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:true},{id:"1612340",name:"Honolulu",secondaryName:null,stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.3067,longitude:-157.867,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:true},{id:"1615680",name:"Kahului",secondaryName:"Kahului Harbor",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:20.895,longitude:-156.4767,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:true},{id:"1614465",name:"Kaumalapau Harbor",secondaryName:"Lanai Island",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:20.79,longitude:-156.995,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1613198",name:"Kaunakakai Harbor",secondaryName:null,stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.085,longitude:-157.032,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"1617433",name:"Kawaihae",secondaryName:null,stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:20.0366,longitude:-155.8294,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:true},{id:"1612480",name:"Mokuoloe",secondaryName:null,stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.4331,longitude:-157.79,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:true},{id:"1611400",name:"Nawiliwili",secondaryName:null,stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.9544,longitude:-159.3561,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:true},{id:"1611347",name:"Port Allen",secondaryName:"Hanapepe Bay",stateTerritory:StatesTerritories.HI,stateAbbrev:StatesTerritoriesAbbrev.HI,country:Countries.US,latitude:21.9033,longitude:-159.592,type:BuoyTypes.TIDE,timeZone:TimeZones.HONOLULU,isActive:false},{id:"8761108",name:"Bay Gardene",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.5983,longitude:-89.6183,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8760595",name:"Breton Island",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.4933,longitude:-89.1733,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8767961",name:"Bulk Terminal",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:30.1902,longitude:-93.3008,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8768094",name:"Calcasieu Pass",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.7682,longitude:-93.3429,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8761487",name:"Chef Menteur",secondaryName:"Chef Menteur Pass",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:30.065,longitude:-89.8,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8761826",name:"Cheniere Caminada",secondaryName:"Caminada Pass",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.21,longitude:-90.04,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8762928",name:"Cocodrie",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.245,longitude:-90.6617,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8760742",name:"Comfort Island",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.8233,longitude:-89.27,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8765251",name:"Cypremort Point",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.7134,longitude:-91.88,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8762888",name:"E. Isle Dernieres",secondaryName:"Lake Pelto",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.0717,longitude:-90.64,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8762223",name:"East Timbalier Island",secondaryName:"Timbalier Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.0767,longitude:-90.285,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8764314",name:"Eugene Island",secondaryName:"North Of",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.3675,longitude:-91.3839,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8766072",name:"Freshwater Canal Locks",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.5517,longitude:-92.3052,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8761724",name:"Grand Isle",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.2633,longitude:-89.9567,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8760668",name:"Grand Pass",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:30.1267,longitude:-89.2217,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8761899",name:"Lafitte",secondaryName:"Barataria Waterway",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.6667,longitude:-90.1117,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8767816",name:"Lake Charles",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:30.2236,longitude:-93.2217,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8762084",name:"Leeville",secondaryName:"Bayou Lafourche",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.2483,longitude:-90.2117,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8765026",name:"Marsh Is.",secondaryName:"Atchafalaya Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.485,longitude:-91.7633,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8761742",name:"Mendicant Island",secondaryName:"Barataria Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.3183,longitude:-89.98,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8761678",name:"Michoud Substation",secondaryName:"Intracoastal Waterway",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:30.0067,longitude:-89.9367,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8761927",name:"New Canal Station",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:30.0272,longitude:-90.1133,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8760412",name:"North Pass",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.205,longitude:-89.0367,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8760889",name:"Olga Compressor Station",secondaryName:"Grand Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.3866,longitude:-89.3801,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8760721",name:"Pilottown",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.1783,longitude:-89.2583,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8764256",name:"Point Au Fer",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.3333,longitude:-91.3533,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8762075",name:"Port Fourchon",secondaryName:"Belle Pass",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.1142,longitude:-90.1993,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8763506",name:"Raccoon Point",secondaryName:"Isle Dernieres",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.0633,longitude:-90.9617,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8761473",name:"Rt. 433",secondaryName:"Bayou Bonfouca",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:30.2717,longitude:-89.7933,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8761305",name:"Shell Beach",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.8681,longitude:-89.6732,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8764165",name:"Shell Island",secondaryName:"Atchafalaya Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.4733,longitude:-91.305,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8760551",name:"South Pass",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:28.99,longitude:-89.14,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8764025",name:"Stouts Pass At Six Mile Lake",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.7433,longitude:-91.23,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8761993",name:"Tchefuncta River",secondaryName:"Lake Pont",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:30.3783,longitude:-90.16,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8763535",name:"Texas Gas Platform",secondaryName:"Caillou Bay",stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.1748,longitude:-90.9764,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8761402",name:"The Rigolets",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:30.1667,longitude:-89.7367,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8765148",name:"Weeks Bay",secondaryName:null,stateTerritory:StatesTerritories.LA,stateAbbrev:StatesTerritoriesAbbrev.LA,country:Countries.US,latitude:29.8372,longitude:-91.8375,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8414612",name:"Bangor",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.785,longitude:-68.7667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8413320",name:"Bar Harbor",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.3922,longitude:-68.2043,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8417227",name:"Bath",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.925,longitude:-69.815,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8415191",name:"Belfast",secondaryName:"Penobscot Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.4267,longitude:-69.005,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8418828",name:"Biddeford",secondaryName:"Saco River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.4917,longitude:-70.4467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8414684",name:"Bucksport",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.5717,longitude:-68.8017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8418606",name:"Camp Ellis",secondaryName:"Saco River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.4617,longitude:-70.3817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8419399",name:"Cape Neddick",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.1667,longitude:-70.5933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417821",name:"Cliff Island",secondaryName:"Luckse Sound",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.695,longitude:-70.11,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8410714",name:"Coffin Point",secondaryName:"Coffin Neck",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.87,longitude:-67.1083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8418009",name:"Cow Island",secondaryName:"Casco Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.69,longitude:-70.19,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417997",name:"Cushing Island",secondaryName:"Casco Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.645,longitude:-70.1983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8411060",name:"Cutler Farris Wharf",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.657,longitude:-67.2047,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8411250",name:"Cutler Naval Base",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.6417,longitude:-67.2967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417874",name:"Doyle Point",secondaryName:"Casco Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.7517,longitude:-70.14,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8410140",name:"Eastport",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.9046,longitude:-66.9829,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8413801",name:"Ellsworth",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.535,longitude:-68.4217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8418015",name:"Falmouth Foreside",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.7317,longitude:-70.205,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8418268",name:"Fore River",secondaryName:"Portland",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.6417,longitude:-70.285,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8419528",name:"Fort Point",secondaryName:"York Harbor",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.13,longitude:-70.6383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8414721",name:"Fort Point",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.4717,longitude:-68.8133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8410715",name:"Garnet Point",secondaryName:"Hersey Neck",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.9233,longitude:-67.13,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8419688",name:"Gerrish Island",secondaryName:"Kittery",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.0667,longitude:-70.6967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8410864",name:"Gravelly Point",secondaryName:"Whiting Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.8233,longitude:-67.1517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417881",name:"Great Chebeague Island",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.7217,longitude:-70.1417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417988",name:"Great Diamond Is.",secondaryName:"Casco Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.67,longitude:-70.2,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417177",name:"Hunniwell Point",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.755,longitude:-69.785,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8418911",name:"Kennebunkport",secondaryName:"Kennebunk River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.3583,longitude:-70.4767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8417941",name:"Long Island",secondaryName:"Casco Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.69,longitude:-70.17,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8413825",name:"Mackerel Cove",secondaryName:"Swans Island",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.17,longitude:-68.435,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8412581",name:"Milbridge",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.54,longitude:-67.875,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8414856",name:"North Haven",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.1267,longitude:-68.8733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8414249",name:"Oceanville",secondaryName:"Deer Isle",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.1923,longitude:-68.6209,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8410834",name:"Pettegrove Point",secondaryName:"Dochet Island",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:45.1284,longitude:-67.1447,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8418445",name:"Pine Point",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.545,longitude:-70.3333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8418031",name:"Portland Head Light Station",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.6233,longitude:-70.2067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8418150",name:"Portland",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.6581,longitude:-70.2442,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8417948",name:"Prince Point",secondaryName:"Yarmouth",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.7617,longitude:-70.1733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8414888",name:"Pulpit Harbor",secondaryName:"Penobscot Bay",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.1567,longitude:-68.8867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8415490",name:"Rockland",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.105,longitude:-69.1017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8414692",name:"Sandy Point",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.505,longitude:-68.805,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8419870",name:"Seavey Island",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.08,longitude:-70.7417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8415709",name:"Thomaston",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.0717,longitude:-69.1817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416731",name:"Walpole",secondaryName:"Damariscotta River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.9333,longitude:-69.58,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8419317",name:"Wells",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:43.32,longitude:-70.5633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8414781",name:"Winterport",secondaryName:"Penobscot River",stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44.6367,longitude:-68.8417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8416921",name:"Wiscasset",secondaryName:null,stateTerritory:StatesTerritories.ME,stateAbbrev:StatesTerritoriesAbbrev.ME,country:Countries.US,latitude:44,longitude:-69.6667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8575512",name:"Annapolis",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.9833,longitude:-76.4816,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8571901",name:"Avalon",secondaryName:"Tilganan Island",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.71,longitude:-76.335,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8574680",name:"Baltimore",secondaryName:"Fort Mchenry",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.2667,longitude:-76.5783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8571579",name:"Barren Island",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.3417,longitude:-76.265,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571702",name:"Beaverdam Creek",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.4283,longitude:-76.2367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8573704",name:"Betterton",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.3717,longitude:-76.0633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571421",name:"Bishops Head",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.2204,longitude:-76.0387,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8579997",name:"Bladensburg",secondaryName:"Anacostia River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.9333,longitude:-76.9383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8570691",name:"Buntings Bridge",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.1389,longitude:-75.1835,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571892",name:"Cambridge",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.5742,longitude:-76.0722,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8571351",name:"Chance",secondaryName:"Nanticoke River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.1717,longitude:-75.945,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8576363",name:"Chesapeake Beach",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.7,longitude:-76.5333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8573927",name:"Chesapeake City",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.5267,longitude:-75.81,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8573137",name:"Cliff’s Wharf",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.11,longitude:-76.1383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571181",name:"Colbourn Creek",secondaryName:"Big Annemessex R",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.0483,longitude:-75.8033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8575109",name:"Cornfield Creek",secondaryName:"Magothy River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.1,longitude:-76.445,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8577188",name:"Cove Point",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.3917,longitude:-76.3983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571091",name:"Crisfield",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:37.9767,longitude:-75.8633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8573349",name:"Crumpton",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.245,longitude:-75.925,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8573211",name:"Deep Landing",secondaryName:"Swan Creek",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.145,longitude:-76.26,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8571117",name:"Ewell",secondaryName:"Smith Island",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:37.995,longitude:-76.0317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8574683",name:"Fort Mchenry Marsh",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.2617,longitude:-76.585,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8575550",name:"Gingerville Creek",secondaryName:"South River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.9583,longitude:-76.555,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8574070",name:"Havre De Grace",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.5367,longitude:-76.09,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8574821",name:"Hawkins Point",secondaryName:"Patapsco River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.2083,longitude:-76.5333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8572669",name:"Hillsboro",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.9167,longitude:-75.945,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571214",name:"Holland Bar Light",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.0683,longitude:-76.0967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571402",name:"Hooper Strait Lighthouse",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.2267,longitude:-76.0767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8572467",name:"Kent Point",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.8367,longitude:-76.3733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8570255",name:"Keydash",secondaryName:"Isle Of Wight Bay",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.3417,longitude:-75.085,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8577004",name:"Long Beach",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.465,longitude:-76.4733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8572955",name:"Love Point Pier",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.0317,longitude:-76.3017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8579542",name:"Lower Marlboro",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.655,longitude:-76.6833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8572770",name:"Matapeake",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.9567,longitude:-76.355,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571559",name:"Mccready’s Creek",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.3,longitude:-76.005,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571519",name:"Middle Hoopers Island",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.2967,longitude:-76.205,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8574857",name:"North Point",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.1967,longitude:-76.445,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8570283",name:"Ocean City Inlet",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.3283,longitude:-75.0917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8570280",name:"Ocean City",secondaryName:"Fishing Pier",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.3267,longitude:-75.0833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8570282",name:"Ocean City",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.3317,longitude:-75.09,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8578240",name:"Piney Point",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.1333,longitude:-76.5333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8578002",name:"Point Lookout",secondaryName:"Potomac River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.04,longitude:-76.3233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8574459",name:"Pond Point (Aberdeen P.g.)",secondaryName:"Bush River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.3883,longitude:-76.255,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8572271",name:"Poplar Island",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.7583,longitude:-76.375,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8574008",name:"Port Deposit",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.6033,longitude:-76.1133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8570649",name:"Public Landing",secondaryName:"Chincoteague Bay",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.1483,longitude:-75.285,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8575787",name:"Rhode River",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.8867,longitude:-76.54,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571616",name:"Salisbury",secondaryName:"Wicomico River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.365,longitude:-75.6067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571359",name:"Snow Hill",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.1783,longitude:-75.3967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8577330",name:"Solomons Island",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.3172,longitude:-76.4508,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8570536",name:"South Point",secondaryName:"Sinepuxent Neck",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.215,longitude:-75.1917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8572342",name:"St. Michaels",secondaryName:"Miles River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.7867,longitude:-76.2217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8574931",name:"Stony Creek",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.1633,longitude:-76.5267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571979",name:"Tilghman Island",secondaryName:"Ferry Cove",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.765,longitude:-76.3283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8573364",name:"Tolchester Beach",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.2134,longitude:-76.2445,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8573903",name:"Town Point Wharf",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:39.5033,longitude:-75.9167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571773",name:"Vienna",secondaryName:null,stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.4833,longitude:-75.8183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8571485",name:"Whitehaven",secondaryName:"Wicomico River",stateTerritory:StatesTerritories.MD,stateAbbrev:StatesTerritoriesAbbrev.MD,country:Countries.US,latitude:38.2683,longitude:-75.7883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8443662",name:"Amelia Earhart Dam",secondaryName:"Mystic River",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.395,longitude:-71.0767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8444162",name:"Boston Light",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.3283,longitude:-70.8917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8443970",name:"Boston",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.3548,longitude:-71.0534,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8447259",name:"Bourne Bridge",secondaryName:"Cape Cod Canal",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.745,longitude:-70.5933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447191",name:"Bournedale",secondaryName:"Cape Cod Canal",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.77,longitude:-70.5617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8446009",name:"Brant Rock",secondaryName:"Green Harbor River",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.0833,longitude:-70.6467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447270",name:"Buzzards Bay",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.7417,longitude:-70.6167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447685",name:"Chappaquoit Point",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.605,longitude:-70.6517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447435",name:"Chatham",secondaryName:"Lydia Cove",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.6885,longitude:-69.9511,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8447505",name:"Chatham",secondaryName:"Stage Harbor",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.6667,longitude:-69.9667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8443725",name:"Chelsea",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.3867,longitude:-71.0233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8448376",name:"Cuttyhunk",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.425,longitude:-70.9167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8446166",name:"Duxbury",secondaryName:"Duxbury Harbor",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.0383,longitude:-70.67,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8448558",name:"Edgartown",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.3883,longitude:-70.5117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8441771",name:"Essex",secondaryName:"Essex River",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.6317,longitude:-70.7767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447386",name:"Fall River",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.7043,longitude:-71.1641,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8441841",name:"Gloucester Harbor",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.61,longitude:-70.66,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447295",name:"Gray Gables",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.735,longitude:-70.6233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447368",name:"Great Hill",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.7117,longitude:-70.715,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447605",name:"Hyannisport",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.6317,longitude:-70.3,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8441571",name:"Lobster Cove",secondaryName:"Annisquam River",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.655,longitude:-70.6767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8443187",name:"Lynn",secondaryName:"Lynn Harbor",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.4583,longitude:-70.9433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447385",name:"Marion",secondaryName:"Buzzard’s Bay",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.705,longitude:-70.7617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8448875",name:"Martha’s Vineyard Gps Buoy",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.3262,longitude:-70.5903,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447531",name:"Mattapoisett",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.6567,longitude:-70.8133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8440369",name:"Merrimacport",secondaryName:"Merrimack River",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.825,longitude:-70.9883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447355",name:"Monument Beach T-8",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.715,longitude:-70.6167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8449130",name:"Nantucket Island",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.2853,longitude:-70.0964,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8447712",name:"New Bedford",secondaryName:"Clarks Point",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.5933,longitude:-70.9,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8440466",name:"Newburyport",secondaryName:"Merrimack River",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.815,longitude:-70.8733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8444525",name:"Nut Island",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.28,longitude:-70.9533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8448208",name:"Oak Bluffs",secondaryName:"Martha’s Vineyard",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.4583,longitude:-70.555,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447277",name:"Onset Beach T-12",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.7417,longitude:-70.6583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8448248",name:"Penikese Island",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.45,longitude:-70.9217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447416",name:"Piney Point",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.695,longitude:-70.72,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8441241",name:"Plum Island South",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.7101,longitude:-70.7886,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8440452",name:"Plum Island",secondaryName:"Merrimack River Entrance",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.8167,longitude:-70.82,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8446493",name:"Plymouth",secondaryName:"Plymouth Harbor",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.96,longitude:-70.6617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8446121",name:"Provincetown",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.0496,longitude:-70.1822,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8448251",name:"Quick’s Hole",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.4483,longitude:-70.8567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8440889",name:"Riverside",secondaryName:"Merrimack River",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.7633,longitude:-71.0767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8441551",name:"Rockport Harbor",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.6583,longitude:-70.615,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447842",name:"Round Hill Point",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.5383,longitude:-70.9283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447173",name:"Sagamore",secondaryName:"Cape Cod Canal (Sta. 115)",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.775,longitude:-70.535,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8442645",name:"Salem",secondaryName:"Salem Harbor",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.5233,longitude:-70.8767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8440273",name:"Salisbury Point",secondaryName:"Merrimack River",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.8383,longitude:-70.9083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447180",name:"Sandwich",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.7717,longitude:-70.5067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447495",name:"Saquatucket Harbor",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.6683,longitude:-70.0567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8445138",name:"Scituate",secondaryName:"Scituate Harbor",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.2017,longitude:-70.7267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447241",name:"Sesuit Harbor",secondaryName:"East Dennis",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.7517,longitude:-70.155,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447504",name:"South Yarmouth",secondaryName:"Bass River",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.665,longitude:-70.1833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447281",name:"Steepbrook",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.74,longitude:-71.1317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8448157",name:"Vineyard Haven",secondaryName:"Vineyard Hvn Hbr",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.4583,longitude:-70.6,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8444788",name:"Weymouth Fore River",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:42.2483,longitude:-70.9667,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8447930",name:"Woods Hole",secondaryName:null,stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.5236,longitude:-70.6711,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8447506",name:"Wychmere Hbr.",secondaryName:"Horwichport",stateTerritory:StatesTerritories.MA,stateAbbrev:StatesTerritoriesAbbrev.MA,country:Countries.US,latitude:41.665,longitude:-70.065,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8747437",name:"Bay Waveland Yacht Club",secondaryName:null,stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.325,longitude:-89.325,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8743735",name:"Biloxi (Cadet Point)",secondaryName:null,stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.39,longitude:-88.8567,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8745799",name:"Cat Island",secondaryName:"Mississippi Sound",stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.2317,longitude:-89.1167,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8741041",name:"Dock E",secondaryName:"Port Of Pascagoula",stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.3478,longitude:-88.5058,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8740166",name:"Grand Bay Nerr",secondaryName:"Mississippi Sound",stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.4132,longitude:-88.4029,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8742205",name:"Graveline Bayou Entrance",secondaryName:null,stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.3617,longitude:-88.6633,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8745557",name:"Gulfport Harbor",secondaryName:null,stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.36,longitude:-89.0817,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8745101",name:"Handsboro Bridge",secondaryName:"Bernard Bayou",stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.4067,longitude:-89.0267,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8743081",name:"Hollingsworth Point",secondaryName:"Davis Bayou",stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.3867,longitude:-88.7733,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8742221",name:"Horn Island",secondaryName:null,stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.2383,longitude:-88.6667,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8741196",name:"Pascagoula Point",secondaryName:null,stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.34,longitude:-88.5333,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8746819",name:"Pass Christian Yacht Club",secondaryName:"Miss. Sound",stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.31,longitude:-89.245,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8749704",name:"Pearlington",secondaryName:"Pearl River",stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.24,longitude:-89.615,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8740405",name:"Petit Bois Island",secondaryName:"Miss. Sound",stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.2033,longitude:-88.4417,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8740448",name:"Point Of Pines",secondaryName:"Bayou Cumbest",stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.3867,longitude:-88.44,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8744756",name:"Ship Island",secondaryName:"Mississippi Sound",stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.2133,longitude:-88.9717,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8745375",name:"Turkey Creek",secondaryName:"Bernard Bayou",stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.4267,longitude:-89.0533,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8747766",name:"Waveland",secondaryName:null,stateTerritory:StatesTerritories.MS,stateAbbrev:StatesTerritoriesAbbrev.MS,country:Countries.US,latitude:30.2817,longitude:-89.3667,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8423635",name:"Atlantic Heights",secondaryName:null,stateTerritory:StatesTerritories.NH,stateAbbrev:StatesTerritoriesAbbrev.NH,country:Countries.US,latitude:43.09,longitude:-70.7633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8420411",name:"Dover",secondaryName:"Cocheco River",stateTerritory:StatesTerritories.NH,stateAbbrev:StatesTerritoriesAbbrev.NH,country:Countries.US,latitude:43.1983,longitude:-70.8683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8423898",name:"Fort Point",secondaryName:null,stateTerritory:StatesTerritories.NH,stateAbbrev:StatesTerritoriesAbbrev.NH,country:Countries.US,latitude:43.0714,longitude:-70.7106,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537774",name:"Abbots Meadow",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.5117,longitude:-75.4933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534638",name:"Absecon Channal",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.385,longitude:-74.425,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534540",name:"Absecon",secondaryName:"Absecon Creek",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.4233,longitude:-74.5,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530095",name:"Alpine",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.945,longitude:-73.9183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530696",name:"Amtrack Rr Swingbridge",secondaryName:"Hackensack River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.7517,longitude:-74.0967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537614",name:"Artificial Is.",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.46,longitude:-75.5317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534720",name:"Atlantic City",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.355,longitude:-74.4183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8531662",name:"Atlantic Highlands",secondaryName:"Sandy Hook",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.4183,longitude:-74.035,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8538274",name:"Auburn",secondaryName:"Oldmans Creek",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.715,longitude:-75.36,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8532339",name:"Avon Shark River",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.1867,longitude:-74.0267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537116",name:"Back Creek",secondaryName:"Del. Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.305,longitude:-75.2783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533615",name:"Barnegat Inlet (Inside)",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.7617,longitude:-74.1117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533141",name:"Barnegat Pier",secondaryName:"Barnegat Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.9183,longitude:-74.11,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534208",name:"Beach Haven Cg Station",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.5483,longitude:-74.2567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534048",name:"Beach Haven Crest (Inside)",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.6133,longitude:-74.21,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8532716",name:"Beaver Dam Creek (Inside)",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.0617,longitude:-74.0733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8532715",name:"Beaver Dam Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.0617,longitude:-74.0617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530591",name:"Belleville",secondaryName:"Passaic River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.7867,longitude:-74.1467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8532337",name:"Belmar Outside",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.185,longitude:-74.0083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530586",name:"Berrys Creek",secondaryName:"Fish Creek",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.7933,longitude:-74.0917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536581",name:"Bidwell Creek Entrance",secondaryName:"Delaware Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.1283,longitude:-74.8917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8538552",name:"Billingsport",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.85,longitude:-75.25,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8538921",name:"Bridgeboro",secondaryName:"Rancocas Creek",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.0283,longitude:-74.9317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8538449",name:"Bridgeport",secondaryName:"Racoon Creek",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.8067,longitude:-75.355,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534496",name:"Brigantine Channel",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.435,longitude:-74.3633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8539094",name:"Burlington",secondaryName:"Delaware River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.08,longitude:-74.8733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8535902",name:"Cape Island Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:38.9467,longitude:-74.9133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535901",name:"Cape May Harbor",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:38.9483,longitude:-74.8917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536021",name:"Cape May Point",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:38.9467,longitude:-74.9717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535962",name:"Cape May",secondaryName:"Atlantic Ocean",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:38.93,longitude:-74.935,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536110",name:"Cape May",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:38.9678,longitude:-74.9597,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8530528",name:"Carlstadt",secondaryName:"Hackensack River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.8067,longitude:-74.06,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537101",name:"Cedar Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.2983,longitude:-75.2467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533295",name:"Cedar Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.87,longitude:-74.155,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533941",name:"Cedar Rkun",secondaryName:"Li Egg Harbor",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.6533,longitude:-74.2567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535001",name:"Cedar Swamp",secondaryName:"Tuckahoe River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.2467,longitude:-74.7183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531223",name:"Cheesequake Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.4533,longitude:-74.2733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533055",name:"Coates Point",secondaryName:"Barnegat Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.9483,longitude:-74.115,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530985",name:"Constable Hook Upper Bay",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.655,longitude:-74.085,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537779",name:"Cooper Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.5133,longitude:-75.4467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535101",name:"Corson Inlet",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.215,longitude:-74.6483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534212",name:"Cramers Boatyard",secondaryName:"Mullica River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.5483,longitude:-74.4617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8538231",name:"Deepwater",secondaryName:"Delaware River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.6833,longitude:-75.51,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536736",name:"Dennis Creek",secondaryName:"Delaware Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.1783,longitude:-74.8517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536449",name:"Dias Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.0833,longitude:-74.8867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533982",name:"Dinner Point Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.6567,longitude:-74.27,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534739",name:"Dock Thorofare",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.3517,longitude:-74.54,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533665",name:"Double Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.745,longitude:-74.2017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536823",name:"East Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.2083,longitude:-74.9017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536780",name:"East Point",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.2,longitude:-75.02,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530403",name:"East Rutherford",secondaryName:"Passaic River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.8467,longitude:-74.12,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8539487",name:"Fieldsboro",secondaryName:"Delaware River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.1367,longitude:-74.7367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536848",name:"Fishing Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.2167,longitude:-75.1583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533780",name:"Flat Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.7067,longitude:-74.1917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8532703",name:"Forge Pond",secondaryName:"Metedeconk River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.065,longitude:-74.135,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533391",name:"Forked River",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.825,longitude:-74.1733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536931",name:"Fortescue Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.2383,longitude:-75.175,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533005",name:"Goose Creek Barnegat Bay",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.9633,longitude:-74.115,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531925",name:"Gooseneck Bridge",secondaryName:"Shrewsbury R",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.3267,longitude:-74.0167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534244",name:"Graveling Point",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.54,longitude:-74.3867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534319",name:"Great Bay",secondaryName:"Shooting Thorofare",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.5083,longitude:-74.325,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8534975",name:"Great Egg Harbor Bay",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.2883,longitude:-74.6283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534691",name:"Great Egg Harbor River",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.3683,longitude:-74.7167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534117",name:"Green Bank",secondaryName:"Mullica River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.6117,longitude:-74.59,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537374",name:"Greenwich",secondaryName:"Cohansey River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.3833,longitude:-75.35,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530278",name:"Hackensack",secondaryName:"Hackensack River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.88,longitude:-74.04,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537753",name:"Hancocks Bridge",secondaryName:"Alloway Creek",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.505,longitude:-75.4833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533631",name:"High Bar",secondaryName:"Barnegat Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.7567,longitude:-74.1283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531712",name:"Highlands Bridge",secondaryName:"Shrewsbury River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.3967,longitude:-73.9817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537026",name:"Hollywood Beach",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.275,longitude:-75.1417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537667",name:"Hope Creek",secondaryName:"Delaware Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.4583,longitude:-75.495,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535419",name:"Ingram Thorofare",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.11,longitude:-74.7383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533345",name:"Island Beach Barnegat Bay",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.8517,longitude:-74.0883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533535",name:"Island Beach",secondaryName:"Sedge Islands",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.7883,longitude:-74.0983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530772",name:"Kearny Point",secondaryName:"Hackensack River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.7283,longitude:-74.1033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531262",name:"Keasbey",secondaryName:"Raritan River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.5083,longitude:-74.3117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8532835",name:"Kettle Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.0133,longitude:-74.1133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531545",name:"Keyport",secondaryName:"Raritan Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.44,longitude:-74.1983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534287",name:"Little Sheepshead Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.5217,longitude:-74.32,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531942",name:"Long Branch",secondaryName:"Inside",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.325,longitude:-73.9967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531991",name:"Long Branch",secondaryName:"Fishing Pier",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.3033,longitude:-73.9767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534044",name:"Long Point",secondaryName:"Little Egg Harbor",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.6133,longitude:-74.2633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534836",name:"Longport",secondaryName:"Risely Channel",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.3083,longitude:-74.5333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535451",name:"Longreach",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.1017,longitude:-74.755,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533738",name:"Loveladies",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.725,longitude:-74.1367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537731",name:"Lower Alloway Creek",secondaryName:"Del.bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.4967,longitude:-75.5167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536849",name:"Lower Dividing Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.2167,longitude:-75.1033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535221",name:"Ludlam Bay",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.1767,longitude:-74.71,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537535",name:"Mad Horse Creek",secondaryName:"Delaware Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.4317,longitude:-75.4467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534393",name:"Main Marsh Thorofare",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.4783,longitude:-74.3833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533909",name:"Manahawkin Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.6667,longitude:-74.215,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533935",name:"Manahawkin Drawbridge",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.6533,longitude:-74.185,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537242",name:"Manantico Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.3433,longitude:-75.0083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8532591",name:"Manasquan Inlet",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.1017,longitude:-74.035,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8532786",name:"Mantoloking",secondaryName:"Barnegat Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.0367,longitude:-74.0533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8538438",name:"Mantua",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.795,longitude:-75.1767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537147",name:"Manumuskin River",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.3133,longitude:-74.985,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531526",name:"Matawan Creek Raritan Bay",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.4333,longitude:-74.2183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537059",name:"Mauricetown",secondaryName:"Maurice River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.285,longitude:-74.9917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534468",name:"Mays Landing",secondaryName:"Great Egg Harbor River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.4483,longitude:-74.7283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533905",name:"Mill Creek",secondaryName:"Manahawkin Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.665,longitude:-74.2317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537359",name:"Millville",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.3917,longitude:-75.0417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537052",name:"Money Island",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.285,longitude:-75.2383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534256",name:"Nancote Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.535,longitude:-74.4633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531463",name:"New Brunswick Raritan River",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.4883,longitude:-74.435,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534104",name:"New Gretna",secondaryName:"Bass River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.5917,longitude:-74.4417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530186",name:"New Milford",secondaryName:"Hackensack River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.935,longitude:-74.03,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537079",name:"Newport Ldg.",secondaryName:"Nantuxent Creek",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.2917,longitude:-75.1983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533862",name:"North Beach",secondaryName:"Manahawkin Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.675,longitude:-74.16,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8538848",name:"North Branch",secondaryName:"Rancocas Ck",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.9983,longitude:-74.8183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531369",name:"North Old Bridge",secondaryName:"South River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.4167,longitude:-74.3633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530531",name:"North Secaucus",secondaryName:"Hack. River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.805,longitude:-74.0533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535661",name:"Nummy Is.",secondaryName:"Grassy Snd.ch.",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.0283,longitude:-74.8017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8532885",name:"Ocean Beach",secondaryName:"Barnegat Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.9883,longitude:-74.0683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531753",name:"Oceanic",secondaryName:"Navesink River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.3767,longitude:-74.015,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535695",name:"Old Turtle",secondaryName:"Richardson Sound",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.0183,longitude:-74.8417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533465",name:"Oyster Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.8083,longitude:-74.1883,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8538853",name:"Palmyra",secondaryName:"Pennsauken Creek",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.9933,longitude:-75.0283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534049",name:"Parker Run",secondaryName:"Little Egg Harbor",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.6167,longitude:-74.31,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8538512",name:"Paulsboro",secondaryName:"Mantua Creek",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.835,longitude:-75.2383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8538369",name:"Pedricktown",secondaryName:"Oldmans Creek",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.7617,longitude:-75.4033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537488",name:"Pine Island",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.4217,longitude:-75.4283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534657",name:"Pleasantville",secondaryName:"Lakes Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.3817,longitude:-74.5183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530743",name:"Point No Point",secondaryName:"Passaic River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.7317,longitude:-74.1167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8532585",name:"Point Pleasant Beach",secondaryName:"Manasquan River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.105,longitude:-74.055,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8538875",name:"Pompeston Creek",secondaryName:"Delaware River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.0133,longitude:-75.0083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530882",name:"Port Elizabeth",secondaryName:"Newark Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.6733,longitude:-74.14,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537889",name:"Quinton",secondaryName:"Alloway Creek",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.5483,longitude:-75.415,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537489",name:"Raccoon Ditch",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.4217,longitude:-75.3817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531077",name:"Rahway River #1",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.5983,longitude:-74.2317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531833",name:"Red Bank",secondaryName:"Navesink River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.355,longitude:-74.065,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530398",name:"Ridgefield Park Hackensack River",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.85,longitude:-74.03,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536855",name:"Riggins Ditch",secondaryName:"Heislarville",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.2183,longitude:-74.98,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536801",name:"Riggins Ditch",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.2,longitude:-74.97,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8532611",name:"Riviera Beach",secondaryName:"Manasquan River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.0967,longitude:-74.0867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537979",name:"Salem",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.5767,longitude:-75.4767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531680",name:"Sandy Hook",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.4669,longitude:-74.0094,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8531390",name:"Sayreville",secondaryName:"Raritan River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.4783,longitude:-74.3567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531804",name:"Sea Bright",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.365,longitude:-73.975,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533071",name:"Seaside Heights",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.9433,longitude:-74.035,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533135",name:"Seaside Park",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.9217,longitude:-74.0833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8532322",name:"Shark River Hills",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.1917,longitude:-74.0383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537121",name:"Ship John Shoal",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.305,longitude:-75.375,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8532921",name:"Silver Bay",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.9967,longitude:-74.1483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537961",name:"Sinnickson Landing",secondaryName:"Salem R.",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.57,longitude:-75.4983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533185",name:"Sloop Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.905,longitude:-74.1333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536687",name:"Sluice Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.1617,longitude:-74.8317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531232",name:"South Amboy Raritan River",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.4917,longitude:-74.2817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537416",name:"Stathems Neck",secondaryName:"Stow Ck.",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.4067,longitude:-75.405,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534778",name:"Steelmanville",secondaryName:"Patcong River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.335,longitude:-74.5967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535357",name:"Stites Sound",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.12,longitude:-74.755,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535581",name:"Stone Harbor",secondaryName:"Great Channel",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.0567,longitude:-74.765,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8533365",name:"Stouts Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.845,longitude:-74.1517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537562",name:"Stow Creek",secondaryName:"Delaware Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.4617,longitude:-75.4033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535163",name:"Strathmere",secondaryName:"Strathmere Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.2,longitude:-74.6567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535838",name:"Sunset Lake",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:38.9783,longitude:-74.8367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535805",name:"Swain Channel",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:38.98,longitude:-74.8633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8532721",name:"Tall Pines Camp",secondaryName:"Metedeconk R.",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.0583,longitude:-74.1167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533051",name:"Toms River",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.95,longitude:-74.1983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535375",name:"Townsend Inlet",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.1217,longitude:-74.7167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535309",name:"Townsend Sound",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.1467,longitude:-74.75,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8539993",name:"Trenton Marine Terminal",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.1883,longitude:-74.755,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534883",name:"Tuckahoe",secondaryName:"Tuckahoe River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.295,longitude:-74.7483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534139",name:"Tuckerton",secondaryName:"Little Egg Harbor",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.5767,longitude:-74.3317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534080",name:"Tuckerton",secondaryName:"Tuckertoncreek",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.6017,longitude:-74.3417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8537353",name:"Tyndalls Wharf",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.3783,longitude:-75.235,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8530645",name:"Union City Hudson River",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.765,longitude:-74.0183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536551",name:"Upper Bidwell Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.1183,longitude:-74.8683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536752",name:"Upper Dennis Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.1833,longitude:-74.8217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534002",name:"Upper Mullica River",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.625,longitude:-74.6417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534770",name:"Ventnor City",secondaryName:"Fishing Pier",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.335,longitude:-74.4767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536271",name:"Villas-jackson Pier",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.0183,longitude:-74.9533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531592",name:"Waackaack Ck",secondaryName:"Raritan Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.4483,longitude:-74.1433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8534043",name:"Wading River",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.6183,longitude:-74.4967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8532371",name:"Wall Township",secondaryName:"Shark River",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.1783,longitude:-74.0467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533541",name:"Waretown Barnegat Bay",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.7917,longitude:-74.1817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536935",name:"Weir Creek",secondaryName:"Delaware Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.25,longitude:-75.1283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536764",name:"West Creek",secondaryName:"Delaware Bay",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.1883,longitude:-74.915,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8533987",name:"West Creek",secondaryName:"Westecunk Creek",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.6317,longitude:-74.2967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8536851",name:"West Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.2167,longitude:-74.925,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535726",name:"West Wildwood",secondaryName:"Grassy Sound",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.005,longitude:-74.8267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8538601",name:"Westville",secondaryName:"Big Timber Creek",stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.8733,longitude:-75.1233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8535835",name:"Wildwood Crest",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:38.975,longitude:-74.8233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8531156",name:"Woodbridge Creek #1",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:40.545,longitude:-74.265,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8538548",name:"Woodbury Creek",secondaryName:null,stateTerritory:StatesTerritories.NJ,stateAbbrev:StatesTerritoriesAbbrev.NJ,country:Countries.US,latitude:39.86,longitude:-75.1867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518995",name:"Albany",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:42.65,longitude:-73.7467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516881",name:"Atlantic Beach",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.595,longitude:-73.7433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516661",name:"Bay Park",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.63,longitude:-73.67,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8515102",name:"Bayshore",secondaryName:"Long Island",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7167,longitude:-73.24,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516299",name:"Bayville Bridge",secondaryName:"Oyster Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.9033,longitude:-73.55,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517137",name:"Beach Channel",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.5883,longitude:-73.82,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518934",name:"Beacon",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.5,longitude:-73.9833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8519483",name:"Bergen Point West Reach",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6367,longitude:-74.1417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8517847",name:"Brooklyn Bridge",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7033,longitude:-73.995,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8514422",name:"Cedar Beach",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.965,longitude:-73.0433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516061",name:"Cold Springs Harbor",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.8733,longitude:-73.47,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517276",name:"College Pt",secondaryName:"Ft. Of 110th St",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7833,longitude:-73.8567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518902",name:"Dyckman Street",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.8683,longitude:-73.9333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518695",name:"East 41st Street Pier",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7467,longitude:-73.9683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8515786",name:"Eatons Neck",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.9533,longitude:-73.4,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8515186",name:"Fire Island",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6267,longitude:-73.26,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8519024",name:"Fort Wadsworth",secondaryName:"Staten Island",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6067,longitude:-74.055,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516614",name:"Glen Cove Yacht Club",secondaryName:"Long Island",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.8633,longitude:-73.655,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517921",name:"Gowanus Bay",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.665,longitude:-74.0133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517811",name:"Gravesend Bay",secondaryName:"Norton Pt. Bkln",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.59,longitude:-73.9983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8519436",name:"Great Kills Harbor",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.5433,longitude:-74.14,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516155",name:"Green Island",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6233,longitude:-73.5017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8511907",name:"Greenport",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.101,longitude:-72.3612,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516607",name:"Harry Tappen Marina",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.8346,longitude:-73.6524,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518924",name:"Haverstraw Bay",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.2183,longitude:-73.9633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518668",name:"Horns Hook",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7767,longitude:-73.9417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518621",name:"Hunts Pt.",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.8,longitude:-73.8733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518951",name:"Hyde Park",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.7833,longitude:-73.95,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516945",name:"Kings Point",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.8103,longitude:-73.765,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8510448",name:"Lake Montauk",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.0733,longitude:-71.935,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8515921",name:"Lloyd Harbor Lighthouse",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.91,longitude:-73.4317,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516663",name:"Long Beach",secondaryName:"New York",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.5963,longitude:-73.6551,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8512668",name:"Mattituck Inlet",secondaryName:"Long Island",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.015,longitude:-72.5617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8510560",name:"Montauk",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.0483,longitude:-71.9594,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8513388",name:"Moriches Cgs",secondaryName:"Moriches Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7867,longitude:-72.75,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8513398",name:"Moriches Inlet",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7644,longitude:-72.756,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518490",name:"New Rochelle",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.8933,longitude:-73.7817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517201",name:"North Channel",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.645,longitude:-73.8367,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8515586",name:"Northport",secondaryName:"Northport Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.9,longitude:-73.3533,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8512987",name:"Northville",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.9817,longitude:-72.645,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516891",name:"Norton Point",secondaryName:"Hook Creek",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.635,longitude:-73.7467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8511671",name:"Orient Harbor",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.1367,longitude:-72.3067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516501",name:"Parsonnage Cove",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6333,longitude:-73.6167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8514322",name:"Patchogue",secondaryName:"Patchogue River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.75,longitude:-73,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8511236",name:"Plum Island Plum Gut Harbor",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.1717,longitude:-72.205,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516402",name:"Point Lookout",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.5939,longitude:-73.584,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8512451",name:"Ponquogue Point",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.85,longitude:-72.5033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8519200",name:"Port Ivory",secondaryName:"Arthur Kill",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.645,longitude:-74.18,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8514560",name:"Port Jefferson",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.95,longitude:-73.0767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518639",name:"Port Morris",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.8017,longitude:-73.9067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516761",name:"Port Washington",secondaryName:"Manhassset Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.8317,longitude:-73.7033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518687",name:"Queensboro Bridge",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7583,longitude:-73.9583,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518643",name:"Randalls Island",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.8,longitude:-73.9283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518905",name:"Riverdale",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.9033,longitude:-73.9167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8519789",name:"Rossville",secondaryName:"Staten Island",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.5567,longitude:-74.2233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518091",name:"Rye Beach",secondaryName:"Amusement Park",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.9617,longitude:-73.6717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8511629",name:"Sag Harbor",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.0033,longitude:-72.2967,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8514779",name:"Seaview Ferry Dock",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.6493,longitude:-73.1506,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8512671",name:"Shinnecock Bay",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.82,longitude:-72.5617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8512354",name:"Shinnecock Inlet Open Coast",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.8367,longitude:-72.48,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8512769",name:"Shinnecock Yacht Club",secondaryName:"Penniman Creek",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.8186,longitude:-72.5866,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8510719",name:"Silver Eel Pond",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.2567,longitude:-72.03,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8513825",name:"Smith Point Bridge",secondaryName:"Narrow Bay",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7383,longitude:-72.8683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8512735",name:"South Jamesport",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.935,longitude:-72.5817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518750",name:"The Battery",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7006,longitude:-74.0142,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8511171",name:"Threemile Harbor Entrance",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:41.035,longitude:-72.19,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518526",name:"Throgs Neck",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.805,longitude:-73.795,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518962",name:"Turkey Point Hudson River Nerrs",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:42.0139,longitude:-73.9392,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8519050",name:"Uscg Station Ny",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.612,longitude:-74.0599,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517732",name:"Wallabout Bay",secondaryName:"Bkln Navy Yard",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7067,longitude:-73.975,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517401",name:"Wards Is.",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7867,longitude:-73.9217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517125",name:"Whitestone",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7983,longitude:-73.8133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8516990",name:"Willets Point",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7933,longitude:-73.7817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8518699",name:"Williamsburg Bridge",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.7117,longitude:-73.9683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8517251",name:"Worlds Fair Marina",secondaryName:null,stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.761,longitude:-73.8504,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656590",name:"Atlantic Beach Triple S Pier",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.6933,longitude:-76.7117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8658901",name:"Bald Head Island",secondaryName:"Cape Fear River",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:33.88,longitude:-78.0017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656483",name:"Beaufort",secondaryName:"Duke Marine Lab",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.72,longitude:-76.67,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8656518",name:"Beaufort",secondaryName:"Taylor Creek",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.7117,longitude:-76.645,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8654400",name:"Cape Hatteras Fishing Pier",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.2233,longitude:-75.635,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656937",name:"Cape Lookout",secondaryName:"Atlantic Ocean",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.6083,longitude:-76.5283,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656841",name:"Cape Lookout",secondaryName:"Lookout Bight",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.6133,longitude:-76.5383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656566",name:"Coral Bay",secondaryName:"Atlantic Beach",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.7,longitude:-76.7683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656084",name:"Core Creek Bridge",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.825,longitude:-76.69,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656201",name:"Core Sound",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.7968,longitude:-76.4555,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8651370",name:"Duck",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:36.1833,longitude:-75.7467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8658715",name:"Federal Point",secondaryName:"Cape Fear River",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:33.9617,longitude:-77.94,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656571",name:"Fort Macon",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.6983,longitude:-76.6817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656451",name:"Gallant Channel",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.7283,longitude:-76.6683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656503",name:"Harkers Island Bridge",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.715,longitude:-76.5783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8652226",name:"Jeanettes Peir",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.91,longitude:-75.5917,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656539",name:"Lenoxville Point",secondaryName:"North River Channel",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.7083,longitude:-76.62,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8652247",name:"Manns Harbor",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.9033,longitude:-75.77,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656502",name:"Morehead City Harbor",secondaryName:"Harbor Channel",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.72,longitude:-76.7108,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656306",name:"Morehead-beaufort Y.c.",secondaryName:"Newport River",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.7683,longitude:-76.6717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8658654",name:"Motsu South Wharf #1",secondaryName:"Cape Fear River",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:33.99,longitude:-77.9567,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656225",name:"North River Bridge",secondaryName:"Bettie",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.7917,longitude:-76.6083,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8659182",name:"Oak Island",secondaryName:"Atlantic Ocean",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:33.9017,longitude:-78.0817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8657419",name:"Ocean City",secondaryName:"Fishing Pier",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.4517,longitude:-77.495,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8652648",name:"Old House Channel",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.7767,longitude:-75.585,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8652587",name:"Oregon Inlet Marina",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.795,longitude:-75.5481,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8658501",name:"Orton Point",secondaryName:"Cape Fear River",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.0567,longitude:-77.94,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8652437",name:"Oyster Creek",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.845,longitude:-75.655,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8653951",name:"Peter’s Ditch",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.3501,longitude:-75.512,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8658622",name:"Reaves Point",secondaryName:"Motsu Center",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.0033,longitude:-77.955,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8652547",name:"Roanoke Marshes Light",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.8117,longitude:-75.7,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8653215",name:"Rodanthe",secondaryName:"Pamlico Sound",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.595,longitude:-75.4717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8659084",name:"Southport",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:33.915,longitude:-78.0183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8656467",name:"Spooners Creek",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.725,longitude:-76.8033,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8658579",name:"Sunny Point",secondaryName:"Motsu North Wharf",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.0233,longitude:-77.9467,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8659897",name:"Sunset Beach",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:33.865,longitude:-78.5067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8652678",name:"Uscg Lifeboat Station",secondaryName:"Oregon Inlet",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.7683,longitude:-75.5267,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8654467",name:"Uscg Station Hatteras",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:35.2086,longitude:-75.7042,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8658559",name:"Wilmington Beach",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.0317,longitude:-77.8933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8658120",name:"Wilmington",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.2275,longitude:-77.9536,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8658163",name:"Wrightsville Beach",secondaryName:null,stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:34.2133,longitude:-77.7867,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8658741",name:"Zekes Island",secondaryName:"Cape Fear River",stateTerritory:StatesTerritories.NC,stateAbbrev:StatesTerritoriesAbbrev.NC,country:Countries.US,latitude:33.95,longitude:-77.9517,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"9439026",name:"Astoria",secondaryName:"Youngs Bay",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:46.1717,longitude:-123.842,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9439040",name:"Astoria",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:46.2073,longitude:-123.7683,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9436381",name:"Cascade Head",secondaryName:"Salmon River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.0479,longitude:-124.0073,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9438772",name:"Cathcart Landing",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:46.1243,longitude:-123.8043,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9432780",name:"Charleston",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:43.345,longitude:-124.322,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9435827",name:"Depoe Bay",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:44.81,longitude:-124.058,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9437381",name:"Dick Point",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.4817,longitude:-123.902,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9434098",name:"Florence Uscg Pier",secondaryName:"Suislaw River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:44.0021,longitude:-124.123,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9437540",name:"Garibaldi",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.5545,longitude:-123.9189,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9431011",name:"Gold Beach",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:42.4216,longitude:-124.4187,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9433445",name:"Half Moon Bay",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:43.675,longitude:-124.192,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9439011",name:"Hammond",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:46.2017,longitude:-123.945,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9437262",name:"Netarts",secondaryName:"Netarts Bay",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.43,longitude:-123.945,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9431647",name:"Port Orford",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:42.739,longitude:-124.4983,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9439221",name:"Portland Morrison Street Bridge",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.51,longitude:-122.673,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9432879",name:"Sitka Dock",secondaryName:"Coos Bay",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:43.3767,longitude:-124.297,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9435380",name:"South Beach",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:44.625,longitude:-124.043,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9439201",name:"St. Helens",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:45.8633,longitude:-122.7962,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9435362",name:"Toledo",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:44.6167,longitude:-123.937,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9439099",name:"Wauna",secondaryName:null,stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:46.1617,longitude:-123.4089,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9435308",name:"Weiser Point",secondaryName:"Yaquina River",stateTerritory:StatesTerritories.OR,stateAbbrev:StatesTerritoriesAbbrev.OR,country:Countries.US,latitude:44.5933,longitude:-124.008,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"8546252",name:"Bridesburg",secondaryName:null,stateTerritory:StatesTerritories.PA,stateAbbrev:StatesTerritoriesAbbrev.PA,country:Countries.US,latitude:39.9833,longitude:-75.075,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8540433",name:"Marcus Hook",secondaryName:null,stateTerritory:StatesTerritories.PA,stateAbbrev:StatesTerritoriesAbbrev.PA,country:Countries.US,latitude:39.8117,longitude:-75.4094,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8549424",name:"Meenan",secondaryName:null,stateTerritory:StatesTerritories.PA,stateAbbrev:StatesTerritoriesAbbrev.PA,country:Countries.US,latitude:40.1283,longitude:-74.8233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8548989",name:"Newbold",secondaryName:null,stateTerritory:StatesTerritories.PA,stateAbbrev:StatesTerritoriesAbbrev.PA,country:Countries.US,latitude:40.1373,longitude:-74.7519,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8542699",name:"Norwood",secondaryName:"Darby Creek",stateTerritory:StatesTerritories.PA,stateAbbrev:StatesTerritoriesAbbrev.PA,country:Countries.US,latitude:39.88,longitude:-75.29,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8545530",name:"Philadelphia (Pier 11 North)",secondaryName:"Del. River",stateTerritory:StatesTerritories.PA,stateAbbrev:StatesTerritoriesAbbrev.PA,country:Countries.US,latitude:39.9533,longitude:-75.1383,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8545240",name:"Philadelphia",secondaryName:null,stateTerritory:StatesTerritories.PA,stateAbbrev:StatesTerritoriesAbbrev.PA,country:Countries.US,latitude:39.9333,longitude:-75.1417,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8543024",name:"Tinicum 3",secondaryName:"Darby Creek",stateTerritory:StatesTerritories.PA,stateAbbrev:StatesTerritoriesAbbrev.PA,country:Countries.US,latitude:39.8867,longitude:-75.265,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8542885",name:"Tinicum 4",secondaryName:"Darby Creek",stateTerritory:StatesTerritories.PA,stateAbbrev:StatesTerritoriesAbbrev.PA,country:Countries.US,latitude:39.8783,longitude:-75.2767,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8450948",name:"Anthony Point",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.6383,longitude:-71.2117,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8453033",name:"Bay Spring",secondaryName:"Bullock Cove",stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.7517,longitude:-71.3517,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8453999",name:"Beavertail Point",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.4517,longitude:-71.4017,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8459681",name:"Block Island",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.1633,longitude:-71.61,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8459338",name:"Block Island",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.1733,longitude:-71.5567,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8454341",name:"Boston Neck",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.46,longitude:-71.4283,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8451552",name:"Bristol Ferry",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.6367,longitude:-71.255,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8452154",name:"Bristol Highlands",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.6967,longitude:-71.2933,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8453201",name:"Castle Hill",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.4633,longitude:-71.3617,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8453465",name:"Conanicut Point",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.5733,longitude:-71.3717,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8452944",name:"Conimicut Light",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.7167,longitude:-71.3433,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8454578",name:"East Greenwich",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.665,longitude:-71.445,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8450954",name:"Nannaquaket",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.6183,longitude:-71.2033,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8454658",name:"Narragansett Pier",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.4217,longitude:-71.455,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8452555",name:"Navy Pier",secondaryName:"Prudence Island",stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.58,longitude:-71.3217,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8452660",name:"Newport",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.505,longitude:-71.3267,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8453767",name:"Pawtuxet Cove",secondaryName:"Providence River",stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.7617,longitude:-71.3883,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8455083",name:"Point Judith",secondaryName:"Harbor Of Refuge",stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.3633,longitude:-71.49,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8454000",name:"Providence",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.8071,longitude:-71.4012,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8454049",name:"Quonset Point",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.5868,longitude:-71.411,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8453433",name:"Rumford",secondaryName:"Seekonk River",stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.84,longitude:-71.3733,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8451351",name:"Sachuest",secondaryName:"Flint Point",stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.4867,longitude:-71.2383,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8450898",name:"Sakonnet River",secondaryName:"North End",stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.6517,longitude:-71.21,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8450768",name:"Sakonnet",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.465,longitude:-71.1933,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8451301",name:"The Glen",secondaryName:"Sakonnet River",stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.5583,longitude:-71.2367,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8458694",name:"Watch Hill Point",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.305,longitude:-71.86,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8458022",name:"Weekapaug Point",secondaryName:"Block Island Sound",stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.3283,longitude:-71.7617,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8453742",name:"West Jamestown",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.4967,longitude:-71.3867,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8455189",name:"Westerly Pawcatuck",secondaryName:null,stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.3817,longitude:-71.8317,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8454538",name:"Wickford",secondaryName:"Narragansett Bay",stateAbbrev:StatesTerritoriesAbbrev.RI,country:Countries.US,latitude:41.5717,longitude:-71.445,type:BuoyTypes.TIDE,stateTerritory:StatesTerritories.RI,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8668701",name:"Purrysburg Landing",secondaryName:"Savannah River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.3033,longitude:-81.1217,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8669415",name:"U.s. Highway 17",secondaryName:"Little Back River",stateTerritory:StatesTerritories.SC,stateAbbrev:StatesTerritoriesAbbrev.SC,country:Countries.US,latitude:32.165,longitude:-81.13,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8771801",name:"Alligator Point",secondaryName:"West Bay",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.1667,longitude:-95.125,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8774230",name:"Aransas Wildlife Refuge",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:28.2283,longitude:-96.795,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8775241",name:"Aransas",secondaryName:"Aransas Pass",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:27.8366,longitude:-97.0391,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8775870",name:"Bob Hall Pier",secondaryName:"Corpus Christi",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:27.58,longitude:-97.2167,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8772132",name:"Christmas Bay",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.0417,longitude:-95.175,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8770933",name:"Clear Lake",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.5633,longitude:-95.0667,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8771013",name:"Eagle Point",secondaryName:"Galveston Bay",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.48,longitude:-94.9183,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8772471",name:"Freeport Spip",secondaryName:"Freeport Harbor",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:28.9357,longitude:-95.2942,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8772440",name:"Freeport",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:28.9483,longitude:-95.3083,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8771341",name:"Galveston Bay Entrance",secondaryName:"North Jetty",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.3573,longitude:-94.7248,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8771416",name:"Galveston Bay Entrance",secondaryName:"South Jetty",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.3267,longitude:-94.6933,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8771450",name:"Galveston Pier 21",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.31,longitude:-94.7933,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8771510",name:"Galveston Pleasure Pier",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.2853,longitude:-94.7894,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8771486",name:"Galveston Railroad Bridge",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.3026,longitude:-94.8971,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8770808",name:"High Island",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.5947,longitude:-94.3903,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8770733",name:"Lynchburg Landing",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.7649,longitude:-95.0789,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8770777",name:"Manchester",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.7262,longitude:-95.2658,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8773767",name:"Matagorda Bay Entrance Channel",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:28.4269,longitude:-96.3301,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8773146",name:"Matagorda City",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:28.7101,longitude:-95.914,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8770613",name:"Morgans Point",secondaryName:"Barbours Cut",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.6817,longitude:-94.985,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8775244",name:"Nueces Bay",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:27.8328,longitude:-97.4859,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8775792",name:"Packery Channel",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:27.6333,longitude:-97.2367,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8775237",name:"Port Aransas",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:27.8397,longitude:-97.0725,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8770475",name:"Port Arthur",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.8671,longitude:-93.931,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8771328",name:"Port Bolivar",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.365,longitude:-94.78,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8779770",name:"Port Isabel",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:26.0612,longitude:-97.2155,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8773259",name:"Port Lavaca",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:28.6406,longitude:-96.6098,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8773701",name:"Port O’connor",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:28.4459,longitude:-96.3956,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8779724",name:"Queen Isabella Causeway",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:26.0783,longitude:-97.17,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8770520",name:"Rainbow Bridge",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.98,longitude:-93.8817,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8770971",name:"Rollover Pass",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.5156,longitude:-94.5106,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8770570",name:"Sabine Pass North",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.7284,longitude:-93.8701,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8771972",name:"San Luis Pass",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.081,longitude:-95.1313,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8772985",name:"Sargent",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:28.7714,longitude:-95.6172,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8773037",name:"Seadrift",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:28.4069,longitude:-96.7124,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8779768",name:"South Bay",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:26.0517,longitude:-97.1817,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8779750",name:"South Padre Island",secondaryName:"Brazos Santiago Pass",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:26.0683,longitude:-97.1567,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8779749",name:"Spi Brazos Santiago",secondaryName:null,stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:26.0674,longitude:-97.1548,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8770822",name:"Texas Point",secondaryName:"Sabine Pass",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.6894,longitude:-93.8419,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8770625",name:"Umbrella Point",secondaryName:"Trinity Bay",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:29.68,longitude:-94.8683,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8775296",name:"Uss Lexington",secondaryName:"Corpus Christi Bay",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:27.8149,longitude:-97.3892,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:true},{id:"8779739",name:"W Queen Isabella Causeway",secondaryName:"Port Isabel",stateTerritory:StatesTerritories.TX,stateAbbrev:StatesTerritoriesAbbrev.TX,country:Countries.US,latitude:26.0717,longitude:-97.1917,type:BuoyTypes.TIDE,timeZone:TimeZones.CHICAGO,isActive:false},{id:"8638923",name:"Broad Bay Canal East",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.9017,longitude:-76.0617,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638421",name:"Burwell Bay",secondaryName:"James River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.0567,longitude:-76.6683,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8632366",name:"Cape Charles Hbr (U.s. G. Wharf)",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.2633,longitude:-76.02,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638999",name:"Cape Henry",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.93,longitude:-76.0067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8638901",name:"Cbbt",secondaryName:"Chesapeake Channel",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.0329,longitude:-76.0833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8638863",name:"Chesapeake Bay Bridge Tunnel",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.9667,longitude:-76.1133,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638491",name:"Chester",secondaryName:"James River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.3833,longitude:-77.3783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8630308",name:"Chincoteague Channel",secondaryName:"South End",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.9067,longitude:-75.405,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8630249",name:"Chincoteague",secondaryName:"Uscg Station",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.9317,longitude:-75.3833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638449",name:"Claremont",secondaryName:"James River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.2317,longitude:-76.9483,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8635150",name:"Colonial Beach",secondaryName:"Potomac River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:38.2517,longitude:-76.96,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8635027",name:"Dahlgren",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:38.3197,longitude:-77.0366,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8639414",name:"Deep Creek Entrance",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.755,longitude:-76.2933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636128",name:"Fleet Pt",secondaryName:"Great Wicomico River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.8133,longitude:-76.275,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638017",name:"Fort Eustis (Marad)",secondaryName:"James River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.1382,longitude:-76.6227,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8632869",name:"Gaskins Pt.",secondaryName:"Occohannock Creek",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.5567,longitude:-75.9167,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8637624",name:"Gloucester Point",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.2467,longitude:-76.5,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8630316",name:"Harbor Of Refuge",secondaryName:"Chincoteague",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.9033,longitude:-75.4067,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8633091",name:"Harborton",secondaryName:"Pungoteague Creek",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.6667,longitude:-75.8333,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638481",name:"Hopewell",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.3133,longitude:-77.27,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8637712",name:"Jamestown Wharf",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.2201,longitude:-76.7914,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8630111",name:"Jesters Island",secondaryName:"Chincoteague Bay",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.9817,longitude:-75.3017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638476",name:"Jordan Point",secondaryName:"James River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.3133,longitude:-77.2233,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638424",name:"Kingsmill",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.22,longitude:-76.6633,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8632200",name:"Kiptopeke",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.1652,longitude:-75.9884,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8638671",name:"Lafayette River",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.8842,longitude:-76.2759,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638445",name:"Lanexa",secondaryName:"Chickahominy River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.4033,longitude:-76.9117,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636653",name:"Lester Manor",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.5833,longitude:-76.99,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8635750",name:"Lewisetta",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.9954,longitude:-76.4646,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8638916",name:"Long Creek",secondaryName:"Lynnhaven Bay",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.9033,longitude:-76.07,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8639348",name:"Money Point",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.7783,longitude:-76.3017,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8636654",name:"New Mill Creek",secondaryName:"(Greys Point)",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.5833,longitude:-76.4183,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8631591",name:"Oyster Harbor",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.2883,longitude:-75.925,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638660",name:"Portsmouth",secondaryName:"Norfolk Naval Shipyard",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.8217,longitude:-76.2933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638489",name:"Puddledock",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.2667,longitude:-77.3717,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8635257",name:"Rappahannock Bend",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:38.2133,longitude:-77.2433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636941",name:"Richmond Deepwater Terminal",secondaryName:"James River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.4596,longitude:-77.4208,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638495",name:"Richmond River Locks",secondaryName:"James River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.525,longitude:-77.42,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8639214",name:"Rudee Heights",secondaryName:"Lake Wesley",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.825,longitude:-75.975,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8639207",name:"Rudee Inlet",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.8317,longitude:-75.9733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8631542",name:"Sand Shoal Inlet",secondaryName:"Cobb Island",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.3017,longitude:-75.7783,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8639428",name:"Sandbridge",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.6917,longitude:-75.92,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8633362",name:"Schooner Bay",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.7633,longitude:-75.7733,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638433",name:"Scotland",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.185,longitude:-76.7833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638610",name:"Sewells Point",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.9467,longitude:-76.33,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8639219",name:"South End",secondaryName:"Lake Rudee",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.825,longitude:-75.9817,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8633532",name:"Tangier Island",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.8283,longitude:-75.9933,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638450",name:"Tettington",secondaryName:"James River",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.24,longitude:-76.9433,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638888",name:"Va. Pilots Dock",secondaryName:"Lynnhaven Inlet",stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.9067,longitude:-76.09,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8631044",name:"Wachapreague",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.6078,longitude:-75.6858,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8635985",name:"Wares Wharf",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.8733,longitude:-76.7833,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638339",name:"Western Branch",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:36.8232,longitude:-76.3991,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8638464",name:"Wilcox Wharf",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.315,longitude:-77.0983,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"8636580",name:"Windmill Point",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.6161,longitude:-76.29,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"8637689",name:"Yorktown Uscg Training Center",secondaryName:null,stateTerritory:StatesTerritories.VA,stateAbbrev:StatesTerritoriesAbbrev.VA,country:Countries.US,latitude:37.2265,longitude:-76.4788,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:true},{id:"9441187",name:"Aberdeen",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.9683,longitude:-123.853,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446281",name:"Allyn",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.3833,longitude:-122.823,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9448794",name:"Anacortes",secondaryName:"Fidalgo Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.5183,longitude:-122.62,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446491",name:"Arletta",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.28,longitude:-122.652,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449932",name:"Armitage Island",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.535,longitude:-122.797,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445133",name:"Bangor",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.7483,longitude:-122.727,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446742",name:"Barron Point",secondaryName:"Little Skookum Inlet Ent",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.1567,longitude:-123.008,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440846",name:"Bay Center",secondaryName:"Palix River",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.6233,longitude:-123.945,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449211",name:"Bellingham",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.745,longitude:-122.495,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449679",name:"Blaine",secondaryName:"Drayton Harbor",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.9917,longitude:-122.765,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9448614",name:"Bowman Bay",secondaryName:"Fidalgo Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.415,longitude:-122.652,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445958",name:"Bremerton",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.5617,longitude:-122.623,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445832",name:"Brownsville",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.6517,longitude:-122.615,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446807",name:"Budd Inlet",secondaryName:"South Of Gull Harbor",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.0983,longitude:-122.895,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440581",name:"Cape Disappointment",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.281,longitude:-124.0463,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9440482",name:"Cape Horn",secondaryName:"Columbia River",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.1517,longitude:-123.29,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449424",name:"Cherry Point",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.8633,longitude:-122.758,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9445938",name:"Clam Bay",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.5733,longitude:-122.543,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9443826",name:"Crescent Bay",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.1617,longitude:-123.725,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449712",name:"Echo Bay",secondaryName:"Sucia Islands",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.7567,longitude:-122.897,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9444122",name:"Ediz Hook",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.14,longitude:-123.413,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447427",name:"Edmonds",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.8133,longitude:-122.383,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447659",name:"Everett",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.98,longitude:-122.223,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445016",name:"Foulweather Bluff",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.9267,longitude:-122.617,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449880",name:"Friday Harbor",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.5453,longitude:-123.0129,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9447883",name:"Green Bank",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.105,longitude:-122.57,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446451",name:"Green Point",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.3017,longitude:-122.682,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449828",name:"Hanbury Point",secondaryName:"San Juan Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.5817,longitude:-123.17,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445526",name:"Hansville",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.9183,longitude:-122.545,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447855",name:"Holly Harbor Farms",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.0267,longitude:-122.535,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446500",name:"Home",secondaryName:"Puget Sound",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.275,longitude:-122.758,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9440572",name:"Jetty A",secondaryName:"Columbia River",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.2683,longitude:-124.037,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449856",name:"Kanaka Bay",secondaryName:"San Juan Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.485,longitude:-123.083,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9448094",name:"Kayak Pt",secondaryName:"Port Susan",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.1367,longitude:-122.367,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440171",name:"Knapp(thornes)lndg",secondaryName:"Willow Bar",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:45.7417,longitude:-122.755,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9448558",name:"La Conner",secondaryName:"Swinomish Slough",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.3917,longitude:-122.497,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9442396",name:"La Push",secondaryName:"Quillayute River",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.9133,longitude:-124.6369,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9447110",name:"Lockheed Shipyard",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.585,longitude:-122.362,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445088",name:"Lofall",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.815,longitude:-122.657,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440422",name:"Longview",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.1061,longitude:-122.9542,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9445441",name:"Lynch Cove Dock",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.4183,longitude:-122.9,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9442861",name:"Makah Bay",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.2967,longitude:-124.672,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9443090",name:"Neah Bay",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.3703,longitude:-124.6019,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9440574",name:"North Jetty",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.2733,longitude:-124.072,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446969",name:"Olympia",secondaryName:"Bud Inlet",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.06,longitude:-122.903,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9441156",name:"Point Brown",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.95,longitude:-124.128,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9444090",name:"Port Angeles",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.125,longitude:-123.44,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9444900",name:"Port Townsend",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.1129,longitude:-122.7595,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9445719",name:"Poulsbo",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.725,longitude:-122.638,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447717",name:"Priest Point",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.0349,longitude:-122.2272,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445272",name:"Quilcene",secondaryName:"Dabob Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.8,longitude:-122.858,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449982",name:"Richardson",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.4467,longitude:-122.9,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449771",name:"Rosario",secondaryName:"Orcas Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.6467,longitude:-122.87,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449292",name:"Sandy Point",secondaryName:"Lummi Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.79,longitude:-122.708,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9447130",name:"Seattle",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.6026,longitude:-122.3393,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9443361",name:"Sekiu",secondaryName:"Clallam Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.2633,longitude:-124.297,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440569",name:"Skamokawa",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.2667,longitude:-123.452,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9448576",name:"Sneeoosh Point",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.4,longitude:-122.548,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440875",name:"South Bend",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.6633,longitude:-123.798,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9448009",name:"Spee-bi-dah",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.0883,longitude:-122.3223,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9448682",name:"Swinomish",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.4583,longitude:-122.513,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446484",name:"Tacoma",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.2667,longitude:-122.4133,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9449988",name:"Telegraph Bay",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.4433,longitude:-122.805,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440910",name:"Toke Point",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.7075,longitude:-123.9669,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9447773",name:"Tulalip",secondaryName:"Tulalip Bay",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.065,longitude:-122.288,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9448043",name:"Tulare Beach",secondaryName:"Port Susan",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.1068,longitude:-122.3473,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9448657",name:"Turner Bay",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.445,longitude:-122.555,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9445478",name:"Union",secondaryName:"Hood Canal",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.3583,longitude:-123.098,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9449911",name:"Upright Head",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.5717,longitude:-122.885,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440083",name:"Vancouver",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:45.6317,longitude:-122.697,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9449161",name:"Village Point",secondaryName:"Lummi Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.7167,longitude:-122.708,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9440047",name:"Washougal",secondaryName:"Columbia River",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:45.5783,longitude:-122.382,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446291",name:"Wauna",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.3783,longitude:-122.634,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9441102",name:"Westport",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:46.9043,longitude:-124.1051,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:true},{id:"9445246",name:"Whitney Point",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.7617,longitude:-122.85,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9448601",name:"Yokeko Point",secondaryName:null,stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:48.4133,longitude:-122.615,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"9446705",name:"Yoman Point",secondaryName:"Anderson Island",stateTerritory:StatesTerritories.WA,stateAbbrev:StatesTerritoriesAbbrev.WA,country:Countries.US,latitude:47.18,longitude:-122.675,type:BuoyTypes.TIDE,timeZone:TimeZones.LOS_ANGELES,isActive:false},{id:"8518903",name:"Spuyten Duyvil Ck",secondaryName:"Hudson River",stateTerritory:StatesTerritories.NY,stateAbbrev:StatesTerritoriesAbbrev.NY,country:Countries.US,latitude:40.8783,longitude:-73.925,type:BuoyTypes.TIDE,timeZone:TimeZones.NEW_YORK,isActive:false},{id:"1619000",name:"Johnston Atoll",secondaryName:null,stateTerritory:StatesTerritories.UM,stateAbbrev:null,country:Countries.US,latitude:16.7383,longitude:-169.53,type:BuoyTypes.TIDE,timeZone:TimeZones.PAGO_PAGO,isActive:false},{id:"1770000",name:"Pago Pago",secondaryName:null,stateTerritory:StatesTerritories.AS,stateAbbrev:null,country:Countries.US,latitude:-14.2767,longitude:-170.6894,type:BuoyTypes.TIDE,timeZone:TimeZones.PAGO_PAGO,isActive:true},{id:"1619910",name:"Sand Island",secondaryName:"Midway Islands",stateTerritory:StatesTerritories.UM,stateAbbrev:null,country:Countries.US,latitude:28.2117,longitude:-177.36,type:BuoyTypes.TIDE,timeZone:TimeZones.PAGO_PAGO,isActive:true},{id:"9751774",name:"Botany Bay",secondaryName:"St. Thomas",stateTerritory:StatesTerritories.VI,stateAbbrev:StatesTerritoriesAbbrev.VI,country:Countries.US,latitude:18.3633,longitude:-65.035,type:BuoyTypes.TIDE,timeZone:TimeZones.PUERTO_RICO,isActive:false}];

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

var haversine = function haversine(givenLocation, buoyLocation) {
  var degreeDistance = function degreeDistance(a, b) {
    return multiply(divide(Math.PI, 180), subtract(a, b));
  };

  var radians = function radians(degree) {
    return divide(multiply(Math.PI, degree), 180);
  }; // https://en.wikipedia.org/wiki/Haversine_formula
  // good luck everybody else


  return multiply(2, Math.asin(Math.sqrt(add(Math.pow(Math.sin(divide(degreeDistance(givenLocation.latitude, buoyLocation.latitude), 2)), 2), multiply(Math.pow(Math.sin(divide(degreeDistance(givenLocation.longitude, buoyLocation.longitude), 2)), 2), multiply(Math.cos(radians(givenLocation.latitude)), Math.cos(radians(buoyLocation.latitude))))))));
};
/**
 * getDistanceToBuoy - calculate the geographic distance between a given location and a specific buoy location using the haversine formula
 *
 * @param givenLocation - latitude and longitude of a given (starting) location
 * @param buoyLocation - latitude and longitude of a buoy to find the distance from
 */


var getDistanceToBuoy = function getDistanceToBuoy(_ref) {
  var givenLocation = _ref.givenLocation,
      buoyLocation = _ref.buoyLocation,
      units = _ref.units;
  var EARTH_RADIUS_KM = 6371;
  var geographicDistance = haversine(givenLocation, buoyLocation);
  var buoyDistance = EARTH_RADIUS_KM * geographicDistance;
  return units === "metric" ? buoyDistance : buoyDistance /= 1.60934;
};
/**
 * findNearestBuoys - find the nearest number of buoys to a given location
 *
 * @param location - a given location to find buoys closest to
 * @param units - units of measurement
 * @param numBuoys - number of buoys to find (defaults to all)
 * @param stations - list of buoy stations to search against (defaults to all)
 */


var findNearestBuoys = function findNearestBuoys(_ref2) {
  var location = _ref2.location,
      units = _ref2.units,
      numBuoys = _ref2.numBuoys,
      stations = _ref2.stations;
  var allBuoys = stations !== null && stations !== void 0 ? stations : buoys;

  var Buoy = function Buoy(buoy) {
    var buoyLocation = {
      latitude: buoy.latitude,
      longitude: buoy.longitude
    };
    var distanceFromUser = getDistanceToBuoy({
      givenLocation: location,
      buoyLocation: buoyLocation,
      units: units
    });
    return _extends({}, buoy, {
      distanceFromUser: distanceFromUser
    });
  };

  var stationsByDistance = compose(sort(ascend(prop("distanceFromUser"))), map(Buoy))(allBuoys);

  if (!numBuoys) {
    return stationsByDistance;
  }

  return numBuoys === 1 ? stationsByDistance[0] : stationsByDistance.splice(0, numBuoys);
};

export default buoys;
export { findNearestBuoys };
//# sourceMappingURL=noaa-buoys.esm.js.map
